DISASTER RECOVERY

This issue is touched on in other areas, but it's important, so it's stressed again here.

The entire Race Timer system is built around the concept of gathering data - with as many safeguards as possible for that data. Depending on how the promoter arranges his computers, the database is normally moved from the registration computer, to the checkpoint, and then to the "results" computer. Every operation subjects the user to some risk of data loss if they dont understand the process and happen to overwrite critical information.

The bottom line is that the user MUST keep track of what he's doing, and what his objective is - but there are some major safeguards in place which will prevent you from ever losing checkpoint data.

If you inadvertently IMPORT data when you're goal was to EXPORT data, it's VERY likely the importing of new data might completely overwrite the race data you just collected. Users MUST be familiar enough with the principles of what data they want to move to what location.

If you are importing data (i.e. from a flash drive), the system always "looks" at the current database and will alert you if there's any possibility of overwriting existing data.

Regardless how careful you are, sooner or later, in the heat of an event, despite being careful, it's possible that you may still inadvertently overwrite important data .... is this recoverable? You'll like the answer.

The Race Timer system was designed from the outset, to be as error tolerant as possible. As part of that error tolerance, the system creates a separate archive of every piece of data that has ever been recorded by the system.

Every time a user uses the system, an archive file is created for that particular date. So, if the worst case should happen, and you accidentally import data over your precious race data, you still have an out. You can simply identify which archive file contains the data you want to recover, then merge it right back into the database.

In the Hare Scramble and qualifier modes this is done via a dropdown menu beneath the "Data Entry" menu, but in the other modes it's done from within windows explorer - and not from within the Race Timer software.

If you're in the Hare scramble mode, the process is simple. Merely call up the feature (beneath the "Data Entry" menu, select the file with the data (on the left), highlight the data you wish to recover (on the right), then import that data into your database.

If you're in a mode other than the Hare Scramble mode, you'll need to use Windows Explorer - here's the process - it should ONLY be done by someone somewhat familiar (and comfortable) with accessing files from within Windows explorer.

a. Call up explorer and navigate to the application directory - the default directory is "c:\timer\checkpoint"

b. Open the archived file with a filename consistent with the current date.

c. Locate the data in the relevant time frame that you're wanting to recover.

d. Using the data above, manually enter the data back into the database.

Note - The developer is modifying the system to automate disaster recover for the other modes, but the automated recovery is currently only possible in the Hare Scramble mode.

Please also refer to the section on Archival Process and the section on Key Files for more discussion on the contents of each of these files. While the system has designed so it shouldn't be necessary, when you're in extremis, and worried about cancelling an event because you lost data, there's nothing more valuable than a detailed understanding of what data is located where.

Another element of "disaster recover" is what to do if you're having problems recognizing the USB system at the checkpoint. If you have problems connecting with either the remote display or the RFID system, 99.99% of the time it's due to how the Windows Operating system has identified which comm port is associated with the adapter. This is discussed in detail in the section on Using USB-to-Serial Adapters


About the Author

About the Developer

The Race Timer software was developed by John Bouma, a long time motorcycle rider, and proponent of the sport. Originally developed under the company name of Berkut Systems, the system is also known / referred to as the "All-Out Scoring" system (www.alloutscoring.com) following release of version 12.1.1.

A retired Naval Officer, I live in Chesapeake, Virginia, having spent just under 22 years onboard submarines, [image] punching holes through the oceans of the world. Following 'retirement' I worked as a network engineer for the Navy, riding every aircraft carrier to get underway from the East Coast - for roughly 5 years. I then shifted to network support for the submarine force. While riding aircraft carriers I saw that sailors in the surface navy had the benefit of sending email to families ashore - but not the submariners. After a LOT of time spent at the keyboard, I came up with a system which today brings email to all submariners. Today, all email going to, or from, any sailor on any US Submarine goes through my software and my servers located in Norfolk Virginia - and I'm proud of the difference the system has made in the quality of life for sailors and families ashore. These sailors are out there, for all of us, underway, in a dangerous environment, sailing unseen through the oceans of the world, operating submerged for literally months at a time, never seeing the light of day. It's a tough job, away from the luxuries the rest of us take for granted - sunshine and fresh air - and I salute our submarine sailors out there, and the rest of the military in general.

During Operation Desert Storm, I was less than impressed in how we (the Navy) were managing the data associated with the Tomahawk missile, so I spent a fair amount of time in developing software which has since been used as part of the launch process for every Tomahawk missile fired by the Navy since Desert Storm. That software has now been phased out, but it was in use from 1993 until phase-out in 2008 - a pretty good run when considering the obsolescence of most software systems.

I've been associated with motorcycles for most of my life, earning those first lumps back in 1962 (or thereabouts) when I broke my arm learning how to ride a Harley Davidson (with my uncle riding on the rear). Cycles have been part of my life in [image] one form or another ever since.

My sons have been active in cycle racing, having participated in the sport since approximately 1988 - eventually winning three state championships between them. Although not as active in the racing scene as in years past, motorcycles are still a part of their lives.

My youngest son still rides in the dirt whenever possible - having won a 6-state series, but he's trending more towards riding for the "fun of it". My eldest son now spends his free time building custom Harley Davidsons. A recent creation (shown here) was the featured cycle, in the centerfold, in the June 2001 edition of "Iron Works" - a popular custom motorcycle magazine featuring big twin customs. Note the single sided swingarm - you'll not see many of those. My son and a friend did all the design and metal work, spending a TON of time in the garage - but eventually turning out an award winning beauty.

It was my sons association with Hare Scramble events that first spurred me to come up with a better way to score those events. Although the software was initially developed solely for Hare Scramble events, there was enough interest by promoters of other race formats that the software now supports several other formats. Since its origin, the system has been the software of choice for more and more promoters, and I take pride in watching as it becomes the [image] "standard" for scoring off-road events.

As for myself, I've never raced either a hare scramble event or any other type of motorcyce event - always seeing them from the perspective of mechanic, or the source of funding, or scoring the events or - most important - as a parent.

I've put a considerable amount of time into this project, doing my best to ensure reliability, simplicity, and accuracy - and always responding to the desires of promoters. My goal is to continue to improve the system through the inputs and suggestions of other users. It's through the suggestions of other users that the software has continued to evolve, making it what I feel is the best package available today.

I'd like to take a minute to talk about sponsorship. I genuinely encourage everyone to support those companies (local and national) who support our kids, and those who support our sport - especially the local businessmen. It's these local businesses who provide employment in the community, contribute to the school events, employ our sons and daughters, and in general, make up the backbone of this [image] great nation. Please take the time to thank them for their support, and above all - remember them when you're looking in some discount magazine for that next engine part or piece of chrome. Remember - "best price" isn't the ONLY thing to consider when looking for those replacement parts.

Although not an off-road rider, I do have a cycle, and although the amount of free time continually seems to dwindle, I still do my best to take my cycle onto the road. I ride a Fat Boy (shown below), complete with a Blower - and more chrome than a man has any right to posses. The rest of my free time is spent on the Chesapeake Bay. I spent 20 great years on :Scarlet Fever" pictured here - but the sailboat was recently replaced by another dream - a powerboat (shown below). The eventual goal is to live onboard - in the Caribbean. That's not me in the picture - the guy is the one who painted the name on the boat.

All of my software can be previewed on the Internet at:

http://www.berkutsystems.com

If there are questions about any aspect of this software not covered in this help system, please feel free to contact me via email at boumaj@berkutsystems.com.

Ride Safe,
John Bouma

The cycle I spend my money on

Where I spend those lazy summer days


Important things to consider

Although electronic scoring brings significant advantages to scoring events - being responsible for the scoring can be a daunting task for someone - especially if that person isn't comfortable with computers. For that reason, every effort has been made to keep the Race Timer system as intuitive as possible. There are steps you can take though, which will improve the overall process, minimizing the likelihood of problems during race time. These include the following:

Ensure the power settings on your computer / laptop will not result in the display being disabled or the hard drive stopping after an extended period of inactivity. It is HIGHLY recommended that you set the power settings to "never" when scoring an event.

You should ensure there is no password protected screen saver on your system. The last thing you need is someone unable to access the screen because they dont know your password.

Once all connections have been made, take the time to ensure the laptop is indicating that it's charging.

Take the time to all ensure all connections are either taped or positioned in a way that they're not accessible to the bystanders. It's happened before, where although the laptop was plugged in, a bystander inadvertently disconnected the laptop from the generator and the laptop died when the battery finally gave out.

Lost data - for ANY reason - is a major concern during any race. Although the Race Timer system has been developed with reliability as a major consideration, it's still possible to lose data if (for example) a rider crashes into the laptop. For that reason, users should take a minute to be aware of the "disaster recovery" capabilities developed into the system. Earlier versions of this software incorporated a "quick-save" feature in the registration process, however the system now writes data to the database immediately on receipt, so the "quick save" feature was no longer necessary - the database is updated everytime a new rider is registered, and anytime any rider passes the checkpoint.

In the unlikely event there's a complete system failure (i.e. a hardware failure of the computer), users should (as a backup) always manually record the riders as they pass through the checkpoint. While this will most likely never be used, it does prevent a race from being a total washout if the hardware fails. Doing a manual backup is very simple - just sit by the computer, and record the numbers as they show up in the display. There is no need to stop the riders to get their rider number. While it might seem to eliminate the advantage of electronic scoring, it's very simple, with no pressure associated with it, but more importantly, it'll enable you to save a race if you have a hardware failure in the middle of an event. It can be a bit hectic at the checkpoint if there is a continual stream of riders passing the checkpoint, so you'll find that use of the horn (a scoring option) is a major asset. Rather than having to watch the screen to confirm every rider has been detected, you simply monitor for the continual stream of beeps - and then take action only if the horn doesn't sound off.

If an easy-up will be used for scoring, remember they're easily blown around by the wind, so it's best to select a well protected spot. You might also consider installing sides on the easy-up to better protect the electronic equipment. The shade also provides better contrast for a laptop with an LCD screen. The best combination is to keep the riders ouside of the easy-up, with only the scoring systems under the easy-up.

To best protect the electronic equipment, you should cover the keyboards with a light towel to protect your systems from dust, moisture, and flying debris. In addition, you might find it convenient to place the laptop inside a cardboard box - again to better protect your investment - and also to provide better shade so you can see the LCD screen a little better.

If using transponders at the checkpoint there's no need to stop the riders - the transponders will be detected even at high speed. Even though the transponder system will detect the riders at speed, it's still best to control the speed solely to provide a safer environment (people and equipment) by implementing a series of sharp curves at the entrance to the checkpoint area - forcing a more reasonable speed at the scoring area.

When using the remote display, the display should be positioned immediately ahead of the riders on the outlet of the scoring area, with the riders taking a relatively sharp turn to either the right or the left as they leave the scoring area.

When using transponders, you should make time available for the riders to pass through the scoring area in the demo mode to ensure the transponders are mounted properly, and to give the riders some idea of what to look for as they go through the check. This is described in the section on testing RFID transponders .

When using either the RFID system or the remote display via a USB-to-Serial adapter, it's possible you might have difficulty connecting with the system if the Windows Operating system has shifted which comm port the adapter is using. It's important that you be familiar with how to configure the system if Windows has associated a different comm port. This is discussed in detail in the section on Using USB-to-Serial Adapters

Depending on the transponder system being used, the older transponders had difficulty detecting some of the ATV's. For that reason, (if using the older Texas Instruments transponder system) you should stress to the quad riders they must see their rider number in the remote display before leaving the scoring area. The problems with detecting the quads was more prevalent with the Honda EX 400 four stroke, but the same problem is showing up in 2 wheel cycles with fuel injection.

The worst thing that can happen to a a scoring team is to arrive at the race and then realize they've left some critical item at home. Please see the section on Things to bring with you for a possible checklist.

With a little experience, you'll quickly learn that most problems during race time are a result of errors at signup. For example, rider number 209A might only have "209" (note the missing 'A') burned into the transponder. Another common mistake is to register a person in the wrong class. While all of these are easy to correct - both during or after race time - attention to detail during registration will significantly ease the burden on the scoring team during the event.

OK....... dont let the 'scary' part of electronic scoring persuade you to stick with some antiquated system. Electronic scoring is 'the way to go' and with even a little bit of experience, you'll soon be agreeing that it's a significant improvement over previous methods.


Scoring System Overview

The All-Out software is intended to provide promoters of off-road motorcycle events with a better tool for scoring those events. Technology is giving us advances in virtually every field, and the same is true in off-road motorcycle riding / racing.

The objective was to develop a scoring system providing promoters with a flexible system enabling them to personalize their events, using their present policies, not limited to specified classes, starting order, nor limiting their ability to use whatever numbering scheme they desired.

One of the design criteria was that a successful scoring system must be 100% reliable, and user friendly enough, that even novice computer users could feel comfortable using it to score events.

The software has met all of these criteria, we're confident that as you use the system more, you'll agree that it's a very versatile system, providing capabilities not seen in any other scoring system.

This software was originally designed solely to score Hare Scramble events, but increased interest in using electronic methods for scoring other events has resulted in the addition of the Enduro mode, followed by the Qualifier mode, and then the Restart Enduro mode. At the request of riders in Central America, the software was modified again with the addition of a Central American Enduro mode, The Central American Enduro mode was designed to support the events sanctioned by the ULM in the Latin American countries - the equivalent of the American Motorcyclist Association (AMA).

As with anything new, it's recommended that users spend some time with the system, scoring some ficticious events in a relaxed environment before jumping into the anxieties of scoring an event at the track. You'll find the learning curve is very steep, and with only a minimal amount of time using the system you'll quickly have the confidence to take on the challenge of scoring a "real" event. The system is designed to be as intuitive as possible - and every user is encouraged to contact the developer if you see places where changes would make the software more user friendly.

Without exception, every promoter who's used this system has commented on its reliability and the difference it's made in scoring their events. I have little doubt that once you use it for even a minimal amount of time, you'll agree that it greatly simplifies the ease, and accuracy of scoring off-road events.

Ride Safe,
John Bouma
boumaj@berkutsystems.com


Network Support

The network support functionality is accessed via the "File" drop-down window. For convenience, please go directly to Troubleshooting Network Problems if you're having a problem with computers communicating with each other. The link above should enable you to fix just about any network problem you might have.

It is VERY important that users understand the All-Out software essentially uses two definitions of the term "networking".

1. one definition is the networking associated with the rider database, where you can have multiple registration units, all connected to a common database. Users can also connect the checkpoint system into that same common database. You can also have multiple data entry personnel in the enduro mode - all entering rider data into a common shared database.

2. The second definition is applicable ONLY to the hare scramble mode, due to the unique way the system enables a promoter to connect multiple checkpoint systems together, in a client / master relationship.

The system allows users to connect any number of computers to a single, shared database, and it also enables users to use any number of checkpoints - each passing their data to a common master database.

As the number of riders participating in an event increases, it will eventually become taxing for a single person to record all of the riders passing the checkpoint. In earlier versions of the software this was accommodated by having multiple scoring stations, then later merging the independent data files.

While this is still possible, it's not the optimum way to score an event, and if you don't have the ability to use the Network capability embedded in the All-Out software, please see the section on merging data files for a discussion on how to score an event when using multiple scoring stations.

A MUCH BETTER solution is to use the very robust network functionality in the All-Out software - which enables users to connect multiple computers together (any number of computers), each passing their data to a single system designated as the Master Database, via a network using the TCP/IP protocol. As stated above, this function is accessed via the <File> drop-down menu.

Although discussed in detail below, the general process for getting your network running is as follows:

a. ensure you have a network card in each workstation.

b. connect the computers together either via a hub or what's referred to as a cross-over cable.

c. configure each computer so that it has a unique IP address. You can get the details on how to change the IP address here: Changing the IP address of your computer

That's all there's to it. Please read the remaining discussion below, and see the links at the bottom of this section for additional details on each of the items above.

While it might sound complicated to implement network connectivity between the scoring stations, it's actually very simple. Every effort has been taken in the All-Out software to remove any difficulties, and all mysteries, from the process. The system is designed such that any novice can easily get the systems communicating in a network environment.

When electing to use network support (via the <File> drop-down menu), the user is prompted to enable Network support.

Having elected to enable Network support, the user then has the option (on each computer) to have that computer serve as the Master Database or as a client. It's expected that only one system will serve as the "Master". As implied, the "Master" serves as the system containing the entire database, and the "Client" supports the Master by forwarding all data to the master database.

Please note that once a system has been identified as the Master, it should be used as the Master for the remainder of that event. The reason for this, is that although each client will retain a backup of the data recorded at that particular scoring booth, ONLY the master will have a record of every rider. Shifting which computer serves as master can quite feasibly result in inaccurately representing all of the riders that have passed through the scoring checkpoint.

See the section on operating as the Master Database for more details on how the Master Database is used in the network.

See the section on operating as a client for more details about how other scoring stations can forward data to the Master Database.

See the section on IP addresses for more details about assigning IP addresses for the computers in the All-Out network.

See the section on connecting computers together for a basic discussion on how computers can be connected together in a way to support the All-Out software.

Assuming that your scoring needs can be met by two scoring stations, there's really no need for you to purchase a hub. In that case, see click here for a discussion on how to save money by making a cross-over cable to link two computers together.


Restart Enduro Mode

The All-Out software has a unique mode that promoters of Enduro events will find interesting.

There are several challenges to promoting a "standard" Enduro event - they require a LOT of volunteer labor, they often require a LOT of land to host the event, and they require a lot of advance effort by the promoter to set up the course.

In the Restart Enduro mode, the All-Out software provides riders and promoters the challenge of a hare scramble event, with the ability to have rest stops normally found in an Enduro.

The following general concepts are used in the Restart Enduro mode:

a. The riders are registered the same as in the hare scramble mode with the exception that each rider number is composed of his key time - just as in a traditional Enduro.

b. The riders will compete on a single lap "Hare Scramble" course, with each rider starting on his "key time".

c. The event will consist of multiple laps on the course, with each lap having it's own designated Key time.

d. Each rider will start each lap at his designated Key Time.

e. At the end of the day, the event is scored by computing the total amount of time spent on the course by each rider, with the winner being the rider with the least amount of time on the course.

What follows is an example of how the event is hosted - and scored .....

1. the promoter sets up a track - of any length.

2. the promoter then establishes the start times. These could be (for example) 8AM, 10AM, 12 PM, 2PM and 4 PM.

3. Lets consider the case of rider 12B. In the case above, this rider would complete four laps, one lap at a time, with a break between laps. He would start each lap at his key time, and in this case, would start the laps at 08:12, 10:12, 12:12, 14:12, and 16:12.

4. The promoter tracks the finish time at the end lap. When starting the scoring process, the promoter would enter the key time for each lap. In the example above, the key times would be 08:00, 10:00, 12:00, 14:00, and 16:00.

The All-Out software uses the lap key times, coupled with the individual rider number and the finish time for each lap, to calculate the cumulative time on the course by each rider. The system sorts the riders in order of the least amount of total time on the course.

The rider registration section, and the data entry sections are essentially the same as the respective sections in the Hare Scramble mode, but the results section is a little different. The difference is primarily in the addition of the key times as shown in the graphic below:

The user will enter the key times in the database, then calculate the results for the respective classes.


RFID Support

The All-Out system supports use of RFID (Radio Frequency Identification) for entering data during a race. Please click here for a discussion on the basics on how RFID works, and click here for a discussion of the concerns of the riders when using RFID to score events.

Implementing RFID constitutes a major step forward in how a promoter conducts his event. Every effort has been made with an eye towards reliability and ease of use, with the user only required to establish (or confirm) the comm port settings connecting to the RFID reader. All else is taken care of by the All-Out software.

Use of RFID comes into play three times when hosting an event ..... during rider registration, when the system is running in the Demo mode, and during the actual race.

During rider registration it's expected that riders will either provide an RFID to the registration team or they'll be provided one by the promoter. As riders get registered, the software provides a means for "burning" the riders number into the transponder.

Note: when using re-programmable RFID transponders, once the number is "burned" into the transponder, that number becomes semi-permanent, and is retained until the next time a new number is burned into the transponder. It's reasonable to expect that once a riders number is entered into the transponder, it will "work" for the rest of the life of the transponder. Unless its damaged by abuse, a rider can expect his transponder to last longer than his interest in the sport.

After registration, the rider can confirm proper operation by mounting his transponder on his chest protector (or wherever he elects to mount it), then passing through the scoring station - with the checkpoint running in the demo mode.

The RFID capability of the system is activated by simply clicking on the "data entry" pull down menu and indicating that RFID should be activated during the event.

Prior to using the RFID components, the system must have first been configured to use an available comm port. This is accomplished via the <file>, <System Utilities>, <Configure the Transponder System> dropdown menu. All configuration is 100% automatic, there are no parameters required by the user. In reality, what's happening behind the scenes is that the system is detecting all available comm ports, then successively checking each one, to see if either the registration system or the checkpoint system is attached to that comm port. Users are provided with an alert if a system is not detected.

Please note that it's not necessarily a bad thing if a component isn't detected. For example, if you have only the checkpoint system connected, you'd expect to see a failure to detect the registration component.

Note: Most laptops have only one (if any) serial port. Since both the RFID system and the remote display require access to a comm port, there are only two ways to utilize two comm ports on a laptop

(a). You can connect both the remote display and the checkpoint system to USB adapters and score the event with a single computer.

(b). You can also consider using two computers to score the event, using the network functionality. Click here for details on how to use network connectivity between multiple computers.

Assuming the decision has been made to use network support, promoters should be aware that the "master" should always be connected to the computer connected to the remote display. This will cause the RFID data to be fed to the master via the network connection, and the "master" will feed the data to the remote display.

The system always saves the most recently used configuration for the comm port - for use the next time the promoter elects to activate the RFID capability.

Shown below is a graphic depicting how the comm port is configured to support RFID during data entry.

When the user elects to retest either the Checkpoint or the Registration system, the system will check each available comm port and attempt to communicate with either the Registration or the Checkpoint component. If unable to establish a link with the unit, the user is notified no connection could be made.

If a device was present, but the system was unable to establish a link with an RFID component, the user should do the following:

(a). check to cabling is physically connected to the computer running the All-Out software - then retest.

(b). check for the presence of an available comm port from within the device manager (located through the control panel).

(c). ensure the device is plugged in and operational.

(d). If using a USB-to-serial adapter, ensure the driver is device driver is properly loaded.

The entire configuration section is fully automated, so there is no manual option for the user. Either it works, or there's a hardware problem that needs to be fixed.

You can click on Using USB-to-Serial Adapters for a more detailed explanation of how to access the device manager to trouble-shoot any problems with USB adapters.


Scoring Central American Enduro Events

The All-Out software also supports the type of Enduro racing sanctioned by the ULM - the Latin American equivalent of the American Motorcyclist Association (AMA). The system provides some unique features which allows a local promoter to make some slight deviations to the standard ULM rules.

In this type of racing, an event consists of several consecutive stages, with "special test" which may be injected in each of the stages.

These "Special Tests" are classified as an "Enduro" section, or a "Cross" section, or an "Extreme" section.

The race starts with riders having individual starting times, then proceeding through each of the stages. Each stage will have a "theoretical" time associated with the stage, and each class can have their own unique theoretical time.

Scoring in a stage is done as follows:

a. A rider will have no point assessed if he arrives at the end of a stage on the same minute as the theoretical time. If a rider arrives either early or late, he is assessed a total of 60 points for each whole minute he is either early or late.

b. There is one exception to the points which are assessed in section "A" above. At the option of the promoter, the final checkpoint can be identified as a "Crazy Finish". Unlike the end of a standard stage, if the finish is identified as a "Crazy Finish", there is no penalty for arriving early, but the 60 points per minute penalty is still assessed for finishing late.

c. The starting time and a finish time will be recorded for each special test. At the end of the event, the software calculates the fastest time for each special test - for each class - and riders are assessed 1 point for ever second they are slower than that fastest time.

d. The scoring system "resets" the time for each rider at the end of each stage. In other words lets take the case where the theoretical time for the first stage is 2 hours and the theoretical time for the second stage is 1 hour 30 minutes. If the rider reaches the end of the stage in 2 hours and 5 minutes, there will be points assigned for being 5 minutes late, but his only requirement is that he complete the NEXT stage in 1 hour and 30 minutes - regardless how late or early he arrived at the finish of the first stage.

The software gives the promoter the option to declare whether a rider is a DNF if he misses a checkpoint. If the promoter says there is no DNF, then a penalty of 3600 points is assessed for every checkpoint he missses, and those riders are listed with all riders, sorted by the total number of points.

If the promoter elects to DNF anyone who has missed a checkpoint, those riders are listed in the class standings as DNF'd the event, sorted by the points they have accumulated, without consideration for the number of checkpoints they have reached.

Rider registration is the same in the Central American Enduro mode as with all other modes. The user enters the rider number, the riders class, and the riders name, then appends that name to the database.

Identifying the checkpoints is discussed at Checkpoint Setup - Central American Enduro mode

The following link ( Data Entry (Central American Enduro mode) ) discusses how data is entered in the Central American Enduro mode.

The following link ( Calculating results (Central American Enduro mode) ) discusses how the results are calculated in the Central American Enduro mode.

Data is archived the same way in all modes, and the series standings are calculated the same as in the hare scrambles or the (US) version of the Enduro scoring modes.


Scoring Enduro Events

The basic steps in scoring an Enduro event are the following:

1. Backup any existing data from previous events

2. Establish the classes and the starting sequence.

3. Generating barcodes (assuming you'll be using a scanner)

4. Register the Riders entering the events hosted that day.

5. Identify the optimum checkpoint times This is a function of how the course is laid out - and consists simply of identifying how long it should take a rider to reach each of the checkpoints.

6. Enter the data at the scoring checkpoint(s) as riders pass through, or collect the data for entry at a centralized location.

7. Merge the data files into a single file prior to calculating the race results. Note - this is not required if a centralized data entry point is used. (This step is not applicable since merging data files is currently disabled in the Enduro mode while the centralized scoring is all that's enabled).

8. Calculating the results.


Scoring Hare Scramble Events

Hare Scramble Scoring

The basic steps in scoring a Hare Scramble event are the following:

1. Backup any existing data from previous events

2. Establish the classes and the starting sequence.

3. Generating barcodes (assuming you'll be using a scanner)

4. Register the Riders entering the events hosted that day.

5. Enter the data at the scoring checkpoint as riders pass through

6. Calculating the results.


Scoring Qualifier Events

The All-Out software has a feature which can best be explained by comparing it to the Hare Scramble mode.

In a typical Hare Scramble event, the common practice is to have all riders in a specific class line up on a single row, and then all start the race at the same time.

There is no need to take any "starting offsets" into account when calculating the class results - since all riders started at the same time.

However, in the Hare Scramble mode, in order to properly calculate the overall results, it's necessary to take into account the different starting times of each of the riders - which is represented by the different starting time of each class. By taking their starting time into account, all riders are treated equally - the guys are not penalized for starting in the last row.

The Qualifier concept takes it one step further ..... in this mode it's not necessary for a promoter to start the riders in a specific class, at the same time.

In this case, instead of requiring all riders in a class to be on the starting line, the promoter is able to leisurely wave any number of riders through the starting point, in any order, at any time, without regard to the riders class.

For example, lets assume you have 300 riders participating in an event, and that your event consists of 15 classes, ranging from the Pro class to the "D" class.

When running a qualifier event, any rider can start the event at any time, regardless which class he's in. The system captures his starting time as he goes through the checkpoint, and from that point on, all calculations are based on his individual starting time - without regard for the starting time of anyone else. When the class standings are calculated, the system calculates an offset - based on the starting times of the individual riders

So - if one pro rider starts near the front of the pack, and another pro rider starts 14 minutes and 30 seconds later (for example), the system will automatically adjust the time of the second rider, taking into account the difference in starting times.

The advantage of this method of hosting an event is there's no longer any need for that mad dash to the first corner. Instead, the promoter can allow any rider to jump on the course at any time. Riders can leisurely ride up to the starting line (which is also the race checkpoint), and then open the throttle the second he's been recorded at the start.

The main thing to remember when running a qualifier is that it's critical that you capture the start time for every rider. There's no way to recover his starting time if someone flies through the checkpoint without being detected - which means there's no way to determine what his official offset should be.

I cant emphasize it enough - it's crucial to capture the starting time of ever rider when running in the Qualifier mode.

With the exception of the unique requirement to ensure you capture the starting time for every rider, every other aspect of scoring the event is exactly the same as for the Hare Scramble Mode. Please see Scoring Hare Scramble Events for more information on the principles of scoring Hare Scramble events.


System Requirements

The requirements for using the All-Out software falls into several different components - Software, Remote Display hardware, and RFID hardware. This section will discuss each component

Software

The All-Out software will not run on Windows 95, 98 or ME.

The system requires either Windows NT, 2000, XP, or Vista. There has been limited testing in a Vista environment, but the developer knows of several users promoting events where the software is installed on computers running Microsoft Vista, and there have been no problems.

Earlier versions of the software would run on 95 / 98 / and ME - but with the release of Version 8, (bringing the ability to print mailing labels directly from the database) - unfortunately the unintended effect was to eliminate the use of these older systems due to the fact that I'd implemented "Unicode" support. Unicode provides the ability to utilize different character sets such as Arabic, Russian, Korean, Japanese - and a host of other character sets. Unfortunately Windows 95, 98 and ME do not support Unicode, so all versions from Version 8.X.X and beyond require NT, 2000, XP, or Vista.

If you're interested in "history" - Version 9 was an attempt to restore use of the advanced features first introduced in version 8. In version 9.X.X I essentially divided the system into a 95/98/ME version and an NT/2000/XP version. The only difference was that the older operating systems were unable to utilize the capability of printing mailing labels from the primary database.

It became extremely difficult to maintain two versions, and with the proliferation of newer operating systems, I stopped supporting the older operating sytsems (95 / 98 / ME).

As with any other software, the more memory you have, the better / faster things will work. It's best to have at least the following amounts of memory:

Win 98 12 Meg
Win NT 256 Meg
Win XP 512 Meg
Vista 1 Gig

The software will run on less memory, but you'll see slowdowns which will probably not bother you unless you're involved in scoring a race where there are a LARGE number of riders on a short course - resulting in a LOT of activity at the checkpoint.

The bottom line is the system will run on basically any computer you can load it on.

The All-Out software will work with any processor speed, but for best results, you should have a system operating at 400 Mhz or better. See the section on System Performance for additional details on what you can expect from the system. While 100Mhz will support the All-Out software, you should use a 400Mhz (or better) if you're expecting to use a remote display - with the real time scoring capability. This is never an issue since it's hard today, to find a system with processors that slow.

The system requires very little space on the hard drive. The total size of the system is less than 60 Meg, of which most of that is already installed on a majority of the systems. As a rule of thumb, you should have roughly 60 Megabytes of free space on the drive. The additional space is not for use of the software, but rather to allow for room for the archived data as you host events.

If you intend to operate with multiple systems connected together in a networked environment, you'll need a Network Interface Card (NIC) installed on each computer you intend to incorporate in the network. If available, you might find it simpler to use wireless systems in the "ad-hoc" mode than using a cross-over cable as described in the section on network support.

For best video results, the system should be capable of a video capable of 800 X 640. In reality, this shouldn't be an issue, since there are very few systems in use today which don't support this resolution.

Internet Explorer or Netscape Navigator version 4.0 or later is required - not for program execution - but rather to view the help information.

As part of the distribution, you will find a couple of files on the CD placed in the root directory - included purely for the convenience of the user - instructing riders how to mount their transponder. One version has been saved in Microsoft Word format, the other is in adobe acrobat format. The Word version was specifically included to allow users to modify the file as they see fit. The PDF (adobe) file was included since it is much smaller, and easier for promoters to email to series members or to post on a website. In the event it is needed, the distribution CD also includes the acrobat reader.

Windows 95 poses a unique challenge - but since you're reading this, you are most likely not affected. Microsoft modified the default "help" system in the later years of Windows 95, with later versions using an html based help system. Since the All-Out software uses the later version of help, users with earlier versions of Windows 95 must first execute a program (included on the CD) which enables support for those older versions of Windows.

The All-Out software incorporates an access database which could pose a problem for users of Windows 98 or Windows 95. When accessing an "open database", Microsoft implemented a change in how they access a database, and released "DCOM95" initially for those with Windows 95, then later released "DCOM98" when they released Windows 98. The Distribution CD contains a copy of DCOM98.exe" in the root directory. Please note that DCOM98 is backward compatible to Windows 95 - making it unnecessary to include both versions. It is not necessary to execute this file (DCOM98.exe) unless you're running either 95 or 98, and even then it's most likely not necessary. Regardless, the file is included in the event it's needed.

Remote Display

Each manufacturer of remote displays incorporates their own "coding" as to what signals are sent to the display to get specific results. Although custom modifications can be requested to support other vendors, the All-Out software was specifically developed for use with the Vorne M1000 display. Experience shows this is a very reliable, very readable, and very well made system. Although it's not advertised for use outdoors, it can be used outdoors with a little thought going into keeping it covered. It doesn't take a rocket scientist to understand that expensive equipment lasts longer if it's protected from the rain.

RFID Hardware

Please see the section on RFID Basics for a discussion of the components used in the RFID system.

Configuration

Since configuration is important, it's worth mentioning that both the Remote Display and the RFID hardware have dip switches as part of their configuration. Please see the section on Dip Switch Settings for a discussion of how these switches should be configured.


System Setup

Congratulations on purchasing what I feel is the best software available for scoring Hare Scramble and Enduro events. The entire system has been designed from the outset with simplicity in mind - with connections specifically configured to eliminate any possibility of incorrectly connecting any of the components.

By following the instructions below, your registration component and the checkpoint system should be fully operational in a matter of minutes.

Software Installation

These directions assume you will be scoring riders passing through the checkpoint from a single laptop computer, that you will be using transponders to detect riders, and you'll be using the remote display to enable riders to see their positions in real time as they pass through the checkpoint. If, for example, you're using the remote display but not the transponder setup, the only difference is that you'll (naturally) skip the section on using the hardware associated with transponders.

Laptops traditionally have only a single serial port, so a second serial port is necessary if you intend to use both the remote display and the transponder system from a single laptop. The All-Out software comes complete with a USB to Serial converter to "create" that additional serial port. Since the display is less critical than the process of recording riders passing through the checkpoint, I recommend you connect the USB-to-Serial converter to the remote display rather than the transponder system. In most cases the USB-to-serial adapter is already attached to the cable connected to the remote display.

It will be necessary to load the driver for the USB-to-Serial converter prior to using the converter the first time. Since there are many manufacturers of USB-to-serial adapters, the All-Out system may be shipped with any of a number of models. In each case though, the software drivers necessary to activate the adapter are both included on the CD, in the "drivers" subdirectory, and the manufacturers CD is also included in with the rest of the documentation. Please note that in most cases, the directions for installing the adapter require installation PRIOR to plugging in the adapter. Please read the directions for installing the USB-to-serial adapter before performing the installation. If your system doesn't automatically run the setup program for the converter when you insert the CD provided by the manufacturer, please follow the directions in the accompanying documentation. PLEASE NOTE - it is only required to install the USB-to-serial adapter driver on the laptop being used at the checkpoint - but as a backup, I HIGHLY recommend you load the USB driver on the laptop used during registration also - purely to provide flexibility in the event you have problems with the checkpoint system.

Following installation of the serial converter, install the All-Out software by inserting the CD, then accepting the default prompts during the setup process. If the system does not automatically initiate the installation process, use windows explorer to execute the "setup.exe" file located in the root directory of the CD.

Hardware Setup for the registration system

a. Plug in the power supply for the Transponder reader / writer into an available wall socket.

b. Plug the cable from the power supply into the reader / writer.

c. Connect the serial cable attached to the reader / writer to the serial connection on your laptop. Note - due to the fit involved, it's recommended that you do not disconnect the serial cable from the reader / writer. It's easier to simply plug the reader into the laptop, not having to disconnect the serial cable from the reader / writer.

IMPORTANT &ldots;&ldots;.. the transponders used in the All-Out system are highly directional, with the strongest "signal" present at the "ends" of the transponder - similar to that of a flashlight. When either reading or writing a transponder at the registration station, the best results are seen while holding the transponder at roughly a 45 degree angle, pointing downward to the edge of the antenna mounted on the top of the reader. This provides much better results than holding the transponder vertical over the antenna assembly.

Hardware Setup at the checkpoint

a. Use a power strip to consolidate the various power cords necessary at the checkpoint.

b. Plug the laptop into the power strip

c. Plug the power cord connected to the antenna controller into the power strip.

d. Mount the gate antenna at a height to best detect the transponders on the riders as they pass through the checkpoint. The checkpoint should be roughly 5 feet wide, with the antenna mounted vertically to the side of the track.

e. Connect the red and black leads from the antenna, to the respective colored connections on the antenna controller.

f. Connect the serial line attached to the Antenna controller to the serial port on the laptop

g. Position the Remote Display roughly in line with the riders at the checkpoint so they have a clear view of the display as they're being scored.

h. Connect the power cord to the remote display to the power strip.

i. Connect the USB connection to an available USB port on the laptop. NOTE - Windows normally assigns a different comm port each time the USB-to-Serial adapter is connected. Since the All-Out software attempts to use the same comm ports each time, this can cause you some problems. Please see the section on Using USB-to-Serial Adapters for a detailed discussion on how to handle it when the comm port changes.

j. Energize the power strip

k. Turn on power at the power supply connected to the antenna controller

l. Turn on the power at the antenna controller.

From this point you're ready to use the system in either the demo mode, or the race mode - it's fully functional, controlled by the selections you make in the software.

Note - the first time you configure the computer for use with either the remote display or the transponder systems, it will be necessary for you to configure which comm. port is used by both the remote display and the antenna controller. Normally you'll find the antenna controller will use comm. port 1, and the remote display will use comm. port 2. It may be necessary to force the USB converter to use one specific comm. port. This is accomplished through use of the device manager from the Windows Control Panel in Windows 95 / 98 operating systems, or via right clicking "my computer" in XP or windows NT and 2000, then selecting the "device manager" tab.

Hint - You might find it most useful to use three computers - one for registration, one for use at the checkpoint, and one for use where the results are printed out. If that's the case, the following process is included as an example on one way to host a race

a. at registration, begin the registration process

b. Prior to race time, export registration data to a floppy

c. At the checkpoint computer import the registration data

d. Conduct the first event.

e. Following the first event, backup the data to the hard drive at the checkpoint, to a directory name representative of the event

f. Following the backup of the data, export the data to the floppy

g. Take the floppy to the "results" computer and import the data from the floppy

h. Meanwhile, on the registration computer export the latest registration data to a floppy

i. Take the latest registration data to the checkpoint computer, import it - and start the next event.

While that might sound complicated, it's very easily understood if you simply keep track of what data is located where. You'll find it's very intuitive.

NOTE: - One thing to be aware of. With the "plug & play" characteristics of today's operating systems, there are times when the Windows Operating system might "re-number" the serial ports you're using. This will become apparent when either the RFID reader or the remote display won't function properly. This will ONLY happen when first entering the data collection mode, and will not happen during normal operations. If this happens, simply exit from the data collection, go to the "file" drop-down menu, and reset the comm. port configuration in the RFID setup, and the Remote Display setup sections.

Shown below is a diagram depicting how all of the components are connected together. Note that you may or may not be using all of the components. For example if you're not using the stoplight, obviously the leads associated with that element wont be present.


Team Racing

The All-Out software also supports team racing in the Hare Scramble / Qualifier mode and the Enduro modes. The concepts are exactly the same in both modes.

There are two ways to manage the teams .... the teams (and team members) can be identified from a selection beneath the "Race Setup" dropdown menu, or (recommended) by doing a right-click on any user when in the registration section.

You have the ability to add teams, delete teams, add members, or remove members from a team.

Something to note when implementing teams is that there is a lot of interaction between the various parts of the software, so if you make changes in the rider registration, you should also check the team composition to look for any side effects on the team membership.

Shown below is a screen shot of the menu options when right-clicking a specific user. From this point (as shown below), you have the ability to add a team, delete a team, add the rider to a team, delete the rider from a team or to view the list of teams, or to view the team composition.

Shown immediately below is a screen shot depicting the user having elected to view the composition of individual teams.

Note that you can click the frame showing the lists of teams, and drag it to any other part of the screen.

One of the powerful / convenient features of the way the system has implemented the team concepts is that in addition to tracking the team standings, you still retain the ability to track the performance of the individual team members since it's the aggregate performance of the individual members that comprise the team results. There is no need to use a single rider number for all team members. Each member can retain his "regular" riding number.

The software has two tables in the database dedicated to the team composition - one identifies the teams, and the other identifies the members of the individual teams. I'll refer to this as the "team table" and the "member table". It is worth pointing out that when you delete a team, you not only delete the team name from the "team table", but you also delete all references to that team in the "member table". Deleting a team does not affect the list of registered riders - it ONLY affects the composition of the team.

Note that in the above sections, the team compositions were established in the registration section by right-clicking a user. As mentioned above, the teams can be established via a separate dropdown menu beneath the "race setup" section. Please note the alert which pops up when entering the team section - noting that everything done in the team section can be done from inside the registration section.

Alternate Team Definitions

Calculating the results for the individual teams is discussed in the Team Results section.


Things to bring with you

Although scoring an event electronically greatly simplifies the taskof scoring an event, it still can be a daunting task for someone not comfortable with computer systems. In addition, if you forget any component at home, Murphy's law states that it's probably the most critical item that's been left behind. For that reason, you should make a list of what you need, and go over it before leaving for every race. Shown below is a list that pretty much covers everything - but you'll want to modify it to your own preferences.

laptop
power supply for every laptop
extra floppy disk(s)
printer
power supply for the printer
extra ink cartridge
power strip
extra paper
barcodes (when / if used)
barcode scanner (when / if used)
race rules
pens
clipboards
signup forms
remote display
stand for the remote display
generator (if there's no power available)
extra transponders
transponder writer
power supply for transponder writer
antenna assembly
antenna controller
power supply for antenna controller
plastic tie-wraps - DO NOT use metal tie-wraps


Using USB-to-Serial adapters

While this is not intended as a detailed explanation of the plug-and-play feature of Microsoft Windows, there's something worth knowing if you're using a USB-to-Serial adapter instead of a fixed hardware comm port.

When Windows starts up, it attempts to map all components into any combination which will accomodate all of the attached components. As a result, a USB-to-Serial adapter might be mapped to Comm1 one time, to Comm 2 another time, or to Comm 3,4, 5, or 6 another time.

The impact is that when you're using the serial ports for either the RFID system or the remote display, the All-Out software saves the configuration, and expects to use those same parameters the next time. Since the Windows Operating System can shift the way it identifies the comm ports, you may have a problem connecting to either the remote display or the RFID components - especially if you're using a USB-to-Serial adapter to make up for a lack of hardware comm ports on the motherboard.

The All-Out software was developed to eliminate all possible interaction with the Windows operating system by automatically detecting the presence of the hardware components.

Earlier versions of the All-Out software required that users specify which comm port is being used for the registration system, the checkpoint system, and the remote display. While this "worked", it required some understanding of comm ports, and some expertise with Windows, so later versions have eliminated all user interaction with the operating system.

Today eveyrthing is automated. When the user enters the configuration mode, the system automatically attempts to establish connectivity with the peripherals using the data stored in the database. Users are alerted if a perhipheral isn't detected, and then given the ability to start a search of all available comm ports in an attempt to locate those peripherals. The system will support up to 200 available comm ports.

Shown below is a screenshot showing users what is connected, and how the user configures the system to connect to the proper component on the proper port.

If (for some reason), a user wants to see what comm port the operating system has assigned a perhipheral, the following is a discussion of how to do this - separated by the different operating systems.

Windows 2000 / XP

a. right click "my computer", then click "properties"
b. click the "hardware" tab
c. click "device manager"
d. double-click "ports" to access the individual comm ports
e. right-click the device you'd like to see then left-click "properties"
f. click "port settings"
g. click "advanced"
h. in the bottom left, observe the com port (or set it a desired port) - then click "OK"
i. click "ok" to return to device manager.
j. at this point you can step through the same process for any other adapter, (if present)

At this point you can exit from the devide manager, then configure the software to use those ports via the file drop-down menu

Windows 95, 98

a. right-click "my computer" then click "properties"
b. click the "Device Manager" tab
c. double-click "ports" to access the individual comm ports
d. highlight one of the ports then click "properties"
e. click "resources"
f. remove the check from "use automatic settings", then use the down arrow adjacent to "setting based on" until you see the desired configuration.
g. click "ok" to return to the device manager
i. repeat steps d-g for the other adapter if it's present.

At this point you can exit from the devide manager, then configure the software to use those ports via the file drop-down menu

Windows ME

Unfortunately I didn't have access to an ME system to confirm the exact procedure, but I'm confident you would use steps consistent with Windows 2000. The concepts are the same, and the keystrokes would be quite similar.

Contact the author if additional information is required concerning this issue.


Adding Classes

Along with simplicity, the Race Timer system has been designed with flexibility as one of the prime concerns, allowing race promoters to customize the list of classes hosted at their events. Although the initial installation includes a "sample" list of available classes, there is no limit to the number of classes a promoter can support.

In general, starting times for the different classes are separated by a specified (but flexible) time - usually starting individual classes in one minute intervals. In the case of extremely large classes, where there's not enough room on the starting line for an entire class, the system supports promoters splitting large classes into "waves". Please see the section on Starting Classes in Waves for a more detailed description of how to use this feature.

When a class is started in "waves", the time between waves is not added to the class difference. For example, consider classes starting at 1 minute intervals, with one class having 3 waves. In this case, the lead row for each class would start exactly 1 minute after the lead wave of the class ahead, even though the waves for the class directly ahead were started at 10 second intervals.

An example of starting times in the case where waves are implemented is as follows:

12:00:00 AA class
12:01:00 200 A class
12:02:00 250 A class - wave 1
12:02:10 250 A class - wave 2
12:02:20 250 A class - wave 3
12:03:00 Vet A class

When calculating results, the Race Timer software accounts for these differences in starting times by retrieving the time delay resulting from the riders class, from the information provided by the promoter when the classes were initially identified. The additional delay caused by the riders assignment to a particular wave inside a specific class is identified during rider registration.

For the Hare Scramble events, the starting sequence is taken into account when the overall results are calculated - with each riders time modified by the delay in his class leaving the starting line. This difference between a riders actual starting time and the time the race is started, is also used when a riders lap times are calculated. The lap time for his first lap is adjusted by how much of a delay he had at the starting line. The same thing is true for those classes starting in waves.

For example, if you are in the 250 "C" class, starting 12 minutes after the "Pro" class, when the overall results are calculated (or when the riders lap times are calculated), your finishing time is modified to reflect having started 12 minutes later. This allows for a true representation of the overall results, and a true representation of your actual lap times. If you then assume the rider was in the second wave of his class (with a 10 second delay), the time correction would actually be 12 minutes and 10 seconds.

Note that the same process for adding classes exists for Enduro events as for Hare Scramble events. The only difference is that the offset for the Enduro events is automatically set to zero - and the concept of starting classes in different waves is not applicable to the Enduro scoring. The reason for setting the delay to zero is that scoring Enduro events uses a system of points based on key time rather than a riders association with a particular class.

Hare Scramble Classes

Note - in the sample screen shown below, the offset between the classes is set to zero for all classes when using the Race Timer software in the Enduro mode.

Enduro Classes


Alien System - number of active antennas

Something worth knowing is that with the Alien system, the readers will support multiple antennas. For example the 9650 will support a second antenna, and the 9900 will support a total of 4 antennas.

One would think that the system would detect the antennas connected to the base reader, but that's not the case. By default, the system will always come online (initially) using a single antenna.

So .... how do you 'activate' those other antennas to take advantage of a larger checkpoint area? The answer is simple.

Along with the antenna system you'll receive a CD for the Alien system. The software you want to install (if not already installed) is their "gateway" software.

The screen shot below depicts the Alien gateway software after having "discovered" a reader on the network. Note that one of the selections in the lower right is "Tag Grid". You'll need to click that button.

Once you've selected "Tag Grid", you're presented with the screen below.

Notice in the top left section of the screen, you'll see the section for "antenna selection". You'll need to make sure that all antennas are selected.

While this is simple, it's a little inconvenient that by default, the system doesn't configure itself to use all available antennas.


Alien Transponder - reading at registration

The race timer system gives you the ability to associate riders with their transponder by reading one that might already be attached to their helmet.

When in any of the modes utilizing transponders, the user can confirm the contents of the tag by clicking the button to read a transponder. Since the possibility exists that there may be more than one transponder in the vicinity, the user is presented with a list of all transponders within range - as shown by the screen shot below.

If you are presented with an extensive list of transponders within range, you can adjust the slide-bar to filter out those weaker signals.

Once you select the tag you wish to recognize, you're informed of the tag you're using - and then you're informed whether or not the rider number is compatible with the scoring system.


Alien Transponder - reading at the checkpoint

When you enter the data entry mode, the Race Timer system will automatically use the type of transponder system you've previously elected to use - located beneath the <file><system configuration> section - shown below.

From that point onwards, the only thing you need to do when capturing data is ensure the lights on the reader are actively (rapidly) flashing - to indicate the system is in use. It might be worth looking at the reader to ensure it's using all of the antennas you have connected. The antennas being used are configured as part of the Alien reader config.

Something to note .... the Alien system (like all transponder systems) will detect every transponder within it's range - which will include any transponders that are on other members of the audience, or even those which might be located inside of your computer or any other object in the area. Although all transponders are detected - the system will ONLY display, and process those where the contents have been analyzed and confirmed to contain valid rider numbers.

Unlike other transponder systems (the Texas Instruments and Universal modes), you can have other tranponders in the vicinity of the check point and it will not detract from your ability to detect competitors as they come through the checkpoint.

Obviously another rider who happens to stroll past the checkpoint will be detected, so it's to your advantage to cordon off the area (allow 15 feet around the antenna) to ensure these stray riders are not detected. It's not an issue though, if you have other (unprogrammed) transponders at the checkpoint.

Antenna positioning is important. The Alien tags have a detection range of approximately 15 feet - and the range is affected by how the antenna is positioned at the checkpoint.

The antennas are used in pairs - with the antennas connected to the reader starting with "antenna 0", then "antenna 1". You have the option on how you wish to orient the antenna, but please note the signal emits (and is received) from the face of the antenna.

If you wish longer detection ranges, have the antennas positioned above the rider as he approaches the checkpoint, with the face of the antenna slightly tilted towards the approaching rider.

If you wish to provide better discrimination between riders (advisable), then turn the antennas so the face of the antenna points to the ground. Using this configuration, the riders will not be detected until they are closer to the antenna. They'll still be detected, but the detection area is smaller. For example, a pair of antennas pointing down the track may support two riders approaching the checkpoint side by side, while the antennas pointing to the ground would better support a single file approach to the checkpoint.

The software retrieves the list of transponders from the reader 10 times per second, so it's VERY unlikely a rider will go through the checkpoint so fast that he / she will not be detected.

There are a couple of features in the Data Entry section that are only available when configured to use the Alien system. These are represented by the buttons which allow you to adjust reader power, and to view the raw data.

If you elect to view the raw data, you'll be presented with the frame shown in black in the lower right of the screen. EVERY transponder will show up in this window as it's detected. Note though, that not all transponders are use by the system. Unknown tag numbers are ignored, and so are all duplicate tags which have been detected within the minimum laptime you've specified.

The "raw data" window allows the promoter to continually monitor if the RFID system is working. One suggestion is to place some unknown / new tag in the vicinity of the reader. You will then be able to continually watch that tag scroll through the raw-data window - even before the first contestant approaches the checkpoint. The presence of this "bandit" tag does not impact your ability to detect competitors as they approach the checkpoint.


Alien Transponder - Writing Transponders

The concept in the Race Timer system is that you will write the riders number directly into the transponder - which is done by using the writer shown below

When going into any mode which involves writing a transponder, the system will automatically detect whether or not the writer is present - and if not, you will be presented a pop-up, letting you know the writer wasn't present.

When writing a transponder, you first put the number you wish to write into the respective area, then click the "write transponder" button. This will bring you to the screen shown below - except that the list of tags will be blank. You must first locate all of the tags within range of the reader by clicking the button on the left. This will result in a list of all available tags. You will be able to tell the tag you wish to program because it will (logically) have the largest number of coutnts, and have the highest signal level. In general, you'll select the tag at the top of the list. While this might sound confusing, it's easy once you try it one time.

Note .... if you have a lot of tags showing up, you can filter out the weaker tags by sliding the slide-bar to the right. The impact is that the system will ignore tags with a lower signal strength - i.e. those further away from the writer.

Once you've clicked on the tag you wish to write, you'll be prompted to confirm you wan to write that tag, and if you agree, the systsem will write the rider number to that tag - and you'll be informed on whether the write was a success or not.

Although rare - there are times when you may have to write to a tag more than once. In general, if you find you have to write to a tag more than once, you're probably writing to the wrong tag. For example - there are a zillion objects out there, from jackets, to shirts, to computers which all may have transponders embedded - and the system MAY be trying to write to a transponder that's located inside of your computer.

Note .... the left side of the display above shows the actual tag contents - and a rider number may or may not be shown if the tag contents cannot be translated into a rider number. It's logical that when writing a rider number into a transponder for the first time, that you would select tags which didn't not reflect a rider number. A rider number will ONLY show up in the second column for those tags which can be interpreted to contain a valid rider number.


Alien Transponder Configuration

Alien Transponder System Configuration

Integrating the Alien transponder system into the Race Timer software represents another leap in capability with the scoring system. The list of advantages is too numerous to mention, but I'll touch on some of them here.

The Alien system consists of essentially 3 components - the writer (manufactured by "Thinkify"), the reader, and antennas (which are normally used in pairs of two). The presence of additional antennas will vary depending on which reader is used - for example the 9650 is a single unit containing both the reader firmware and the antenna. The 9800 users antennas in pairs, and the 9900 can use antennas in any combination.

The reader, shown above is amazingly simple - you simply load the drivers, then plug it into the USB port. The Race Timer software will either find it present (and immediately be able to use it), or it will not be located.

*** NOTE *** When plugging in the writer, the device will show up inside of the Device Manager in the section with the com ports. The computer will automatically assign a com port. It's important to know that the Race Timer software expects to find it listed as com port 8 (or less). If the writer isn't found, you should go to the Device Manager (in "System" in the control panel), and set the port parameters. This is done as follows:

  • open the control panel and open "System"

  • Click the "hardware" tab, and then "Device Manager"

  • Expand "Ports (Com and LPT), locate the Thinkify device, right-click, and select "Properties"

  • click the "Port Settings" tab, then click the "advanced" button in the lower left.

  • In the lower left, force the writer into using a comm port between 1 and 8. Dont worry if you get an alert saying the comm port is already in use. The operating system will readjust as necessary.

  • Click all of the "Apply" and "OK" buttons as necessary to exit from the Device Manager.

The reader and antenna (the 9800 is shown above), is only slightly more complex than the writer - and users should not be daunted by the steps necessary to configure it.

If you are using a reader system which supports other antennas, you will need to specify (during configuration - shown below) which antennas are connected. The manufacturer recommends that antennas always be connected to consecutive ports - i.e. port 0 and port 1, and then (if four antennas are used), to port 2 and port 3. (The antenna numbering starts with '0').

Although the reader is designed for use with either a serial or network environment, the Race Timer system ONLY uses the network mode. The decision to use it in the network mode was solely to avoid ANY reliance on the sometimes questionable USB-to-Serial adapters. Users can feel free to acquire a serial cable and use the serial port for configuration if you like - but the serial components are not distributed with the hardware

The reader must be connected to the local network in order to use it. Once connected, the reader has the ability to receive an IP address from the network (i.e. it uses DHCP), but if it is unable to acquire an IP address, the default IP address is 192.168.1.100, with a subnet mask of 255.255.255.0. It's expected that the user will have enough knowledge of networking to understand the network parameters.

All configuration of the Alien system is done beneath the <file> / <system configuration> drop-down menu which will bring you to the screen shown below. The screen below is where you 'tell' the system which type of transponder system you're using - and you can also configure the Alien system from this point.

Once you click to configure the Alien system, you'll be presented with the configuration screen. The upper portion of the display will be blank when you first enter the mode.

IMPORTANT - you must identify which antennas you're using as part of the 'discovery' process. If a reader is discovered, the software will update the reader to use the antennas you've indicated. Note that by default, the system will revert back to a single antenna, which will render any additional antennas usless unless you specify that they are present.

The user stats the discovery process by clicking the button labeled "Discover reader / set antennas" - located in the lower right. At this point, the Race Timer software will listen for a "heartbeat" which is sent by the reader every 30 seconds. If a heartbeat is detected, the software reads the IP address assigned to the reader - and displays it.

NOTE .... if the IP address of the reader is consistent with the IP address of the computer (i.e. on the same logical network), the software will also display a more extensive listing of the parameters of the reader, and will configure the reader to use the antennas you've indicated. The extended information is not available if the IP address is not consistent with the IP in use on the computer.

You have the ability to set the IP address of the reader - but in order to do so, your computer must have an IP address that is compatible with the existing IP of the reader. Dont worry - this isn't complicated, and you cant screw it up - the software will detect issues.

Please note in the screen shot above, that there are two rows of data related to the IP address. One of them has a slight shading, the other is white. The software automatically populates the shaded fields with the information from the reader, and the white sections are for the user - allowing you to change those values if necessary.

Although mentioned above - I'll restate it again here ..... if the reader is unable to acquire an IP address from an external source, then it will always use 192.168.1.100.

If, for some reason you're unable to access the reader, you can always configure it via a browser by first detecting the IP address used by the reader, then going to:

http://<reader IP>

If you want to make changes to the reader configuration from within the browser, you'll need to login. By default the username is "alien", and the password is "password".

Note that anytime the scoring software detects an IP address from the reader, the local configuration is automatically updated in the database. For this reason, although it's required that you go through the configuration steps, you wont see a "Save Configuration" button because the "Save" is done automatically anytime the system detects a reader. The same is true for both the reader, and the system used for writing the rider number in to the transponder at the checkpoint.

At this point you're ready to use the Alien system with the Race Timer system. Whenever you go into a mode which integrates a transponder system, you will automatically be configured to use the Alien system.


Alien Vs. Texas Instruments Transponder System

There are several significant differences between the Alien and TI transponder systems. I'll enumerate some of those below.

  • The first obvious difference is in the size of the transponder. The 'new' transponder (shown below) is roughly the thickness of a piece of paper.

  • Another difference is in the cost. The Alien transponder will cost the rider roughly $1.00, while the TI transponder will cost roughly $25.00.

  • The TI transponder has a detection range of roughly 6 feet, while the Alien transponder can be detected upwards of 15 feet. While this might SOUND like a good feature, it also means promoters may need (depending on antenna orientation), to expand the exclusion area around the checkpoint.

  • Unlike the Texas Instruments transponder system which can only tolerate a single transponder in the checkpoint area at a time, the Alien system can accomodate any number of transponders in the zone - and it will report all of them to the software.

  • There is a very signficant difference in how the two systems provide transponder data to the software. In the case of the TI system, the hardware actively sends or "Pushes" all transponder data to the computer. This means if the computer is offline for any reason, any transponders which are forwarded to the scoring software are essentially dumped into the "bit bucket" - and the data is never used. With the Alien system, the hardware NEVER "pushes" the data to the computer - all transponders are maintained in an internal "tag list". It's the responsibility of the software to "PULL" the data. In the Race Timer system, the taglist is queried 10 times per second. The side benefit of pulling the data from the reader is that if the computer is knocked off line for any reason, the tags are still being read, and retained, in the reader, so when the computer is back online, those tags will be retrieved, with no lost rider data.

  • Another major benefit of the Alien system over the TI system is there are no serial interfaces used in the Alien system. Although the serial systems have been around since the dawn of the computer age, it can sometimes be difficult to find drivers as you upgrade your operating system. Eliminating the need for the Serial devices, and using standard ethernet cables for all connectivity ensures better compatibility with all existing and future computer systems.


AMA & Series Numbers

Depending on the policies of the different series, sometimes it's required that all results include the series or AMA number for all riders.

The Race Timer system accomodates this in the "Race Results" section. When you are calculating the results, you have the option of including the AMA number and / or the Series number in the output.

It's up to the user to ensure the database contains the AMA number and / or the Series number. When the results are calculated, the system checks the master database, looking for the record which meets the criteria of same name, same rider number, and same class. If that record is found, the system extracts the AMA number and the Series Number. Please note that if you have more than one record with the same rider name, same rider number and the same class, the system will use the first occurrence. For that reason, it's beneficial if users periodically review the contents of the main database, updating the records as necessary.


AMA Card Reader

The Race Timer system supports reading AMA cards for registration. There are probably several card readers available that will work, but without a lot of testing, I'm reluctant to recommend anything other than two models sold by MagTek (www.magtek.com).

The two models are their 21040145 and 21040140. It's significant to note the difference between the two. The 21040145 is a Keyboard Emulation version, and the 21040140 is an "HID" version (described below).

You can easily 'google' the part number and locate several suppliers. The price will range from about $55.00 to $85.00.

The Magtek readers can operate in what is known as the "keyboard emulation" mode, or the "HID" mode. The Race Timer software expects the card reader to work in the keyboard emulation mode.

Fortunately MagTek has software which enables users to set the reader to the correct mode. This configuration utility is included as one of the files on the distribution CD - and I've provided a copy of the software at the following website:

http://www.berkutsystems.com/supporting-files

Once on the site, you'll see several files that some users have needed through the years. You'll readily see the software for the MagTek Card reader.

Once you've downloaded the software, you can configure your card reader to operate in the "keyboard emulation" format.

What follows is a summary of what you can expect in the software. There are three Basic commands.. "note check the auto add length tab":

00 gets information; 01 sets registers; 2 resets the unit..

The first thing you might want to do is verify the type

00 10 gets Reader type from hex register 10... the results from this get Data = 00 means HID,, Data =01 means keyboard emulation

Request : CMND=00, LEN=01, Data = 10

Response : RC=00, LEN=1, DATA=00

Secondly, if not set to the keyboard emulation mode, you should do that using the Set Command,

01 10 01 "Sets to Keyboard mode"

After the system has been set to the keyboard emulation mode, you'll want to reset the unit

2 "resets the unit"

After stepping through the configuration, you should verify the change using the same commands discussed above

00 10 "gets the reader type.. Should Return the following "

Request : CMND=00, LEN=01, Data = 10

Response : RC=00, LEN=1, DATA=01


AMA Reports

The Race Timer software readily supports creating reports required by the AMA.

Shown below is a screen shot following creation of a sample report. Note that any fields not contained in the database will be left blank. The file is actually an Excel Spreadsheet, ready to forward to the AMA.

Note - the system imposes the following requirements prior to being able to successfully creating the AMA reports:

1. You must have first calculated the results for each class you want to create a report for.

2. When calculating the standings, you must have elected the option to include the laptimes in the output.

3. You must also have elected to save the data in a format which can be viewd using Microsoft Excel. This option is located in the "additional options" tab on the "calculate results" screen.


Announcing Race Results

Many promoters like to have the ability to announce race results while the race is in progress, letting folks know who's passing the checkpoint, and what the overall race status is.

The All-Out scoring system supports this via the network capability. In this case, you might want to consider connecting the checkpoint computer to a computer in the announcing tower. Further, you'd configure the computer in the announcing tower to serve as the network master, and the checkpoint system to serve as the slave computer.

In this configuration as riders pass the checkpoint, the information would also be automatically passed to the computer in the announcing tower, enabling announcers to pass the results to the audience via the Public Address system.


Archival Process

It is important to understand the difference between archived data and data which has been backed up. Data which is backed up is all applicable data files associated with a particular event. Archived data is a sequential listing of every action that took place at a checkpoint. Everything entered by the operator gets simultaneously written to an archive file - unlike the backup - which represents a duplicate copy of all files in the application directory.

Dependable equipment is crucial when scoring any event. The Race Timer software is very reliable, but overall reliability still depends on hardware that will remain operational for the entire event. The single worst thing that could happen to a promoter is to have a battery die midway through an event.

Regardless how hard you try to protect your equipment, there's always the (slim) possibility of something happening that could result in a loss of the entire system. This could be anything - from a loss of power, to a rider crashing into the scoring area and scattering the components used for scoring. As a result, a great deal of effort went into designing the Race Timer system to ensure that everything entered into the system is also archived. This ensures the promoter has a complete history of everything that deals with how the data gets entered. It also provides the promoter with another means of relooking at the exact sequence of event at a particular checkpoint - including the corrections made during the event.

The simple explanation of the archival process is that every time the system enters the data entry mode, the system checks the current date, and if an archive file is present (in the application directory), the data is appended to the existing file. If an archive file (for that date) is not present, one is created - in the application directory. As a result, after repeated use, you can expect to see a growing number of archive files - all named using the following example file names.......

Hare Scramble events:
ARCHIVES-2001-08.20.txt

Enduro events:
ARCHIVES (Enduro)-2001-08.20.txt

Please note that during the data entry, any changes made to previously entered data are also reflected in the archives.

Lets assume that you've completely lost the raw data as a result of someone electing to create a new data file instead of appending to an existing file. In this case, it's trivial to copy the proper section of the current archive file into the raw-data file, and you're back online - ready to continue the scoring - no data was lost.

While for the most part it's possible to simply copy the contents of an archive file into a "raw_data" file, this must be done with caution since the archives also record where previously entered data was modified - and the scoring program expects the raw_data file to be ready to use for scoring (i.e. without annotations of results being modified). If there is a need to use the archive data to score an event, the user must scan through the archive data to eliminate any data that wasn't part of the event in question, and also ensure the file is changed to account for any modified data.

Shown below is an example of what an archive file for a Hare Scramble event might look like. Shown further below is an example of what an archive file for an Enduro event would look like. The first example includes a depiction of what an entry looks like after manually modifying an entry.

Contents of a Hare Scramble event archive file:
"22:37:02","853"
"22:37:05","189"
"22:37:07","485"
"22:37:09","735"
"22:37:13","225"
"****** NOTE: ","22:37:07","485"," (above) was changed to ","22:37:07","364"
"22:38:07","589"
"22:40:09","235"

The contents reflect the time the rider went past the checkpoint and the riders number - in that order.

Contents of an Enduro event archive file:

"001","11A","011: "
"009","11A","011: "
"010","11A","011:01"
"001","11A","011: "
"001","11A","011: "
"002","11A","011: "
"003","11A","011:11"
"007","11A","011: "
"008","11A","011:11"
"009","11A","011: "
"010","11A","011: "
"007","11A","011: "
"008","11A","011:11"
"009","11A","011: "

The contents of an Enduro data file reflects the check point number, the riders number, and the time the rider went past checkpoint - in that order. If the checkpoint was an emergency checkpoint, the data reflects both minutes and seconds, while all other entries indicate only the minute component of the checkpoint arrival time.

Please see the section on delaying archiving for an explanation on the impact of blocking continual archival of data during an event.

There's one more thing worth noting, that's written to the archive file. When the system is operating with networking enabled, the client writes to the archive file every time a connection is made to the master, and again anytime the connection is lost. This enables (worst case) a user to identify those riders who didn't get included in the master database in the event of a loss of network connectivity. The only thing necessary is to open the archive file, look for the time frame where network connectivity was lost, and manually add those riders to the master database from the time the connection was lost until it was restored.

Please see the section on network problems for a discussion on the processes embedded in the software designed to make the software more reliable in a network environment.

Note - The evaluation version of the Race Timer software does not support archiving the data.


Average Speed

Riders Average Speed

If the user enters the course length and the starting time for the race, the All-Out system calculates the average speed for each rider for the duration of the event. This information is sometimes a good indication of rider ability regardless of the riders final position. Since course length is sometimes more of a guess than a "known value", the information calculated by the system is only as accurate as that entered by the operators. Keep in mind that any inaccuracy affects every rider in the same fashion, so it's not necessary that course length be entered to any extreme degree of accuracy.

The side benefit of being able to display the riders average speed is that (as alluded to above), a rider who had mechanical problems can still gage how he stacked up with the fellow riders for the section of the track that he WAS able to complete.

For example, consider a rider who completes 2 laps in a 6 lap race - thereby coming in near the bottom in the overall results. While the rider might not have done well in the overall standings, it's possible that when comparing the average speed, this rider might have been up near the leaders until falling off the race.

When selecting the output, the user has the ability to include average speed - but only if he's previously entered the length of the course. The minimum course length that can be specified is .2 miles.

The course length is preserved in the software, so if the user exits the program, then re-enters later, the previously entered course time will already be present.

Note - average speed was always limited to miles per hour in the earlier versions, but the current system supports the ability to specify metric units (i.e. KPH) or miles per hour. See this link for a description of how to shift units from metric to US and back.


Backing Up Your Data

The process for backing up your data is accessed via the "race setup" drop down menu.

Great care has been taken throughout the software, to alert the user anytime any data is about to get either deleted or written over. To be on the safe side, it's always best to backup any data from previous events before starting a new event. Even during this backup process, you may find yourself over-writing existing files. The software will warn you prior to doing so, and will enable you to decide if you want to continue or not.

All of the files associated with the All-Out scoring system are located within the application directory. During the course of an event, it's sometimes handy to have two laptops in use - one for use at the registration area, and the other at the scoring area. The "backup" feature of the All-Out Scoring system makes it easy to copy the applicable files from the registration system to a floppy for copying to the scoring system or to a subdirectory beneath the "working" directory.

When copying files, the user must select whether he is copying the data to a floppy or to a specified subdirectory beneath the application directory.

After selecting where the files will be place, the user can also select one of the presets already available, or he can select individual files by clicking the files while holding down either the "Control" key or the "shift" key.

It might be best to view the section on Key Files to get a better understanding of what each of the files represents.

*** Select all files (including archives and the program file) ***
This selection does as it implies - it copies every file in the application directory to either the floppy or the specified subordinate directory.

*** Select all files (minus archives and the program file) ***
This selection copies all files to the destination, with the exception of the archives and the program file. It includes any barcode files you've created, the registration data, and all aspects of the most recent race data.

*** Select only the key "system" files ***
This selection can be used if you intend to take the existing race data to another system to calculate the race results. This choice is the fastest way to copy only the critical data, without copying all of the extra files which eventually start cluttering up the application directory.

*** Select only the "results" files ***
This selection copies only those files which do not represent system files, the archives, any barcode files you may have generated, nor the program file. This selection is best used when forwarding results to a series timekeeper since it automatically extracts all of the results that have been saved to disk.


Barcode Generation

Generating Barcodes

Although it's possible to score events using the Race Timer software with nothing but existing rider numbers, it's a LOT easier and more accurate if the promoter uses barcodes to do the scoring.

The "barcode generator" component of the Race Timer system enables promoters to generate their own barcodes - alleviating the need to purchase barcodes from a commercial vendor. Not only can you use the software to generate any numbering scheme, you can modify the size of the barcode to fit any barcode material you may have.

The barcode generation process allows you to select any font for the rider number, to insert any other information with the barcode, and also, to elect whether the rider number goes to the right of the barcode or underneath the barcode.

The system gives you the ability to add any information you like, in an optional entry field. Anything entered in the optional field is added to the bottom of the barcode (or optionally - to the right), without impacting the actual data read by the scanner.

The output from this module is a Microsoft word document, named according to the lowest number barcode generated, saved in the application directory. For example if you wanted barcodes printed using a range of 1M - 50M, the resulting filename would be 1M.DOC.

If this function is used, promoters should try to ensure the barcodes are printed on proper barcode media, using a barcode printer. Traditional mailing labels can be used, but should be done so with an understanding the ink from most printers will smear once it gets wet. The barcodes generated with most commercial barcode printers will provide quality barcodes that will remain readable in even the muddiest track conditions. The most reliable barcodes are those printed using a thermal printing process.

In the barcode printing section, users can either print a single barcode - or print a range. In addition, users have the option of inserting a <carriage return> between the barcodes in the resultant document. This enables a little more flexibility since some printers expect a separation, while others do not.

The barcode printing function of this program relies on the presence of Microsoft Word on the local computer - or a word processor which automatically associates ".doc" file names with a particular word processor. What's really happening in the background is that graphic images are being "pasted" into a Microsoft word template for subsequent use inside Microsoft Word.

For those concerned about compatibility with standard readers / scanners, the Race Timer barcodes use what's known as "code 3 of 9" format - or more simply - code 39 format. The "3 of 9" format was selected since it's one of the most universally recognized formats. Virtually ever scanner can read it.

Assuming you elect to use a standard laserjet or deskjet printer to print your barcodes - you can preserve them by taping them on helmets using clear plastic packing tape. If using this method, it's often worth also putting the clear tape on the backs of the labels, since any moisture which reaches the barcode from the backside will quickly make the front side unreadable. This is not an issue when using barcodes created with a thermal printer.

Assuming you have a barcode printer, the preferred option is to call up the saved document using MS Word, then format the page size, and border settings until you get the best results, then send the document to a commercial barcode printer. The Microsoft Word template was originally intended for use by the "Barcode Blaster" - made by Cognitive but once you've created a barcode file, virtually every barcode printer will support printing directly from a word processor. Although the process is essentially the same for any type of barcode printer, you can use the following steps to print the barcodes directly from Microsoft Word to the barcode printer:

a. open the document

b. click <file> <print>, then select the barcode printer as the device you'll be using

c. click <file> <page setup> and set the page size to reflect the size labels you are using.

d. while still in the page setup section, click the "margins" tab and set the top, bottom, left and right margins to all zero - this will cause an error when you click "OK" since you're asking the system to print outside the printable area. This "error" is ok - it'll get "fixed" in the next step below.

e. let MS Word "fix" the margins

f. click "print"

Promoters should take care to ensure that when barcodes are handed out at rider registration, that riders are advised to remove or cover any other barcodes they might have on their helmets. Although the rider registration process will catch any duplicate rider numbers at registration time, it's very easy to inadvertently scan the wrong barcode if more than one exists on a helmet.

There are two places you can print barcodes from - either from the "generate barcodes" dropdown menu, or also by clicking the button on the screen during rider registration. Click here for a description of the rider registration process.


Calculating Race Results

When all data has been entered into the system, the final results are computer by following the links from "Race Results" to "Calculate Results"...... bringing you to the screen shown below (for Hare Scramble events)

The user now has the opportunity to calculate either the overall results - which incorporates the differences in starting times, or selecting any number of classes from the list to the right.

In addition, the user can elect to save the results to a file on disk, or to the printer - as well as sending the results to the screen.

If the user elects to calculate the overall results, he also has the option of including the class of each rider as part of the output.

A handy feature of the All-Out Scoring software is in being able to include the lap times for all riders - to the right of their class position. Since this could result in very long lines of text (i.e. a race where riders make 15 laps), when this option is selected, the only option is to send the output to the screen and to a file. It's expected (in this case) is that the user will subsequently open the saved file with a word processor, and manipulate margins and page layout to accommodate the length of the output.

Calculating Hare Scramble Results

See the section on system accuracy for a discussion of the significance of how the system allows the user to either use (or not use) times to the hundredth of a second when calculating results.

Shown below is a representative screen showing the output directed to the screen.

When in the Enduro mode, rather than separate window for selecting the output and observing the output (as shown above), the output is both selected - and visible - in a single display shown below. Another difference in the output format when directed to a printer is that all output is printed in landscape layout as opposed to portrait layout as in the Hare Scramble mode.

Calculating Enduro Results


Calculating results (Central American Enduro mode)

Calculating the race results in the Central American Enduro mode is simple - you simply select the class, identify how you wish to handle the DNF's and elect whether or not you wish to send it to the printer and to save it to the disk.

There are two results shown below - for the same event. One shows the results after electing the option to not DNF a rider for missing a checkpoint, while the other DNF's a rider if any checkpoint is missed.

In the case above, the system sets a 3600 point penalty for every missed checkpoint.

The display below shows the same results, but this time the user has elected to DNF all riders who have missed a checkpoint.

If the user elected to save the data to the disk, the data is saved in a file which is named according to the class name, preceded by "ULM Enduro".

ULM Enduro-<classname>.txt

so, in the case of the "EX" class, the file is save as

ULM Enduro-EX.txt

It is possible to see all of the data for any particular rider by simply clicking on the line for that rider. The display shows the data for one of the riders in the display

It is also recognized that a more complete printout of the results is needed, containing a more detailed breakdown of every checkpoint for every rider, along with a listing of how many points were assigned at each checkpoint. As a result, the software also creates a file which can be directly imported into Microsoft Excel. Shown below is a partial display of the results for the event above. The beauty of the system is that users can easily manipulate the output to suit the type of output they want.


Changing the IP address of your computer

TCP/IP defines how your computer communicates with other computers.

Although it's easier to manage the network settings if you have the ability to have a router taht will "issue" IP addresses, the reality is that at the track, most promoters will have a simple netowrk, with what is known as a DHCP server.

This means you'll probably (eventually) need to set the IP address of your computer in order to use the Alien transponder system. To change your TCP/IP settings, follow these steps:

Windows XP:

To set a static IP address:

Open Windows Start menu.

Open Control Panel.

Classic view: Open Network Connections

Category view: Select Network and Internet Connections, and then Network Connections.

Double-click on your active LAN or Internet connection.

Click Properties.

This opens the Local Area Connections Properties window.

In the General tab, highlight the Internet Protocol (TCP/IP) item, and click Properties.

This opens the Internet Protocol (TCP/IP) Properties window.

In the General tab, click Use the following IP address, and enter the IP address you want to assign to this computer. Click Use the following IP address, and then, type the IP address settings. If you plan to use the Alien transponder system, it's always safe to use 192.168.1.110 (provided you're not using that address on another computer). Once you've entered the IP address, press the "tab" key - at which point the rest of the fields will be filled in for you automatically. Accept those settings by clicking "OK", then "close". Dont worry about any of the other settings - they dont matter for what we're normally doing with the Race Timer software.

Click OK, then click "close" to complete the process. It is not necessary to reboot the computer after making this change.

Windows 7 or Vista

1.Open Network Connections by clicking the Start button , and then clicking Control Panel. In the search box, type adapter, and then, under Network and Sharing Center, click View network connections.

2.Right-click the connection that you want to change, and then click Properties. If you're prompted for an administrator password or confirmation, type the password or provide confirmation.

3.Click the Networking tab. Under This connection uses the following items, click either Internet Protocol Version 4 (TCP/IPv4) or Internet Protocol Version 6 (TCP/IPv6), and then click Properties.

You'll now see The Network Connection Properties dialog box

4. select Use the following IP address, and then, in the IP address field, type the IP address you want to use. If you plan to use the Alien transponder system, it's always safe to enter 192.168.1.110 in the IP address (provided you're not using that address on another computer). Once you've entered the IP address, press the "tab" key - at which point the rest of the fields will be filled in for you automatically. Accept those settings by clicking "OK", then "close".


Checkpoint Number

The checkpoint number is relevant only when scoring Enduro events.

Enduro events consist of a series of known controls, including a start and a finish control, plus three types of checkpoints. ..... secret, observation, and emergency. Each is unique in the way points are assigned at each type of checkpoint.

The All-Out system enables operators to identify each of these checkpoints (and the associated type) during the race setup. As riders complete the event, they hand their score cards to the person entering the data at the finish line where the data for each checkpoint is then entered into the event database. Unlike the Hare Scramble mode, it is probably more cumbersome (and expensive) to use scanners for the data acquisition, so in the Enduro mode, the basic premise is that data will be manually entered at the finish line.

An earlier version of the system made allowances for having a scanner available at each of the checkpoints, but due to the cost of having a number of scanners, coupled with the low probability a promoter could find enough people comfortable with using a distributed scoring system, it is now assumed that all data entry will be done at the finish line.

Please see the Enduro - Assigning Penalties for a discussion on how points are assigned at each of the types of controls / checkpoints.

Enduro Checkpoint setup


Checkpoint Setup - Central American Enduro mode

The All-Out software has a very robust method of defining the checkpoint, giving the user the ability to uniquely define the course.

The basic premise is that you will have a starting point, then a series of checkpoints which represent either special tests, or the start of another stage, followed (at the end) by the finish line.

Inside each stage, the user can specify any number of special tests.

The user can also specify whether the finish checkpoint is a "standard" finish line, or a "Crazy Finish". The difference between a Standard finish and a Crazy Finish is that no points are assessed if the rider arrives early at the Crazy finish.

The software requires that the user enter additional data when adding another stage. The screen below is a typical representation of how a new stage is defined:

Note here that you have the ability to set a theoretical time for each class individually. In this case the same theoretical time has been assigned to all classes, but the software allows each class to have it's specific theoretical time.

The software then lets the user indicate the length of the stage, and to specify whether or not that fuel is available at the stage.

Finally, the user enters the name of the Stage.

Once the stage is identified, this new stage is appended to the end of the current course definition.

The system allows you to print the instructions for the riders - not only sending the information to the printer, but a copy is saved to the disk. Users can take the saved data and make any other changes to the basic data with a word processor to add any additional information you would like to include. The file is named "Course Instructions.TXT" - and is located in the application directory.

Shown below is a copy of a typical set of "Course Instructions"

Note that the upper part of the rider instructions provides details about each stage, while the lower section displays the theoretical times for each class, at each of the stages.


Class Standings

One of the real chores in managing a series is keeping track of the class standings. Prior to the All-Out system, this was the full time job of a points coordinator. Now, with the help of the All-Out software, it's trivial to track the class standings, and the overall standings for an entire series. When this help system was assembled, the All-Out system was only supporting the series calculations in the Hare Scramble mode.

This feature is accessed beneath the "Series Management" dropdown menu - after entering the hare scramble mode.

Calculating class standings is a tedious process, where the points coordinator is required to track every rider, converting the finishing positions into an equivalent number of points, then (if applicable), eliminating the lower scores based on what the policy is on throw-aways.

The entire process requires a HUGE amount of time, and is normally prone to error based on the large number of repetitive calculations involved.

The All-Out system completely eliminates this problem through a three step process - each accessed by clicking a tab at the top of the series standings selection. These tabs accomplish the following:

Parameters / Output Options

This tab enables the points coordinator to identify the points associated with each finishing position. The All-Out software provides flexibility by enabling users to establish different point for the Overall standings and the individual class standings. This relationship is created by simply clicking either the "overall" button or the "class" button on the left of the left. At that point you're presented with an screen where you can populate the database with the points assigned to each finishing position. This data is saved as part of the configuration.

This screen is also where you identify the number of throw-aways allowed by the series. This number can be changed at any time by simply clicking "Change". This information is also saved as part of the system configuration.

You can also specify whether you want the output sorted by "total" (without throw-aways) or sorted by "best" (with throw-aways taken into account).

When calculating series standings, you MUST identify which item will be unique for a rider throughout the series. Most use the rider number, but some also use either the series number or the AMA number. This screen is where you specify which field will be used as the unique field during the calculations.

This tab also provides you with the ability to select options on how you want the data displayed, whether or not to send the output to the printer, and whether or not to invoke the "50% rule". Some clubs specify that a rider will not receive credit for the event unless he completes at least 50% of the number of laps completed by the leader. Please note that the results can be different for those odd number of laps.

For example, consider the case where the leader completed 13 laps. If you implement the 50% rule, you must specify whether (in this case) a person must complete 7 laps, or 6 laps. Think about it .... it makes a difference.

The system also allows you to indicate whether or not you wish to include "Work Points" when calculating the series totals. Please see the section Work Points for additional details on how the work points are managed.

Selecting Events

Once the point assignments have been made, the user is ready to select which events to include when calculating the series standings. This is done by clicking the "select events" tab. Hopefully the user has been archiving all results with a name that includes the event date. If the events have been saved with a YY-MM-DD naming scheme, it's trivial to identify all of the events associated with the current standings.

You can highlight the classes you're interested in, or you can select the overall standings. Note - the system does not support including the overall standings with the individual class standings.

Calculate Standings

Assuming the configuration has been entered, and the events have been selected, the only thing remaining is to indicate whether you want standings sorted by "best" or "total", then click the button to calculate the standings.

When calculating the "total", the system uses the points vs position relationship, and provides the total number of points the rider has earned, using all events that rider has participated in.

******** IMPORTANT ******** The All-Out system expects that a rider will use the same rider number throughout the season, therefore when looking for all events for a particular rider, it expects that (for example), the same person will be using number 410 throughout the season. The number can change the following year - but it must remain constant for the duration of the season.

******** IMPORTANT ******** Something else to remember is that when you calculate the standings for a particular class, the system looks for a file with that name in each of the selected archive directories - so if you're calculating results for the "250A" class, the All-Out system looks for a file named "250A.TXT" in the selected archive directory. If that file isn't present the user is informed by a pop-up message.

Please keep in mind that when you are calculating the results, following an event, the user has the ability to use any filename they desire. Users are cautioned that if you use a filename other than the default filename provided, there's no guarantee the All-Out system will be able to include riders for that event in the class standings. The bottom line is that unless there's a reason not to, users should always accept the default filename when saving results to disk.

In the evaluation version the All-Out system will not display or save, or export, or print the class standings if there are more than 10 riders in the output.


Compacting the database

It's obvious to everyone that when you add a record to a database, that the database size will grow accordingly.

What's not commonly known though, is that when you delete a record in a database, that space isn't reclaimed. What REALLY happens is that specific record is simply marked as deleted - and will not be accessible - but it continues to exist in the database.

The result of all this is that most databases will continue to grow over time - getting larger and larger - and never being reduced in size as records are deleted.

The Race Time System has implemented something a little different - in an effort to manage the size of the database.

Every time a record is deleted in the database, the All-Out system creates a file in the application directory which identifies that it might be necessary to compact the database.

Every time the user enters the mode to use the database, the system checks for the presence of this file - and if it's present, the system automatically goes through a process which compacts the database - eliminating these deleted records - thereby saving space on the hard drive. As a result, it's never necessary for some (manual) intervention, to compact the All-Out database.


Connecting Computers Together

When operating in a network environment, you have two options for how to connect them together: The Networking functionality in the All-Out system is discussed in the section on network support and is accessed beneath the "File" drop-down menu.

a. You can connect any number of computers together with a hub, and a section of standard Ethernet cable connecting each computer with the hub. Using this arrangement, the only limitation on the number of computers which can be connected together in the All-Out environment is the number of available ports on the hub. The disadvantage is that you'll need to provide power for the hub.

b. If you are only connecting two stations, it's possible to eliminate the hub, and simply connect the two computers together with what's known as a "cross-over cable. The limitation here is that you're only able to have two computers in your "network" when using a cross-over cable, but the advantage is that you're not faced with any additional power requirements. This is by far the simplest "network" to implement, and in most cases is easily adequate for scoring events using the All-Out system. If you don't have access to a cross-over cable, see the section on making a cross-over cable for how to build one yourself.

As shown in the diagram below, regardless which option you select, you'll still need to identify which one of the computers will serve as the "master". The All-Out software in all other computers will then be configured as "clients" - feeding the "master" with all data from that scoring station.


Contents of the CD

As part of the distribution of the All-Out Scoring system, you'll find the following items on the CD:

1. All of the installation files for the Race Timer system - located in the root directory of the CD.

2. Internet Explorer 5.0. The help system associated with the All-Out software requires that users have IE 4.0 or later. Earlier CD's included IE 5.0, but since those earlier operating systems are no longer supported, there's no need to distribute any version of internet explorer.

3. Acrobat reader, version 5.0. As a standard means for viewing documents saved in ".pdf" format, I've included this software as a convenience to the users. I include a document in the root directory detailing how to mount transponders - you can use this software to view that document.

4. Barcode Blaster software. If users intend to use the barcode printing features embedded in the All-Out software, you'll also need to have access to a barcode printer. Since the author originally used a Barcode Blaster barcode printer to print barcodes, I've included the drivers for that printer on the distribution CD.

5. The distribution CD also contains a directory labeled "Update to help system". If the Help system associated with the All-Out software does not function as expected, it is possible the reason is because some of the files expected in the Microsoft Windows environment may not be present. This "update" directory contains a file named "hhupd.exe". The user should navigate to this directory and execute this program. It updates the help system files on your computer which power All-Out's help system. These files are normally already installed as part of the windows operating system, and are always included as part of Windows 2000. As a result, of Win 2000 should not use this as a means to troubleshoot the help system.

6. The distribution CD also contains a directory labeled "Drivers". In this directory are a number of drivers for USB-to-Serial adapters. Although the Belkin F5U109 model is the primary adapter distributed with the All-Out system, the goal has been to include several other drivers in the event there's ever a need to use a different adapter. There's nothing special about the Belkin F5U109 - it's just one that's always been convenient for use with the system.

7. The distribution CD also contains two files describing some of the principles of transponders. One of these files is named "Transponder instructions.doc". This is a "standard" MS Word document, and the other is named "Transponder instructions.pdf". This second file has the exact same contents as the MS Word document, and is included here solely to aid promoters if they'd like to post a relatively small file on a website. Users are encouraged to modify the MS Word document to suit their purposes.

In the event you are unable to use "help", you can always bring it up by double-clicking on the "race timer.chm" file - located in either the /system or /system32 directory (depending on the version of software).


Correcting Data

Nobody is perfect when entering data, and in the case of the All-Out scoring software, even if data entry was perfect, any protest at the conclusion of the event could require modifying the data in order to rescore a particular class - or even the entire event.

There are a couple of ways to modify system data - and one which is unique to the Enduro mode - discussed at the bottom of this section.

1. During the race:
When using the manual data entry mode - or the keyboard wedge method for data entry, it's simple to modify data. The only thing necessary is to press the <up arrow> using the cursor to highlight the data point you wish to modify. Simply substitute the incorrect rider number with the correct one and press <return>. That's all there is to it - with one exception that's worth knowing about.

As you enter rider information, that data appears on the right side of the window you're working with. As you enter more and more riders, the rider will eventually scroll to the top of the window, at which time it's removed from the window - and written to the hard drive. This concept of a scrolling window is valid when being used both in as a standalone scoring station, and when networked. The difference is that in the network environment, the scrolling window on the "master" contains not only the riders entered locally, but also those entered from any of the other scoring stations.

Assuming you're in the network environment, you should be aware that when you use the cursor key to scroll to the rider number you want to change, any change you make on one of the workstations also gets reflected in the master - ASSUMING the erroneous rider number is still present in the scrolling window (i.e. it hasn't been permanently written to the database yet).

In the unlikely event the data point you want to modify has already disappeared from the list of recent riders, the operator can always exit from the data entry mode and click the links to "data entry", "correct existing data" and use Notepad to correct the data. Care is encouraged when making changes to the data, because if the format isn't adhered to, you could have unexpected results in subsequent calculations. The system verifies that all data is in the proper format prior to doing any calculations, but it's easier to take the time to be accurate, than it is to try find a mistake.

Please note that leaving the data entry mode to start messing with data is somewhat risky during a race since the system will not allow subsequent data entry while in the data correction mode (at that workstation). If you're running in a network environment, the person using the "master" workstation can pretty much do anything he elects to do. If he leaves the data entry mode, all subsequent input from the other workstations gets queued - waiting for him to resume scoring.

Something to note is that all data is written to two places - in the main "raw data" file, and in an archive file that gets generated every day the system is used. When making changes to the data, not only is the "raw data" file changed, an annotation is made in the archive file, informing the user of exactly what happened, and at what time. A typical entry in the archive file might look like the following. Note that data is being recorded, then you see where the operator directed the system to modify the entry for rider number 5027 (second line in the archive window). Note that while the change is annotated in the archives it's not actually made, whereas that change actually takes place in the raw-data file.

2. During a protest period:
Often times there is a lot of discussion about who has passed who, and what a riders lap times are. The list of possible questions is endless. Regardless the reason, the operator needs a method for modifying the data prior to recalculating the class (or overall) results. For example, you might find that in a race where the riders average lap time is 13 minutes, you might see one rider had a 1 minute lap time. This is clearly a case where the wrong number was entered - so you need a way to eliminate that data point.

With the All-Out scoring system, the process is simple - simply click the links to "data entry", "correct existing data" and use Notepad to correct the data. Be careful to ensure that the exact format for data entry is used when making any modifications. Users are presented with the screen below as a reminder to keep any modifications in the same format as existing data.

As stated in item 6 in the screen shot shown above, there are times when the size of the data file will be more than what can be handled by the Windows Notepad. In that event, you can use any text editor to open and modify the data file. It is important though that the file be saved as a text file - and not a binary file as is the default for most word processors.

Modifying the data for Enduros is a little simpler..... it's all done using a graphic user interface (GUI). The diagram below represents a screen shot of how data is modified in the Enduro mode. The individual rider is first identified by double-clicking on his name on the left. From there, all data pertaining to that rider is visible on the right. Double-clicking on any data point will then allow the user to modify that particular point. Once a particular checkpoint has been edited, it's added to the riders data by clicking "Accept Checkpoint". When all edits are completed for that particular rider, they're made permanent by clicking "Update Rider Data".

Editing Rider Data in the Enduro Mode


Course Length

Some promoters find it convenient to inform the riders of their average speed during the race. Clearly this requires that the operator enter the course length. Since the total time on the course is already an integral part of the scoring process, it's simple to calculate the riders average speed - if the course length is known.

The All-Out scoring system provides the ability to enter the course length in the same section where the results are calculated - beneath the "Race Results" drop-down menu. This data, coupled with the total time on the course, and the number of laps the rider completes, is used to calculate the riders average speed.


Custom Reports

The All-Out scoring system is very flexible in how it creates reports. Not only are there some built-in reports, the system gives you the ability to elect to use Microsoft Excel in creating additional custom reports.

When calculating the results, you are encouraged to select the option to view the results using Microsoft Excel.

If this option is selected, you are presented with an opportunity to open a very detailed report, using Microsoft Excel. The file is actually a tab delimited file, containing EVERY field of the database, along with several fields representing the results, including the laptimes, average speed ....the works.

Once the file is opened via Microsoft Excel, there's no limit to the types of reports you can create. you can select any number of fields, sorted in any way imaginable.


Data Entry

The All-Out scoring software was designed with maximum flexibility in entering data. The system is designed to support data entry all the way from manually typing in the rider numbers at the checkpoint, to the use of barcodes, to the latest in technology - detecting riders at the checkpoint, without slowing down, using transponders.

Every aspect of actually handling race data, anywhere in the All-Out system is accomplished from beneath the "Data Entry" dropdown menu. This includes modifying data, or Importing Data From an unattached Scanner.

When electing to enter rider data, it's highly probable that race data will already exist in the system. In this case the user must decide whether to append to existing data - or to start a new file. The decision should be obvious, but since it's raised questions in the past, it'll be discussed here.

Starting a new file:

It's logical that a user will start a new file every time the green flag drops and the riders head for the first turn. This ensures that no data exists from any previous event which could in any way, be included when calculating the results for the current event.

Appending to the existing data:

There are times when it might be necessary to exit from the data entry mode while a race is still in progress. In that case, when you re-enter the data entry mode, the preference would be to continue data collection by appending to the existing data.

When initially entering the data entry mode, the user is also presented with some of the options available such as whether or not to enable RFID input, whether to enable use of a remote display, and whether or not to enable a stoplight.

Data entry mode (Hare Scramble mode)

Additional information is available specifically for Hare Scramble events and Enduro events elsewhere in this help system.


Data Entry (Central American Enduro mode)

Data Entry - Central American Enduro mode

The All-Out software gives the user three ways to enter data for the event.

The first is to import the data from a spreadsheet which was previously created by downloading barcode data from a scanner.

When importing data, a user will first identify the checkpoint he wishes to associate with that data, then navigate to the file containing the data. The software will alert the user if the data is not in the expected format. Please contact the author of the software if you wish to import data in a different format.

The next option for recording data is shown in the screen shot immediately below:

In the option above, the objective is to enter all data for a specific rider, starting at the first checkpoint (the start), then sequentially stepping through each checkpoint. The user first selects the rider he's entering data for, then he identifies the checkpoint, then the user enters the time for the specific checkpoint. The system will sequentially step to the next checkpoint.

Sometimes though, it's easier to enter data for all riders at a specific checkpoint - in which case the user should click the option in the screen above which says "Manually enter each rider number". Once clicked, the user is presented with the screen immediately below.

In the screen above, the user enters the rider number, then the time for that checkpoint. The time is associated with the selected checkpoint.


Data Entry - Enduro Mode

All data entry for the Enduro mode is done via the <Data Entry> dropdown menu.

Although automated data entry is available in the Hare Scramble mode, unfortunately it's not available in the Enduro Mode. The author has dedicated a significant amount of time and effort trying to automate the process, but unfortunately it's not possible at this time. The primary reason is the expense associated with assembling all of the hardware at each checkpoint necessary for automating the process would be cost prohibitive. Few (if any) promoters would be willing to pay the price for such a limited utility.

In the absence of automated data entry, the All-Out scoring software provides promoters with two means of entering data -

Centralized Data Entry:

Although a bit labor intensive, centralized data entry requires the least investment in hardware. The only thing needed is a single computer, and a single person to enter data at the finish checkpoint. The disadvantage is that depending on the number of riders and the number of checkpoints, there could be a significant amount of data entry. In addition, the large number of numerical entries also requires strict attention to detail to avoid mistakes when entering data.

The concept in the centralized data entry mode is that riders will have their scorecards annotated at each of the checkpoints, which they'll bring to the scoring area following the race - where it's manually entered into the system.

When entering data, the user enters the rider number, presses <enter>, then enters the checkpoint number. The system automatically keeps track of what data is required - based on the type of checkpoint - and either enables, or disables the "seconds" field. Once data has been entered for that checkpoint, the system retains the rider number, increments the checkpoint number, and positions the user so they're ready to enter the checkpoint time for the current checkpoint.

Centralized Data Entry

When entering data using the Centralized scoring process, users can also configure how they wish to print the receipts - using a screen similar to the one below

Configuring how receipts will be printed

There are times when a checkpoint may have been recording the wrong time, in which case it may be useful to adjust the time of every rider at a specific checkpoint. The All-Out system gives users this ability beneath the "advanced" button on the data entry screen. The screen below depicts how a user can shift the time of all riders at a selected checkpoint.

Shifting Time for all Riders

Distributed Data Entry:

The All-Out software minimizes the effort required to collect rider data by enabling the staff at each of the checkpoints to collect the data for that checkpoint and then collect all of the individual checkpoint data into a consolidated set of files. These files are then imported into the system for final scoring.

When using the Distributed Data entry method, as implied above, the process is actually a three step process.

  1. When entering the data entry mode, the staff at each checkpoint will indicate which checkpoint they're collecting data for. From that point on, the checkpoint staff simply enters the rider number (and presses <enter>) as each rider passes the checkpoint. The system automatically associates the time of each event - so the only entry necessary is the rider number. It cant get much simpler.

  2. In step two, the user exports the data for that checkpoint to a floppy, or flash drive - or any other removable media

  3. in step three, the user at the central scoring computer imports the data from the removable media, then calculates the results using that data.


Data Entry - Hare Scramble Mode

All data entry in the Hare Scramble mode is accomplished from beneath the <Data Entry> dropdown menu.

The All-Out software provides users with maximum flexibility for entering data in the Hare Scramble mode.

Checkpoint operators can manually entering data on the computer as a rider reaches the checkpoint. This requires nothing more than having a computer at the checkpoint.

Checkpoint operators can use a "keyboard wedge" type of barcode scanner. As in the 'manual' mode above, this also entails having a computer, or laptop, at each of the checkpoints.

The system enables operators to use an unattached barcode scanner to read the barcodes. Using an unattached scanner, the data gets downloaded from the scanner and subsequently imported into the system. Please note that when using an unattached scanner, the process expects the data be in the proper format. If your club or organization would prefer to use an unattached scanner to score your events please contact the author to purchase a scanner already programmed to export data in the correct format.

The system also supports automated data entry via transponders. In this "mode", the user simply enables RFID support when presented with the options for data entry.

Prior to actually starting data entry, the checkpoint operator is notified if a previous data file exists, and is given the option to either append to the existing data file, or to start a new file. This is where the user also enables (or disables) the ability to use transponders for data entry, a remote display, or a stoplight.

In all cases except when using an unattached scanner, the system uses the internal clock to record the times the riders reach the checkpoint.

As a rider arrives at the checkpoint, the user enters (or scans) the riders number into the system. Immediately on recording the rider number, the system appends that data to the existing data, and attempts to calculate the riders current position within the class he registered in.

If the user has elected to use of the optional remote display, the All-Out system displays the riders number, his class, his position within his class, and how far (hour, minutes, and seconds) the rider is to the closest rider ahead of him (in his class).

In the case of a rider who's class is unknown, the system simply announces that he is an unknown rider. If the person is the class leader, the system displays that fact.

When in the data entry mode, you'll see a button which will force a "quick save". Please see the "Quick Save" section for a more detailed description of this feature.

Hare Scramble mode

Note - things are a little different if you are using the Generation II tags (the Alien transponder system). In that case you also have the ability to view the raw data that's being detected by the transponder system. It would be worth your time to view the differences - you can view the Alien mode here.

You'll notice a


Database Maintenance

Database Maintenance / Alternate Registration

The All-Out system automatically keeps track of riders in a single database, consisting of MANY individual tables. One of those tables is the "master" table - the one containing a listing of all the details for each individual rider. This section will concentrate on this master database - accessed from beneath the "Series Management" dropdown menu.

This table retains the most current name, class and rider number for every rider who's ever been registered - unless someone has deleted records using the "database utilities" option.

The main database is automatically updated every time a rider is entered during the registration process.

See the section on Key Files for a description of all files associated with the All-Out software.

The heart of the All-Out Database is a Microsoft Access database containing much more information. This "main" database is intended to allow series managers to track additional information on each rider registered with the series. Accessed from beneath the "Series Management" drop-down menu, it can also be opened with Microsoft Access, but users are cautioned that any modifications from anywhere other than via the All-Out software can yield unpredictable results and users are not encouraged to make any changes other than via the All-Out software.

A specific entry can be modified by clicking on the specific entry, then clicking "modify". After making any necessary changes, the user can elect to either accept the changes or ignore the changes by pressing "cancel".

Unlike in the earliest versions of the software, it is no longer possible to start a new database by deleting the master database. Everything is now in a single file named "SYSTEM FILE-CONTESTANTS.MDB".

Unknown to many individuals, data is never actually deleted from a database when a record is removed - those records are simply MARKED for deletion and TREATED as deleted - but the records still exist in the database. Please see the section on Compacting the database for a discussion on how the All-Out software ensures the database doesn't continue to grow.

In the screen shot below, you'll see a section for Database Search. As you type in a name (or number), the system will gravitate towards the rider whose information best matches what you're typing. Once you're "close enough", you can press <control><enter> to register that person - significantly speeding up the registration process.

The "browse" button adjacent to where you enter the riders class takes it's data from the list of classes - as identified in the race setup section. See the section on Adding Classes for more information on how the list of classes is updated.

The second "browse" button adjacent to the field containing the cycle manufacturer presents the user with a list of available manufacturers. If it's necessary to modify this list, this information is contained in the file named "SYSTEM FILE-Manufacturere.txt", in the application directory. Please see the section on Key Files for a more detailed discussion on the files used to support the All-Out software. If this file is deleted, the All-Out system will automatically rebuild it with a pre-defined set of cycle manufacturers.

The system gives you the ability to send an email to everyone in the database - but sometimes you'll find people who have an invalid email address, or who request to be removed from those mass-mailings. The All-Out software supports those exclusions by allowing you put a check in the box if that person is included in the mass-mailings. Removing the check will remove that person from receiving email sent to everyoen in the database. Please see the section on Sending Email for more information on this subject.

The image below depicts the screen where the user can modify the contents of the rider database. Notice below, where users are able to select which field is represented in the second column from the left. This column can represent the rider number, or the AMA number, or the series number. When doing a search for a rider number, the information being searched is tied to the option the user has selected. For example if the person has elected to display rider number, then when typing a number in the search area, you're searching for a best match of the rider number. If you've selected AMA Number, then typing in a number is searching the AMA number field for a best match.

When you exit from the screen shown above, you may presented with an "alert", informing you the system is "doing final cleanups .... Standby". In reality, what's happening at this point is the system is ensuring that every entry in the list of registered riders is also present in the primary database. The intent is to ensure that all unique entries in the registration database also exists in the primary database.

As with any database, there will always come a time when you want to make changes to the database contents. The process for making multiple changes is cumbersome using the primary screen shown above. So...... the software provides users with some basic Database Utilities where users can remove records, reset rider numbers, compact the database, or set the database location.

Most of the registration functions can be done from this 'main database'. The exceptions are the team racing and identifying the amounts of money people have paid to participate. Those features are in the registration section detailed elsewhere in the help system.

Please note that when a promoter starts a race weekend, it's standard practice to start with a 'fresh' list of registered riders, deleting all registered riders from a prior weekend. This is accomplished by clicking the button labeled "Delete All Riders". Obviously this could have catastrophic results if it's touched accidentally, so when a user clicks that button, he's prompted with the following display - asking if that's what he REALLY wants to to.

It's expected that a user will not click - yes - and delete the entire list of registered riders.


Database Utilities

The All-Out software was developed with the intent of providing maximum flexibility to the user. Reality says there are few people skilled in managing a database, so it was important that the software be capable of providing every capability needed by the average user.

From beneath the file dropdown menu, you'll see the element providing access to the database utilities.

From this section, you have the ability to carry out each of the functions shown above.

Compact System database - this option reduces the space taken up by records which have been deleted. This topic is also discussed in the topic Compacting the database

Resetting all rider numbers - this option provides users with the ability to remove the rider number from every rider in the database. This may be useful if your series (for example) starts the season with every rider having a new rider number.

Resetting a range of rider numbers. This option is useful if you have a need to remove the rider number for some - not all - of the riders in the database. One example where this can be useful is if you assign a specific number range to "day-riders", those who are not members of the series, but who are competing for a single event. For example you might assign "day-riders" with rider numbers from 200-299. In this case, you might find it useful to zero the rider numbers for all those with rider numbers within that range.

Delete records (sorted by name) - this option allows a user to delete a group of records in the database - something not possible in the "main database" section. Inside the "main" database section, you are able to only delete one record at a time. In this section, you are able to delete multiple records at one time.

Delete records (sorted by number) - this option is the same as the option above, with the exception that records are displayed sorted by rider number. Note that only records are presented if there is a rider number in the record.

Specify the location of the system database - this option is intended to support accessing a database located in some directory other than the directory where the program is run. While this is a system capability, it's recommended that if you elect to use a single database, that you run the program from the shared drive in your networked environment.


Delaying Archives

Archival Delays

Using modern operating systems, data is not always written to a disk when the software conducts a "save" operation. In most cases the operating system will cache that information, waiting for a more opportune time to actually write that data to a file.

This is not intended to be a technical discussion of how operating systems work, but suffice it to say that an application can force the operating system to update the data file by closing the file, then reopening it for the addition of later data.

The significance of this is that although all data is being archived, a sudden loss of power might result in loss of data for any information still residing in the cache, but not yet written to disk.

The All-Out software allows the user to select how the system archives the data. The default is that every time a rider arrives at the checkpoint, the system appends that data to the archives, then toggles the open/close state of the archive file - forcing the data to get written to disk. This is by far, the safest mode to operate in, since it ensures all data is always on the disk - every time data has been entered - regardless of how recently the cache might otherwise have been written to disk.

There are occasions where it might NOT be advantageous to write the most recent data to disk - such as when a zip drive is being used to provide yet another archive of the data that's being entered. In that case, the slow file access time of a zip drive might result in a delay in being able to enter another rider while the file is being updated.

To account for those users who might be using their own backup system, the software provides the user with the ability to control how the cache is written to the disk by specifying that the cache is dumped to disk only when he elects to do a "quick save". See the section on Quick Saves for a more detailed discussion on the function of a quick-save.

Unless there is a driving need to block continual updates, and tie them to the quick-save process, this block should remain unchecked.

Please note that essentially nobody uses the old zip drives that brought out the need to delay the archives. As a result, this feature is no longer applicable in the later versions of the software - all data is written directly to the system.


Detecting Unregistered Riders

There are occasions where riders may try to compete although they've not registered for an event. The All-Out software detects those riders and handles them in three distinct ways.

1. When calculating the overall standings, the system alerts the user that a rider (or multiple riders) were detected for which there was no information. These riders will show up in the overall standings, but (obviously), there will be no name, nor class information available for them.

2. When the results are calculated for each class, the unregistered riders will not show up in any class standings, however they will show up in the overall standings.

3. During a Hare Scramble event, the system implements "real-time scoring" to keep track of the rider positions as they pass the checkpoint. If an unknown rider crosses the check point, the remote display will indicate that he's an unknown rider - as shown below.

In the Enduro mode, these unrecognized riders are identified as "unknown".

Often times it's perfectly legitimate that a rider may be unknown if he has arrived at the track too late to go through the registration process - yet has the promoters permission to participate. In that case the riders name, rider number and class can be entered after the event. Simply enter the registration mode and enter this rider prior to calculating and posting the final results.

If you're using barcodes for scoring an event, it's always recommended that you take several extra barcodes with you to ensure you're able to support a rider who arrived too late to register for an event. Obviously this isn't needed if you cut off registration at a specified time prior to an event.


Dip Switch Settings

Two components associated with the All-Out system have dip switches - the RFID controller and the Remote display. This section discusses the default position for the dip switches on each of these components.

RFID Controller

The RFID controller has three dip switches - one on the upper right of the front panel, one on the lower left of the front panel, and the lower right of the front panel.

All 5 dip switches on the switch in the upper right (labeled "Synchronization" should all be in the off / down position.

All 12 dip switches on the Switch labled "CTL Setup", located at the lower left side of the front panel of the RFID controller should all be off / down, - with the exception of switch number 3 - which should be on / up.

Dip switches 1-3 should be off / down, and dip switches 4 and 5 should be up / on - in the Switch located at the lower right side of the front panel of the RFID controller (Labled "RS422 RS485 DAT").

Remote Display

The Dip Switches for the Remote are accessed by opening the two removable "plates" in the rear of the display.

CAUTION - DEADLY VOLTAGE IS PRESENT WHEN POWER IS AVAILABLE, SO ENSURE ALL POWER IS REMOVED FROM THE DISPLAY PRIOR TO OPENING THE REAR ACCESS PLATES.

There is a single "switch" inside the access cover supporting the power cable and signal line. Unlike a "traditional" dip switch, this is essentially a jumper - similar to what you'd find on a hard drive. This "jumper" style switch has a sliding switch riding on the top part of the jumper. This switch should be in the "down" position. This switch essentially shorts the two leads together to ensure the switch is using RS-232 standard - and if for any reason (however unlikely), that the switch is suspect, you could actually solder the two leads together to ensure the system is using the RS-232 standard.

The other access plate cover provides access to the remaining Dip Switches, and two "rotary" switches. Dip switches 1-3 are used to set the data speed for the display - with the All-Out software using 19,200 Baud. The dip switch should be set as follows:

1 - off
2 - on
3 - on
4 - on
5 - off
6 - off
7 - off
8 - off

Adjacent to the dip switch are two rotary switches - used to identify the device number (when used in an environment where multiple displays are being controlled by a single software package). Since the All-Out software does not incorporate use of multiple signs, both switches should be set to "0".

Please see the owners manual for detailed information about the functions of each of the dip switches.

There's another jumper inside the remote display that has been known to cause problems at the track. Note the jumper in the picture located below:

This jumper is one similar to what you'll find on a hard drive - with the exception that rather than having the jumper inserted over two pins, this jumper actually consists of a tiny "switch" which is moved up or down to indicate a jumpered or open position.

This "switch" selects between the RS232 or RS 422 protocols, with RS232 being the default (jumpered) position. The problem with this jumper is that it's known to have intermittent contact, resulting in the display attempting to shift to RS422 midway through an event.

Anytime I ship a remote display, I always remove this jumper, then permanently connect the leads together with a tiny piece of solder after gently bending the pins together.

If you ever have a problem with your remote display, you might want to check this set of pins to confirm whether or not the pins are soldered together. If not, take the time to solder the pins together. Be careful to avoid any extra heat being transmitted into the circuit board the pins are connected to.

I've discussed this with Vorne, and they've approved this path.


Displaying A Scrolling Message

When used in conjunction with the remote display, the All-Out system gives you the ability to display a scrolling message on the display.

You must have configured the parameters for the remote display for this to work. You can follow this link to learn more about using Remote Displays.

Once configured with a message, this message will remain scrolling indefinitely until any of the following happen:

a. You cycle power to the remote display

b. you enter any mode which uses the display for either data entry or the checkpoint demo.

c. you enter any other message

d. you reset the sign with the "reset display" button shown below.

You are limited to a total of 230 characters in the message you wish to display. An indicator immediately below the text area tells you now many characters you have left before hitting the maximum message length.

Using the display as a message board doesn't impact system operation. As touched on above, the display is automatically reverted back to the basic data entry display as soon as you enter any part of the software which uses the display.

Note - once the message has been sent to the display, you are free to disconnect the computer from the display. The message will continue scrolling - even without the display being connected to the display.

Shown below is where you enter the section for posting a scrolling message, along with how that's accomplished.

Sending a message to the sign


Downloading Data From a Scanner

The All-Out system supports downloading data from two types of scanners. One is the scanner manufactured by "Symbol", the other is the scanner manufactured by "Videx"

The Symbol scanner was initially integrated into the software, with the Videx system integrated later - only to accommodate those promoters using a different type of scanner system.

The process for downloading data is very simple for the Symbol system - and even easier for those using the Videx scanners. Even a small amount of understanding will have you downloading files within seconds.

First - the Videx scanner

I'll discuss the process for downloading data from a Videx scanner - only because it's the simpler of the two. It's so simple that it should require no explanation, but I'll cover it anyway.

Shown below is the screen you'll see when accessing data from the Videx scanner.

The first thing you'll need to determine is which comm port the system will be using to communicate with the scanner. If you're uncertain, use the up/down arrows to select different comm ports until you find one that will enable you to set the time in the scanner.

The system saves the comm port configuration each time the scanner is accessed, so once it's set properly, there's normally no need to ever change it.

Assuming you have the correct serial port selected, the software gives you the option of synchronizing the clock in the scanner with the clock in your computer, or downloading data, or deleting data from the scanner.

You can expect to see a screen similar to the image shown below, when the software is communicating with the scanner.

Following a successful download, the system will close the window above, reverting back to the basic download screen. At the same time, it will also load the downloaded data into the list on the right side of the screen, allowing you to view the data prior to importing it into the computer.

The downloaded data is imported into the computer via the self explanatory button shown above.

Please note that you have the ability to import the data from the "Data Entry" dropdown menu - and that if for any reason, you elect to use that function, the file you want (for the Videx scanner) is named "DATA.TXT", and is located in the application directory.

Note that simply downloading data does not delete it from the scanner. The data will not be deleted until you elect that option. This gives you the ability to download the data multiple times if necessary.

Now ...... the Symbol scanner

As with the Videx scanner, this is a very simple process, but it does take a little bit of an understanding of the process. The basic process is as follows:

1. set the communications parameters. As with the Videx scanner above, the system preserves the settings, so once you are successfully able to communicate with the scanner, there should be no requirement to change them in the future.

2. identify the filename the data will be saved to. The default filename is "download.txt"

3. click "begin download". This puts the computer into the "listening" mode, waiting for data from the scanner.

Now, on the scanner, enter the menu section where the data is uploaded to the computer, and initiate the data transfer.

During the data transfer you'll see the counters increasing on both the computer and the scanner. You may notice the counters are not in synch - this is perfectly normal. The counter on the scanner represents individual records being sent to the computer, while the counter on the computer reflects packets the system has processed, independent of the type of records the computer has received.

4. The system will automatically sense the download is complete, but if for some reason you want to end data transfer early, you can click the button labeled No 3. At that point you will be presented with an option to proceed directly to importing the downloaded data into the scoring system

Using barcodes in the Enduro mode

There is no provision (at present) to collect data at enduros using barcodes. This was considered during software development, but it was considered unlikely that any promoter would use a scanner at each of the checkpoints - so the capability so was disabled. In actuality, the capability is present in the Enduro mode, but has been made "invisible" in the user interface.


Duplicate Data Entry

When using a scanner or manually entering data at a checkpoint, it's possible that the scoring team might inadvertently scan a person twice, or possibly enter the same number twice in a row when manually entering data.

When entering checkpoint data using either the manual or keyboard wedge process, the system checks the most recent rider number that was entered, and if the number just entered is the same as the most recent number, the latter entry is ignored.

This feature is not possible though when using an unattached barcode scanner, since the unattached barcode scanner will allow the person to scan the same number multiple times. The general process for using an unattached barcode scanner is to first download the data from the barcode scanner, then import that data into the program, and then calculate the results. At the time the results are calculated, it's possible that there might be instances where the same rider was scanned multiple times.

Every time the system starts the process of calculating results, it first runs through a process which validates the accuracy of the data being entered. One of the things looked for is the presence of duplicate data entry. If the system detects the same rider number entered more than once, the system will alert the operator - at which point the user can return, modify the existing data to delete the duplicate information, then return to calculating the results.

Shown below is an example of a dialogue box informing the user of the presence of duplicate data.

When in the Enduro mode, it's expected that all of the rider data would be entered at the same time - at the conclusion of the race, so the system does not monitor for the possibility of duplicate data entry. If the person entering data for an Enduro event isn't sure if all they've entered data for all of the checkpoints (although it's readily visible in the data entry screen), the user should simply re-enter it. If the data has already been entered, the new data will simply over-write the existing data - and do so in the correct spot in the database.


Duplicate Rider Numbers

During the registration process, it's possible that one rider might want to ride in more than one event. For example a rider might want to ride in the mini event, then ride a different bike in the 2 wheel event, and then again, ride in the Quad event.

Rather than issue the rider different barcodes for each of the events, it's possible to register the rider for all three events, using the same barcode number.

Doing this though, has consequences. To illustrate the issue, lets assume a rider with barcode number 422 is registered to ride in all three events. When calculating the overall results for (for example) the overall event, the system sees data for rider number 422, and then attempts to cross reference that rider number with a rider name, and rider class.

In actuality, there are three possible choices - the rider in the mini event, the rider in the 2 wheel event, and the rider in the quad event. In order to properly reflect which rider is being referenced, the software must know which rider to use.

In the All-Out software, this situation is detected, and the user is prompted to select which rider will be used when displaying the results for this event. Shown below is a depiction of the how the system prompts the user to select which rider number / rider name / rider class combination to use.


Electrical Connections

The All-Out software software has been developed from the outset so that every aspect is intuitive to even the most inexperienced computer user. Initial setup is such that it almost takes intentional action on the part of the user to set it up incorrectly.

For example -

a. the ONLY way you can connect the gate antenna is to the corresponding plugs on the reader.

b. the ONLY way you can connect either the remote display or the controller, to the computer is via the serial connection or the USB-to-Serial adapter. The fittings simply wont connect anywhere it wont work.

c. The ONLY way you can connect the stoplight (or buzzer) is to the computers printer port.

d. The ONLY way you can plug in the 12 Volt power supply or power to the laptop power supply, or the Remote Display power, is to the source of 120Volt power.

In the off chance there are ANY questions about how systems are connected, your attention is invited to the diagram below. Depending on the options you elected to implement, you might not have all of these connections. For example if you are not using the stoplight, you'll not have the connection to the printer port.


Eliminating Unnecessary Files

As with any software, it's expected that over time, the user will see an increasing number of files in the application directory. While these extra files are not an issue, and in no way will they detract from the performance of the All-Out system, it can be bothersome to someone who's accustomed to keeping directories pared down to a minimum number of files.

The All-Out system provides users with a means to identify and delete those files which are not required for operation.

The feature is accessed by clicking the <File>, <System Utilities>, <Purge Unnecessary Files (System Cleanup> dropdown menu.

Once there, the user is presented with a list of all files which can safely be removed from the application directory. Simply clicking "Remove Selected Files" will remove those files.

The user is able to selectively retain files by holding down the "control" key, then clicking those files he wishes to retain.

NOTE - users should understand that at no time will the system ever delete any file important to the operation of the system. In general, all of the files you'll see in the list are those results files created during previous calculations. Hopefully you'll understand that simply recalculating the results we recreate any file you may need.

Further information is available on the key system files at the following link: Key Files


Enduro - Assigning Penalties

To understand how penalties are assigned, it's important to understand the types of checkpoints involved in Enduro racing.

a. "Known Control" There is no penalty for arriving early at any Known control unless the rider arrives 15 minutes earlier than his key time. A penalty of 1 point per minute is levied against riders arriving late at a known control.

b. "Start Control" A rider is not allowed to leave the starting line until his designated minute. It is assumed he will not start early since the checkpoint crew will not permit this. One point is added for every minute the rider leaves later than his designated time.

NOTE ******* Some promoters do not levy a penalty against riders starting later than their allocated time. If you are a promoter who does not intend to penalize a rider for starting late, you should reflect the starting line as either an observation check or even omit it entirely from the list of checkpoints.

c. "Finish Control" A finish checkpoint is similar to a known control - with no penalties associated with arriving early, but with 1 point levied against the rider for each minute he arrives late.

d. "Observation" checkpoint. This is a checkpoint where, although the rider is observed passing the checkpoint, there are no times (or penalties) associated with the checkpoint, unless the rider fails to show up at the observation checkpoint. If the rider fails to show up, he is disqualified at that point.

e. "Secret" checkpoint. This is a checkpoint whose presence is not announced as part of the pre-ride briefings. Penalties are assigned based on when the rider reaches the checkpoint, with 1 point for each whole minute he arrives late. If he arrives at the checkpoint early, he's assigned 2 points the first minute plus 5 points for each additional minute he is early. Points are assigned only on the "minute", and not the second. Assuming a rider is scheduled to arrive on minute 5, he is assigned the same points if he arrives at 5 min, 1 sec, or at 5 minute 59 seconds.

f. "Emergency" Checkpoint. Unlike the secret checkpoint, minutes AND seconds are recorded at the "Emergency" checkpoint. Both "standard" and "emergency" points are assigned at an emergency checkpoint, with the "standard points" determined exactly as with the "secret" checkpoint. The emergency points are assigned, with one point added for every second the rider is either early or late at arriving at the emergency checkpoint. The "emergency" points are used only for tie breakers.

-------------------------------

Additional notes on how points are assigned, and standings calculated in the All-Out scoring system.

1. Riders are scored, and class standings assigned, on a points-lost system, with zero as the best score.

2. As discussed above, a rider is not penalized for arriving early at a control (known, start or finish), but he receives 1 point for every minute he is late.

3. For either a secret or an emergency checkpoint, a rider is penalized 1 point per minute for arriving late, and 2 points for the first minute he arrives early, plus an additional 5 points per each additional minute he arrives early.

4. A rider is penalized 1 minute for each minute he departs from a Start control after his designated time.

5. In addition to the "standard" points awarded at an emergency checkpoint, a rider is also assigned "emergency" points at the emergency checkpoints. The rider receives 1 point for each second early, or late, at an emergency checkpoint.

6. In the event of a tie using the "standard" checkpoints, emergency points are used to break the tie. When breaking a tie, the emergency points from the last emergency checkpoint are used to break the tie.

7. If a tie still exists, the points assigned for each successively earlier emergency checkpoint are used, continuing until the tie is broken.

8. If after all emergency checkpoints have been accounted for and a tie still exists, the riders points are compared beginning with the latest checkpoint towards the earliest checkpoint. The first rider to score better at any checkpoint (including the last) is declared the winner of the tie.

9. If a tie STILL exists, the riders share the position, with the next riders position decremented by one. For example if two people tie for 2nd place, the next rider will be awarded 4th place.

10. Any rider more than 15 minutes ahead of his scheduled arrival time is disqualified. This is applicable at known controls, the finish control, secret checkpoints, and emergency checkpoints.

11. Any rider more than 1 hour, 59 seconds late at a checkpoint is disqualified at that point. This applies to known controls, the finish control, secret checkpoints, and emergency checkpoints. The rider IS though, credited for miles up to the last time check, and eligible for points based on that checkpoint.

12. Assuming there are multiple disqualified riders, or for those events halted early, the riders finishing position is based on the number of checkpoints he reached and his score to that point.

13 Any rider being disqualified at a particular checkpoint is disqualified at all subsequent checkpoints. The points he receives for the event is based on the last checkpoint he successfully completed.

14. When calculating the results, the system assigns 500 "emergency" and "standard" points if it cannot find that particular checkpoint identified in the configuration file. This is intended only to alert the operator that configuration data is missing. Please note that since it will have the same effect on all riders, it will not affect the race results if (for some reason) the promoter elects not to include the checkpoint in the configuration information.

The following table illustrates the above information:

Due to arrive | Time arrived | Standard points | Emergency points
10:31 | 10:31:28 | 0 | 2
10:31 | 10:31:35 | 0 | 5
10:31 | 10:32:45 | 1 | 75
10:31 | 10:30:05 | 2 | 85
10:31 | 10:35:12 | 4 | 222
10:31 | 10:12:12 | DQ (>15 early) | DQ
10:31 | 11:35:12 | DQ (>61 late) | DQ
10:31 | 10:31:30 | 1000 (chkpt not identified in the configuration) | 1000


Enduro Checkpoints

In Enduro racing, there are a variety of checkpoints, and the points (or lack of) is determined by not only the time the rider reaches that checkpoint, but also by what kind of checkpoint it is.

A rider is expected to arrive at each on "his minute". So, if a rider starts on row 20, he's expected to arrive at each of the checkpoints at row 20.

The All-Out software requires that the promoter enter each of the checkpoints / controls into the software. The system also requires that the promoter also identify what kind of checkpoint / control each point is.

The image below depicts the screen used to identify the various checkpoints / controls used by the program.

Please see the section on "Assigning Penalties" for more information on how the All-Out software uses these different descriptions of Controls and Checkpoints in assigning how many points a rider earns.


Evaluation Version

An evaluation version of the All-Out software is available on request and may be downloaded from the Internet.

The evaluation version is a fully functional version of the distribution software, with the following exceptions:

The evaluation version does not archive the raw data. Archiving all checkpoint data is automatically done (without operator action) in the full featured version, but no archiving is done in the evaluation version.

The system doesn't allow you to have more than 10 registered riders. In actuality, the operator can enter any number of riders in the registration process, but this limit is exercised when the results are calculated. The system will not enter the calculation phase, nor print the list of registered riders if there are more than 10 riders in the database, or if it detects more than 10 unique rider numbers in the checkpoint data.

In addition, when modifying the series database (adding or modifying a contestant), you are prevented from making changes if you have more than 10 contestants.

The '10 contestant' policy is also invoked inside the section for sending an email to everyone in the database. Although a database of any size can be imported into the system, the system will not conduct the mass mailing if there are more than 10 email addresses in the list.

Another place this is implemented is when calculating class standings. The system will not display, nor allowing you to save, nor allow you to export the class standings if there are more than 10 contestants in either the overall or the individual class standings.

When using the system to send email to everyone in the database, the evaluation version will only send to a max of 10 people.

The bottom line is that in the evaluation version, the system checks both the number of registered riders, and the number of unique riders actually entered at a checkpoint. If either number is greater than the maximum number allowed in the evaluation version, the system will not complete the scoring calculation.

Some folks have requested the software provide the ability to score more riders so they could better determine how the system performs using a full rider database - i.e. allowing prospective users to evaluate system performance with (for example) 500 registered riders. Please see the help section on System Performance for details on what kind of performance users can expect. The bottom line is that the All-Out software is a very fast system, easily able to score more riders than can be expected at any race - and do so in a very short amount of time.

The system can readily be converted from the evaluation system to the fully functional version by registering it with the developer. The software is registered from beneath the "Help" dropdown menu. The concept is that you provide a computer generated key to the developer, and in return you enter the license information you receive from the developer. Note that you will need a unique key for every computer the system is loaded onto.

Please see the section on Registering Your Software for details on how to unlock all of the capabilities of your system.

It is possible to use the software without being fully registered - please see the section on Using un-registered software for more details.


Event Names

When preparing to calculate the results for the event, the system allows the operator to specify a name for the event. This information is used two places......

1. The event name is included at the top of all printed output.

2. The event name is saved to a file (see the section on system files).

The benefit of saving the event name in a system file, is that once data for that event is backed up, whenever accessing that data, the software checks for the presence of a file with the name of that event, and if present, all results will retain that same event name in all printed output. The same is true for the course length, and the time the event was started.

There is one other area where the event name is referenced in the software - when backing up data to the hard drive.

Whenever you backup your data (from the race setup dropdown menu), users should backup the data using an event name that will mean something when subsequently accessing the data. For example it's reasonable to use a date, followed by an event name - i.e. "2003-04-06 Main Event".


Exporting Checkpoint Data

It is assumed that most users will have several computers - for example you might use one at registration, another computer at the checkpoint, and possibly a third computer near where registration is being done.

In this case it's logical that your flow of data might (for example) be that you do the following:

a. export registration data from the registration computer onto a memory stick.

b. import the registration data into the checkpoint computer

c. at the end of the race, export the race data back onto the memory stick

d. at a "results" computer, import the race data into the system you'll be using to calculate and print the results.

Exporting the data can be accomplished from either of two spots in the software. You can export the data from beneath the "race setup" menu or the "race results" menu. You can use either option since both selections bring you to the same routines inside the software.

Shown below is a screen shot showing a typical export screen. Note that what you're navigating to is the place you want to export TO - not where the data is coming from.

There is no need to select which files are exported - the system knows what needs to get copied across.

As mentioned above, the data is normally exported to a floppy drive, or preferably, a memory stick. The system "knows" which files to include when exporting the data.

Exporting data is normally associated with Importing Registration Data from the registration computer. You can follow the link to get more information on importing data.


Exporting Registration Data

It is assumed that most users will have one computer at the registration site, possibly another at the checkpoint, and yet another where the results will be calculated. This means we need to have some mechanism for getting the critical files from one computer to another.

In this case, we're referring to exporting the data from the registration system, where we'll subsequently import it into the computer at the checkpoint - where the race is actually scored.

This is accomplished by exporting the data to a memory stick from either of two spots in the software. You can export the data from beneath the "race setup" or the "race results" dropdown menu. You can use either spot - they both bring you to the same routines inside the software.

Shown below is a screen shot showing a typical export screen. Note - when you navigate to a directory, please note that you're indicating where you want to PUT the data - not where it's coming from.

There is no need to select which files are exported - the system knows what needs to get copied across.

An example of exporting data is when preparing for the next event. You would export the (onto the memory stick) at the registration computer, followed by importing it into the computer at the checkpoint. You can follow the link to learn more about Importing Registration Data .


Exporting Results

The All-Out software acknowledges that many promoters have systems already in place for analyzing results or possibly posting information on websites. It would be convenient then if they had access to the results in a format where they could import the data directly into other databases.

The All-Out software accomodates this by allowing users to select the "export" function beneath the "Calculate Results" section. When calculating results, the system will create an export file, containing all database elements in the output consistent with the other options the user has selected.

For example, if you elect to include lap times, the export file will include lap times. If the option was not selected for lap times - the export file will not include the lap times for each rider.


Exporting the Database Contents

In many cases there is a desire by personnel proficient with computers, to export data from the database in a format which will support some other project they're working with. The All-Out software provides this capability beneath the "Series Mgmt" dropdown menu.

One example where this feature might be desired is if your goal is to generate a letter destined to everyone using a particular brand of motorcycle. In that case, you might want to export the name, and address, for all riders on Honda motorcycles.

The All-Out software provides you with that flexibility by enabling you to export any number of fields, with the exported fields in any selected order, and the records sorted in any specified order.

For example, if you wanted the address of all honda riders, you could export the name, address and manufacturer fields, and then elect to sort the results by cycle manufacturer. While this will admittedly export all records, you can eliminate all lines both above and below the range where the manufacturer was something other than a Honda.

When the data is exported, users have the ability to identify which delimiter to use when saving the results to a file. Options include the "tab" character, quotes, a comma, a new line, or the "pipe" character ( | ), The system defaults to using the tab character.

Another feature of the All-Out software is the ability to print mailing labels using pre-defined label format. More information on mailing label capability is available by clicking on Mailing Labels

Shown below is a screen shot seen by a user electing to export fields from the database. In this case the user is electing to export the name, the address fields, and the contestants class. The user has elected to sort the output by the "name" field, and has opted to have the system delimit each field with the "tab" character.

Once the user has selected which options he wants, the system exports the data into a text file named "custom database export.txt" - located in the same directory as the application.


Failed Power Switch

The transponder system is often used in pretty harsh environment - and some users have reported the power system doesn't reliably power up when the switch is turned on. Please keep in mind that there are normally two switches that you must turn on in order to use the system:

  • The switch on the power supply

  • the switch on the transponder reader

I've found that the switch on the reader can become erratic after extended use. I've also found that you can prolong the life of the switch by liberally spraying contact cleaner (electrical cleaner) directly into the switch while exercising the switch. That's a short term fix though .... the switch will continue to degrade as you use it in the harsh environment of the track.

The long term fix is relatively easy to implement - and in short, it consists of simply bypassing the switch on the reader, and using the switch on the power supply.

The process for jumpering the switch on the reader is as follows:

  1. Gently pry the power supply from the side of the reader - this may not be necessary if your system isn't attached with velcro

  2. Gently pull the leads from the top of the reader which provide the power from the power supply to the reader. The connection is a type of "plug-in", so it'll come out if you gently pull it off vertically.

  3. with a screw driver, remove the four screws which attach the top and bottom cover strips to the front of the reader. These strips are primarily cosmetic covers for the jacks on the top and bottom of the reader.

  4. Once the screws are removed, look at the left and right sides of the reader - you'll see a clip which attaches the front cover to the black box which the front cover is attached to. Gently push in on the center of the tab while separating the front cover from the rest of the container. Do this for both sides. At this point your system should consist of three pieces - the power supply, the front cover (with the internals attached) and the "box".

  5. Look at the rear of the component containing the electronics. In the upper right corner you should see three soldered pins in the vicinity of where the switch is located on the front.

  6. With a small piece of wire, solder a jumper from the one on the far right, to the one in the middle. Note that "right" in the case means when looking at the component from the rear.

The picture below shows the pins which have been jumpered together to bypass the power switch on the reader. Note the wire that's visible in the lower part of the picture will not be present on your system. The system shown is one which was modified for another promoter after breaking off the serial connection at the bottom of the reader.

There's another point on the Reader that has caused some problems for some promoters - but this is a problem with how the system is being handled, not a deficiency in the reader hardware.

A couple of promoters have reported the system is acting erratic, not consistently reading all of the riders. The problem has been traced to a broken connector at the bottom of the reader, where the cable to the computer has been flexed enough that the connector inside the reader has been damaged as a result. The photograph below shows the back of the reader, after removing the back cover panel. Note the row of 12 somewhat heavy duty solder joints located near the bottom of the picture.

The pins shown below are the ones which are connected to pins 2,3,4, and 6 of a standard 9 pin serial cable. If the factory connection is broken, experience shows that it's best to simply build your own connector and (using standard parts from Radio Shack), reroute the connector to your own connection mounted on the top of the case.

In the photo below, the intent is to depict which leads go to which of the 9 pins on a standard RS-232 connection.

The photo below shows the system after being modified so the signal is carried through your connection instead of the factory connection.


Financial Report

Some promoters have a requirement to keep track of the total amount paid by each rider. The All-Out software provides that ability from within the rider registration process in all modes - including the enduro mode, and the Hare Scramble / Qualifier mode. Note that while you can use the "main database" section to register riders, the features visible in the pop-up menu shown in the screen shot below are not available from the "main database" section.

The ability to track the amount collected is accessed by right clicking the specific rider once he's been entered in the "register riders" section.

Shown below is a screen shot showing the pop-up after right clicking a rider. Note that at the bottom of the report you can enter (or view) the amounts paid by each rider.

Once you've elected the option to view the teams, you're presented with a pop-up frame showing all of the riders, sorted by name, and the amounts paid. The frame can be moved by clicking it and dragging it to any other location.

The system also gives you the ability to print the financial report beneath the "Race Setup" dropdown menu. Click on "Print List of Registered Riders". From there, near the bottom of the subsequent list of options you'll see that you have the ability to include the fees paid by the riders. The resulting screenshot is shown below - with the output sorted by classes, in a two column format, with the total amount collected at the bottom of the output.

This utility of this report should be obvious - useful for tracking the amounts received - but remember that it's only as accurate as the information that's entered.


Firewall Support

The Race Timer system uses the following:

TCP port 1024 - to enable network support
UDP port 3988 - for transponder system discovery

Your firewall must be configured to allow those ports. What follows is a brief description of how those ports are using in the Race Timer system.

The typical computer is used to pull resources from a remote host. As a result, packets that originate from your computer are generally assumed to be "authorized" connections, and those packets are allowed onto the network - and the network responses are allowed back into the computer.

Some applications though will 'listen' on a network port, and accept incoming connections from remote hosts. Since this provides access to remote systems, the firewalls will often either prevent software from listening on a port, or will block any incoming packets - unless they've been allowed as exceptions to the firewall policy.

The Race Timer system "listens" on the network in two sections of the software - in the Network Support environment, and when configuring / discovering the Alien transponder system. I'll explain each case in a little more detail.

In the Network support section, if Network Support is enabled, and if the software is configured to serve as the "master", the software will listen for incoming connections on TCP port 1024. This allows other computers running the software (configured as a client) to open a connection with the master and pass checkpoint data to the master. By receiving incoming data from remote checkpoints, the "master" is able to inject (in real time) data from any number of remote checkpoints into a common database on the master. Although this is a very power capability of the system, the capability is most often used in a more simplistic manner - by promoters who "chain" two computers together at a checkpoint, using one as a backup for the other.

The second case where the software will listen on a port (UDP 3988) is when configuring the Alien Transponder system. When in the data collection mode, the race timer software will make a connection to the transponder system and retrieve the tag data. However, the Race Timer system must first know what IP address is being used by the transponder system. Discovering the IP of the Transponder system is part of the configuration - beneath the "file" dropdown menu.

The Alien system emits a 'heartbeat' every 30 seconds, announcing its IP address (among other things). When in the transponder configuration mode, discovering the antenna system, the race timer listens for those heartbeats on port 3988. When a 'heartbeat' is detected, the Race Timer system uses that information as part of the system configuration when entering the data collection modes.

When incoming packets are detected, or when the Race Timer application begins listening on the network, it's VERY likely that your firewall will block those connections until they've been allowed by the user. You can expect to see a popup similar to the one shown below (the example shows packets associated with iTunes, but the concept is the same.

If you receive this alert, you MUST select the option to "Unblock". If you elect to keep blocking, the Race Timer system will not be able to either detect the antenna system or use the network features (depending on which was associated with the popup..

If you inadvertently select the option to block those packets, you will need to go to however you manage the firewall exceptions and ensure the following ports are either allowed - or listed as exceptions

TCP 1024
UDP 3988

Since there are so many types of firewalls, it is not the intent of this help system to provide you with a step-by-step process for adding exceptions. Please note that many anti-virus systems bring a firewall capability, so it's quite likely your firewall may not be managed through the windows control panel.


Flagging a Rider

Often times there's a need to get some piece of information to a contestant. For example, lets consider the case of a rider dropping his googles at the checkpoint. After the race lets assume this rider didn't return to pick up his goggles.

In this case the promoter can make an entry in the database, and flag this rider so that the next time he registers, an alert pops up, letting the registration team know there's something they need to pass along to the rider.

The "alert" is added to the riders record in the database in the series management, rider database dropdown menu.

Adding an alert from within the database management section.

Showing the alert when the rider registers the next time:


Fonts Used in the Software

The Windows Operating System allows users to select which type of fonts they want to use in their applications - with that font selection carrying over into all windows, in all applications. Please note that although the All-Out software will work using any font currently available on the system, it's not something you should modify since it'll radically affect what's displayed on the screen.

Specifically - the All-Out software is not designed to work with Microsoft Windows "Large Fonts". The problem with Large Fonts is that when using them, a vast majority of the help windows, the control buttons, and the options available in the software will not have enough room to display the entire contents of what was originally in those elements.

Due to the extreme amount of work involved in modifying the software to account for using Large Fonts (and the limited number of people who use them), there is no plan at present, to modify the software so users can use Large Fonts with the All-Out system. I apologize for any inconvenience.


Hints For Better Scoring

1. If you are using transponders for electronic scoring, be careful about having other (spare) transponders lying around in vicinity of the scoring station. Based on how readily the transponders are detected by the system, it's likely that extraneous "reads" will occur if you leave spar transponders lying around.

2. When using a scanner for scoring - always do the scoring in the shade. Trying to scan barcodes in the bright sunlight is asking a bit much from the scanner.

3. Have the riders put the barcodes on the left chin-plate of their helmet. For some reason (in the opinion of the author), there's a tendency for the scorer to hit the riders bark buster with the scanner if the barcodes are on the right side of the helmet.

4. Make sure the riders either remove, or cover, any other barcodes from other series / some other event. The scanners are not fussy - and will register the first barcode they're able to successfully read.

5. If you're interested in a remote display (see the section on remote display), the M1000, distributed by Vorne Industries is a very good system - and reasonably priced. You can also contact the author of the software for a complete scoring package - including a remote display.

6. Always bring 5 or 6 extra barcodes to the scoring area. There is always that individual who arrives at the starting line who's forgot to attach his barcode, or he might have lost his, or possibly hasn't even registered.

7. Always bring a pad of paper and a pencil / pen to the scoring area - to write down the name, class, and barcode number for those riders needing a barcode. The paper could also come in handy to take notes during the race - if necessary.

8. Assuming your scoring area is beneath a covering of some type (highly recommended), stick a barcode someplace readily accessible to the person running the scanner. In the event you want to call your attention to some particular point in the event, simply scan that barcode - knowing that this particular number does not represent a rider, but rather it can be used as an "alert" for later review. It will not affect the class standings - but it will show up as an unknown rider in the overall standings.

9. When selecting what kind of barcodes to use, make sure your system uses barcodes printed with a thermal process rather than someone's local ink-jet printer. Barcodes printed with a thermal process are very reliable, able to survive the muddiest race conditions without failure, while barcodes printed with an ink-jet printer will smear with the least bit of moisture.

10. Along with the introduction of electronic scoring, there are any number of items that if any one of them are left behind when preparing for a race, could result in not being able to score the event. It is highly recommended that the promoter develop a list of the necessary items, and go over that list with a critical eye prior to every event. A practice that's helped the author has been to keep every component of the scoring system in a plastic, covered box, that contains everything necessary to score an event.

11. When scoring with a keyboard wedge scanner, it's often tempting for folks alongside the track to pop into the scoring area, to use the capabilities of the real time scoring to see how their favorite rider is doing. If the scoring team allows this to happen, it's quite likely these "guests" will activate a component of the software which takes the "focus" away from the data entry. If that happens, all subsequent scans entered by the scorer will be lost until the system "focus" is restored to the data entry block. It is important that once the scoring starts, that people are not allowed access to the system.

12. This next issue concerns using multiple scanners from a single workstation. When there are more riders than a single person can comfortably score, it's tempting to connect a second USB scanner to an existing workstation. This is VERY dangerous, and should be avoided. Here's the reasoning behind this statement.

In actuality, scanners do nothing but emulate someone entering data from a keyboard. If you have two riders arrive at the checkpoint at the same time, and the scanners are keyed at the same time, the end result is that the data from one scanner will get interleaved with the data from the other scanner - resulting in useless information, garbled between the two riders. The MUCH preferred approach is to use two separate workstations, and connect them together in a true network environment.

13. When using transponders for scoring, it's important to impress on the riders that it's their personal responsibility to ensure they have their transponders mounted in a way they can be read. Since this represents a shift from the mentality where the promoter was responsible for scoring each rider, riders will initially be tempted to throw the blame on the "system" or the promoter, when they're not scored - when all the while, their transponder was mounted in a way where there was a very slim probability of it being detected.


Horn / Buzzer duration

The All-Out software uses a 'timer' for three purposes ....

  1. to determine how long the green light stays green if using a stop-light

  2. to determine how long the buzzer sounds if using a buzzer

  3. to determine how long the horn sounds if using a horn

The default is 1/3 of a second - but some users prefer to either lengthen or shorten that time.

The All-Out software gives users the ability to configure the duration of the buzzer / horn / green light - from beneath the "file" dropdown menu in the path shown below:

Once this option has been selected, the user is presented with the following screen where he can adjust the duration to his preference.

Once the user accepts the value, the system updates the registry of the local computer to reflect the updated duration. Since the value is contained in the registry, it is not contained in the database, and is not reset by importing new data from another computer.


How to write data to a transponder

In keeping with the rest of the All-Out software, it's simple to put a rider number inside a transponder.

The system has two places where you make this happen - in both the Rider Registration section and the Database Maintenance section. See each section for further details, but keep in mind that the only thing necessary is to click the button with the Lightning bolt and the contents of the rider number are burned into the transponder.

You can also read a transponder from each of these locations, with the system placing the transponder contents into the appropriate field on the screen.


Importing Data From a Scanner

Before being able to import data from a stand-alone scanner, the data must first have been downloaded from the scanner. This step addresses how that data is then imported into the system.

The process is very simple.... simply navigate to the file you created when you downloaded the data, and click "OK" to accept that data. If a raw data file (see "key data files") is already present, you will be warned that importing that data will result in a loss of all prior data - but since the objective is to use the new data, you should proceed unless you've not taken the opportunity to backup the earlier data.

The default filename for the download (and subsequent import) will normally be "download.txt"


Importing Registration Data

The All-Out software is intended to be as flexible as possible. This means promoters should be able to use a computer at the registration site, which can pass registration data to the checkpoint computer.

The system accomplishes this by allowing users to EXPORT the registration data from the registration computer - placing all registration data on a memory stick, then IMPORT that data into the checkpoint computer.

Both the import and export functions are located from beneath the "race setup" dropdown menu.

Shown below is the screen you would expect to see at (for example) the checkpoint, when you prepare to import the registration data into the computer used at the checkpoint.

There are a couple of things to take note of .....

1. Regardless what files are in the directory, the system knows which are associated with the All-Out system.

2. All of the applicable files by default have a check mark alongside - indicating you want to include that file when importing the data. There are times when an experienced user of the system may elect to import some, but not all of the files. In that case, simply de-select the files you do not intend to import.

***** Unless you have a VERY SPECIFIC reason for not importing all files, you should ALWAYS import all files because the system may provide erratic results if some data is not present.

Note - In order to import data, it must have first been made available by exporting it from some other system. you can read more about Exporting Checkpoint Data - which is the same as exporting Registration data - the only difference is which computer you're exporting from.


Installing drivers for Buzzers and Horns

Installing drivers for the USB Buzzers and Horns

The All-Out Scoring system uses a buzzer (or a horn) at the checkpoint to let riders (and the scoring team) know the rider was detected as they passed through the checkpoint. The decision to use a buzzer or horn is normally based on whether or not the user has a parallel port (printer port) on their computer or if their system only has a USB port.

In the earlier versions, the system set voltages on the printer port, using those voltages to drive a relay which in turned the buzzer on or off. This is all detailed in the Stop-light section of the help system.

Since most computers no longer support a parallel printer port, it became imperative that I be able to use a USB port instead of the printer port - and THAT is the focus of this section of the help system.

Windows will recognize the USB device without loading any additional drivers, but the scoring software will not be able to use the USB buzzer / horn until you've installed another small program to properly configure the USB device. The scoring software will work without it - but the horn / buzzer will not be available until you've loaded the software supporting the USB device.

The software necessary to enable the USB horn / buzzer is located on the distribution CD under a directory named "Installation for USB Horn or Buzzer". Use windows explorer to navigate to that directory, then execute the program named instacalsetup.exe" Following execution of the software you'll see the following screen:

Click "OK" to continue the setup. You'll then be presented with the following screen:

Continue with the Setup by clicking "Setup" - at which point the software will be unzipped, and you'll then be presented with the following screen to begin the actual USB system configuration utility.:

The software will give you the ability to install the configuration utility at any desired location - but the recommendation is to accept the default location as shown in the window below:

Once you've either accepted the default install location or specified another location you can click "Install" to begin the installation. After successfully completing the installation, you'll be presented with a "standard" window indicating you can click "Finish" to complete the installation as shown in the window below.

After completing the installation of the configuration utility, you'll be prompted to reboot the computer. It's a good idea to reboot at that time. After the restart is complete you will see a new program item in the Start Menu - under the section called "Measurement Computing". Inside that section you'll see the newly installed program which you can now execute. The name of the program Item is "Instacal". You should execute that program to continue the configuration.

Once the system executes you'll see a window similar to the one shown below. The system has automatically detected the USB device, and has determined it's serial number. The serial number is not a software piracy issue but rather it is intended to enable users to control multiple devices from a single instance of the software. You should click "OK" to accept the new device.

After accepting the device, the screen will revert to one similar to the one shown below. At this point the configuration software is no longer needed, and will most likely never be needed again - unless you use a different USB horn / buzzer. You'll see the window below reflecting the new device is now available for use. At this point you can exit the software and use the Race Timer system - ready to use the new USB controller for the horn / buzzer.

If you ever have a problem using the USB horn / buzzer during an event, your first action should be to ensure the USB device is firmly plugged in. If all seems normal, your next step might be to re-execute the steps above to ensure the USB system is properly configured for use by the Race Timer system.


Installing drivers for the Alien RFID hardware

You will have to install the drivers prior to being able to use the Alien RFID hardware for the first time.

The drivers can be found on the installation CD, and they're also available online at Race Timer website.

http://www.berkutsystems.com/supporting-files/drivers-alien/driver-setup.exe

There may be changes in the files available, so if the link above doesn't work, please try the "parent" folder on the support site:

http://www.berkutsystems.com/supporting-files

Once on the site, you should see a directory which lists the available files. The choice should be intuitive.

When asked for which directory to place the files - you can either accept the defaults, or you can specify the C:\Windows\System32 folder.


Installing drivers for the Thinkify writer

The drivers must be installed before you'll be able to use the system for writing the rider numbers into the transponders. The drivers are located on the Installation CD in a directory named "Drivers-Thinkify". If you dont have the installation CD, you can also get a copy of the Thinkify CD at http://www.berkutsystems.com/supporting-files/drivers-thinkify

XP installation:

Plugging in the device the first time will bring up a dialogue box telling you the operating system has found new hardware. You'll be given the opportunity to look online for a driver. Select "No, not this time, then click "next".

Install the CD, then select "Install the software automatically", then click "next". You can also elect to browse to the location - and if so, you should browse to the /inf directory on the CD (inside the thinkify folder).

You'll be presented with an alert saying the software hasn't undergone windows logo testing - ignore it - select "continue anyway".

At that point you'll see the software drivers being installed, and if everything goes correct, you'll be presented with a screen telling you that you were successful.

Installation using Windows 7

Under Windows 7 driver installation is a little more complicated than under Windows XP. Rather than a plug and play experience, you'll have to launch the “Add Hardware Wizard” yourself. Here's how.

First, Unplug your reader from the computer.

From the “Start” menu, enter: “hdwwiz” in the search box and hit enter to launch the wizard. You should see a dialog box that welcomes you to the install wizard.

Click “Next”.

At this point you'll be asked if you want to search for new hardware or install the hardware manually. Select the manual option and click “Next”.

We will be installing a virtual serial port driver. Select “Ports (COM & LPT) from the list and click “Next”.

At the next dialog box, click the "have disk" button.

Click the “Browse” button and navigate to the “inf” subdirectory from the developer's kit files on the CD. You should see the ThinkifyCdc file.

Click “Open”

Once you see that the “Add Hardware” dialog shows the “Thinkify USB-Serial Bridge” click next. This will bring up a dialog box that basically confirms what you're planning to do - where your only real option is to click "next". Please do so.

At this point you'll receive an ominous looking warning that Windows cannot verify the publisher of this software. You should click “Install this driver software anyway”.

After a bit, you should see that the driver is installed. Once you plug the reader back into the USB port on the computer, you should see in the task bar as it registers itself with the operating system.

At this point you should be good to go.


IP Addresses

Although this topic might appear daunting at first, it's actually pretty straightforward, and after reading it, you should be able to easily configure the IP address for your All-Out system.

When connecting computers together on a network, each computer must know two things .... (a) how to reach a remote computer, and (b) if a signal on the network is intended for itself. To accomplish this, computers use a special addressing scheme known as the IP address.

A complete IP configuration consists of three basic components - the IP address itself, a related subnet mask, and a gateway address.

Since each computer must have a unique IP address, what follows is a brief overview of the significance of the IP address, along with some hints of what IP addresses to assign the computers in your network. For most systems, the IP configuration is set by entering the Windows Control panel, and then opening the Network" section. If you have problems, please contact the author of the All-Out software or contact a local system administrator.

Subnet mask - For the purposes of this software, when configuring the subnet mask, we'll ALWAYS use a subnet mask of 255.255.255.0 Although the subnet mask can be used in a number of ways, for the All-Out system, its enough to say that we'll always use 255.255.255.0.

Gateway address - this is a value that enables computers to communicate with other computers not located on the local network - i.e. someplace else on the Internet. For the purposes of this discussion, we'll ensure we select IP addresses for all components in the same network range, making it unnecessary to use the Gateway address. The Gateway address can be left blank.

IP address - this is the actual address that's assigned to the computer. An IP address consists of 4 numbers (called "octets") - each number ranges from 1 to 255. Each computer must have a unique IP address - and since we'll use the subnet mask shown above, the first three numbers (first three octets) must be the same for each computer. The uniqueness comes in the fourth number - the fourth octet. So - for example, the following IP addresses are perfectly valid, and if used, the components will all communicate with each other, and with the master database.

Please note that in the example below, that any of the computers shown can serve as the master database. The first one is listed as the master purely for purposes of this example.

Function | IP Address | Subnet Mask
Master Database | 192.168.10.100 | 255.255.255.0
computer #2 | 192.168.10.101 | 255.255.255.0
computer #3 | 192.168.10.102 | 255.255.255.0
computer #4 | 192.168.10.103 | 255.255.255.0

Note here, that in each case, the first three octets are all the same, with the only difference being in the fourth octet. Note also, that the subnet mask is the same for all computers. Please also note that in this case, it's not necessary to enter a value for a gateway address since all computers will be on the same network.

The bottom line here, is that while folks familiar with computer networks can use any addressing scheme they want, the assignment of IP addresses is crucial to operating the computers in a network environment, unless you're familiar with network architectures and IP addressing, you should stick to using the IP addresses shown in the table above.

Something to be aware of is that some computers have system policies which prevent anyone but a network administrator to change the IP address of a computer. If you have any doubts about whether or not you can do this, you should take the time to look at it well in advance of race time. It'll ruin your day to expect to connect multiple scoring systems to a common master database, only to find that the laptop you've borrowed from the company's ADP department wont allow you to modify the IP configuration.

When you elect to use a particular workstation as a client, you will need to know the IP address of the computer serving as the Master Database. Other than that, the system automatically detects the IP of the local computer. You can determine that address by having the two system side by side, and simply looking at the IP address displayed in the network setup section of the All-Out software.


Kaspersky Anti-virus

It's been remported that the Kaspersky Anti-virus system will flag the user saying the Race Timer system is attempting to make a hidden connection to the internet. While that might seem alarming - there is no malicious code in the system, and at not time am making any attempt to monitor your activities or to otherwise hijack your computer.

The best way to address this is to make the Race Timer a "trusted zone" inside the Kaspersky system.

Kaspersky may modify the exact process as they rotate through different versions, so what is shown below should be used as guidance - and not used as the exact steps. The following steps though, were extracted directly from the Kaspersky website:

A trusted zone is a list of objects which can be excluded from the Kaspersky scan. Processes, files, areas on the disk, and some threats can all be defined as excluded objects.

In order to set Trusted zone right-click the Kaspersky Anti-Virus node > select Configure trusted zone.

Once there, select the "Exclusion rules"

in order to exclude specified files or areas check the Object box and click the Change button.

When defining Disk or folder you can use absolute/ relative paths and environment variables – masks cannot be used. When defining the File you can use absolute/ relative paths, environment variables and masks. In this case (assuming you have installed the Race Timer software with the default settings), you should exclude the following folders.

  • C:\TIMER\Checkpoint

  • C\TIMER\Registration

  • C:\TIMER\Results

It's possible that simply excluding C:\TIMER will also implicitly exclude the subordinate directories, but I'm unable to confirm that .... you're better off checking with the Kaspersky website (www.kaspersky.com) for details on their exclusion process.

If you're using masks, in order to exclude definite threats check the Threats box and the Change button. In the field enter either the full name of the mask or the mask. Use names of the threats as Kaspersky Labs detects them!

As a result the threat defined will not be processed by the Anti-Virus – regardless of the file location where it was detected.


Key Files

This is a listing of the files associated with the All-Out software. Please not that since some of these files are unique to either Hare Scramble events or Enduro events not all of these files may be present at one time.

SYSTEM FILE-RAW_DATA.TXT ..... This file was used by olderversions of the system, containing the raw data as it was being captured at the checkpoint during a Hare Scramble event, or a Qualifier event. This file is no longer used in newer versions of the software since this data is now contained inside the master database. If present, this file is no longer needed.

SYSTEM FILE-CONTESTANTS.MDB ..... This file is the "master" database. It is Access database accessible by Microsoft Access - containing detailed information on several elements of the system. The database contains an extensive list of tables - and this section doesn't intend to detail the reasons for each of the tables. The file can be opened with Microsoft Access, but it's recommended that any changes be made from within the scoring system rather than through Access.

SYSTEM FILE-REMAINING EMAIL RECIPIENTS.TXT ..... This file was used in earlier versions of the software when sending email to all records in the database. It contains the email addresses for all records the system has not yet sent the email to. This information is now embedded in the master database. If present, this file is no longer needed.

SYSTEM FILE-REMAINING EMAIL BODY.txt ..... This file contains the reply-to address, the SMTP server, the subject, the body of the message, and the file to attach (if applicable), for any email pending delivery via the system. Please note that when a user elects to cancel a mailing, the system simply deletes this file and the one named "system file-remaining email recipients.txt", then resets the list of recipients. This file is no longer used in newer versions of the system - this information is now contained in the master database. If present, this file is no longer needed.

SYSTEM FILE-ENDURO RAW_DATA.TXT ..... This file was used in earlier versions of the All-Out software. It contained the raw data used by the system to calculate the Class standings after an enduro event. This file was eliminated in version 10.3.1 - and is no longer needed.

SYSTEM FILE-RACERS.TXT ..... This file was used in earlier versions of the software for Hare Scramble events, containing a list of rider names, their assigned number, and the class they've signed up for. This file was incorporated inside the main database in version 8 - and if detected, it can be deleted.

SYSTEM FILE-ENDURO RACERS.TXT ..... This file represents the riders signed up for an Enduro event, and contains the riders name, their assigned number, the class they've signed up for, and also the row they will be starting in. This file was incorporated into the main database in version 8 - and if detected, it can be deleted.

SYSTEM FILE-RIDER DATABASE.TXT ..... This file may or may not exist on your computer, depending on which version of the software you are using. In earlier versions it contained a listing of rider names, rider numbers, and the riders class. It is no longer needed in versions 8.X.X and later. In earlier versions the file was updated every time a rider is added to an event, with no duplicate rider numbers being used. For example if a promoter cycles through barcode numbers from 001 to 999, then as those barcodes are distributed, the database will eventually be populated with the names associated with each of those barcodes.

SYSTEM FILE-DATABASE LOCATION.TXT ..... This file was first introduced in version 8 of the software. This file contains a single line of information - the path to the database used by the system. It was the introduction of this file which first enabled the system to share a common database between several computers. The system now supports having several stations doing registration, and in addition, also having the checkpoint system using the same (common) database used by the registration team. This information contained in this file was moved into the database beginning with version 12 - and if detected, can be deleted.

SYSTEM FILE-START.TXT ..... This file was used in older versions of the software, containing the list of all classes associated with the event, and the time difference between the starting time for that class and the first class to leave the starting line. In the case of the Enduro riders, the starting time is accounted for by the riders row number, so the difference in starting time is set to zero. This file was incorporated into the main database in version 8 - and if detected, it can be deleted.

SYSTEM FILE-SECONDS BETWEEN WAVES.TXT ..... This file contains two pieces of information. (1) Whether or not this event is running the event where the classes are starting in waves, and (2) if so, what the separation time is (in seconds). As with many of the other files listed here, this information was migrated into the main database, so if present, you can delete this file.

SYSTEM FILE-Overall Points Distribution.txt ..... This file (once created) contains the breakdown for the number of points awarded to riders in the OVERALL standings. For example there might be 40 points for 1st place, 35 points for 2nd place ..... etc. The system uses the last value for the number of points awarded for all rider positions not otherwise specified. For example, if the last entry is for the 10th place contestant, and the 10th place contestant receives one point, then all contestants greater than 10th place also one point. This file was incorporated into the main database in version 8 - and if detected, it can be deleted.

SYSTEM FILE-Class Points Distribution.txt ..... This file (once created) contains the breakdown for the number of points awarded to riders in each class based on their position. For example there might be 30 points for 1st place, 25 points for 2nd place ..... etc. The system uses the last value for the number of points awarded for all rider positions not otherwise specified. For example, if the last entry is for the 10th place contestant, and the 10th place contestant receives one point, then all contestants greater than 10th place also one point. This file was incorporated into the main database in version 8 - and if detected, it can be deleted.

SOFTWARE LICENSE AND LIMITED WARRANTY.TXT ..... This file contains the license agreement between the user and the originators of the All-Out software. Do not modify this file as system behavior may be affected. This file is required in the application directory in order for the system to run. The contents of this file are critical to the operation of the system and if the system detects any changes have been made, the system is rendered inoperable. DO NOT MODIFY THIS FILE.

SYSTEM FILE-BARCODES.DOC ..... This file contains a template used when generating barcodes. The barcode generation process will not work if this file is deleted.

SYSTEM FILE-CHECKPOINTS.TXT ..... This file was used in earlier versions of the software, containing a list of the checkpoints and the "perfect" time associated with that particular checkpoint. This is used only by the Enduro section of the software. The concept is that once the perfect time for each checkpoint has been identified, then the "perfect time" for all subsequent rows can be determined by simply adding the row number to time represented by the data contained in this file. As with many other files listed in this section, this information was also integrated into the database and is no longer needed in later versions of the system.

SYSTEM FILE-ENDURO EVENT NAME.TXT ..... This file was used in earlier versions of the software, containing the name of the particular event. This information was integrated into the main database, and if detected, it can be removed..

SYSTEM FILE-HARE SCRAMBLE EVENT NAME.TXT ..... Just as with the Enduro file discussed above, the system preserves the name of any Hare Scramble event for later use. Just as the file above, this information has been integrated into the database, and if it's detected, it can be removed.

SYSTEM FILE-HARE SCRAMBLE COURSE LENGTH.TXT ..... The length of a Hare Scramble course is retained for later use. This value is used to determine average rider speed. This file is no longer used by the system - having been integrated into the database. If found, this file can be removed.

SYSTEM FILE-CLASS POLICIES.TXT ..... This is another file which was used in older versions of the software - but is no longer used by the current version. When used, this file contained the associations between rider number and rider class. Some series require that all riders in a particular class have rider numbers that fall within a given range. While the All-Out software supports riders with numbers in ANY sequence, it also provides promoters with the ability to confirm that the assigned rider number is consistent with the class the rider is in. This data was incorporated into the main database in version 8 - and if detected, it can be deleted.

SYSTEM FILE-RFID SETUP.TXT ..... This file is created the first time the user elects to use the RFID capability of the software. It contains the most recent comm port configuration used by the RFID system - and is reloaded when the RFID capability is subsequently used. This file is updated each time the RFID configuration is changed. Although present in earlier versions of the software, this information is now contained in the main database. The file, if present, can be deleted.

SYSTEM FILE-REMOTE DISPLAY SETUP.TXT ..... This file is created the first time the user elects to use the remote display during data entry, and contains the most recent comm port configuration used by the remote display. It is reloaded each the remote display is subsequently used, and updated every time the configuration changes. This information is now retrained in the main database in the current version of the software, so if present, this file can be deleted.

SYSTEM FILE-Throw-aways.txt ..... When calculating the standings for a series it's common for a series to allow contestants to toss out their worst event(s) - referred to as a "throw-away". Depending on series policy, there might be 0, 1, 2 - or any number of throw-aways allowed in the series. The All-Out software allows users to specify the number of throw-aways allowed. This file contains that number. This information is now contained in the main database, so this file is no longer needed.

SYSTEM FILE-Manufacturers.txt ..... This file contains a list of the motorcycle manufacturers, using only three characters of the manufacturers name. If this file isn't present, it's rebuilt with the following designations: ATK, CAN, GAS, HON, HUS, KAW, KTM, SUZ, YAM. If you want to modify the contents, use a text editor to make any changes - but keep in mind that the system will only recognize three letter designations. Note also, that when you're entering a manufacturer in the "series management" section, that you can enter any manufacturer you wish, but it's easier in the long run, if you'd edit this file so you can select the manufacturer directly from the drop-down box - and not have to manually type it in each time. Later versions of the software migrated this information into the main database, so if this file is present, it can be deleted.

ARCHIVE FILES ..... Anytime a rider (in any mode) passes the checkpoint, the rider information is entered into the database, but it is also archived in a special archive file. A new archive file is generated for every day the system is in use. This is distinctly different from the backup process. Please see the section on the archival process for a more detailed description of the contents of the archive files.


Leader-Board

While the All-Out software supports real-time scoring, the earlier versions of the software only displayed the real-time results for the rider who was currently passing through the checkpoint. There was no way for anyone to look at a 'scoreboard' and see how their favorite rider was doing.

With the advent of version 12.1.1, the software now supports a leader-board for both the Hare Scramble and the Enduro modes. The concept of the leader-board is that you now have the ability to connect the video output of a computer to a large screen TV, and display the real-time results for all classes, at a point that's away from the checkpoint.

The leader-board is a separate executable, normally installed in the same directory as the checkpoint software. The leader-board software can be executed on the checkpoint computer, or it can be installed on any other computer which is networked in such a way that the leader-board software has access to the checkpoint data.

A (recommended) way to use the leader-board is in the following configuration:

a. You have a dedicated computer in use at the checkpoint.

b. you share the directory on the checkpoint computer

c. you map a drive on another computer, pointing to the shared drive on the checkpoint computer

d. you execute the leader-board software on this second computer, then identify the database on the (shared) drive on the checkpoint computer as the source database.

from this point forward, the checkpoint computer will be recording all data at the checkpoint, and also providing a source of data for the leader-board which is running on another stand-alone computer.

If you have a video capability on the checkpoint computer which supports two displays, you could easily run both the checkpoint software and the leader-board software from a single computer at the checkpoint.

Detail of the leader-board follow:

For the Hare Scramble mode

The Hare Scramble leader board is depicted below. Note that you can drag ANY of the elements shown below, to any other part of the screen.

The concept of the leader-board is that you would first identify the database that you'll be using (which should be the same database in use at the checkpoint. From there, you select the classes, then arrange the 'desktop' to your liking, and then activate the calculations. From that point onward, the leader-board is updated (for all classes) every 10 seconds.

Please note the following capabilities in the Hare Scramble Leader-board:

1. You can select as many classes as you like. There's actually a limit of 200 classes displayed at one time, but you'll never realistically want to display more than a dozen or so.

2. As mentioned above, every class you've selected is updated every 10 seconds.

3. When you initially add a class, that class is posted to the display near the left side of the screen. You can move the class to any other location by dragging the header (the class name), to any other location.

You have the option of resizing the window for each class either larger or smaller, to size the window so it's displaying the proper number of riders without wasting space on the desktop. Note in the screen shot above, that not all of the classes are displaying the same number of riders. It's up to the user to size each window so that you have maximum flexibility in the appearance of the leader-board.

4. It is not necessary to keep the list of classes on the desktop. You can hide the list, and restore it to the screen by clicking the "manage the desktop" dropdown menu. You have complete control over what the leader-board will look like.

5. You have two options, you can either select the "detailed display" or (by removing the check in the list of classes), you can shift to a 'basic' display. The only difference is that with the 'basic' display, the leader-board doesn't display the number of laps, and the time difference between each of the riders. The benefit of the 'basic' display is that you can get more classes on the leader-board if you're running a large number of classes.

6. You can implement a scrolling message at the top of the leader-board from beneath the "file" dropdown menu. This might be handy for telling the public what time the event will be over, or to alert people that the next class will start at some specified time, or to simply welcome them to the current event.

For the Enduro mode

The Enduro leader board is depicted below.

The leader-board for the Enduro mode is somewhat similar, except that only one class is displayed at a time. As with the Hare Scramble mode, you can select any number of classes, and the system will cycle through all classes, displaying each class for a specified number of seconds.

The intent of the display below is to point out some of the options when in the Enduro mode:

1. You can select any number of classes

2. you can 'activate' or 'deactivate' the automatic updates.

3. you can adjust the size of the font in order to maximize the readability of the output on the large screen display.

4. You can adjust the amount of time that is spent displaying each class.

5. As with the Hare Scramble mode, you can implement a scrolling message at the top of the leader-board from beneath the "file" dropdown menu. This might be handy for telling the public what time the event will be over, or to alert people that the next class will start at some specified time, or to simply welcome them to the current event.


License - something worth knowing

In todays environment where software piracy is prevalent, it's also common for users to modify the license of the software in an attempt to have the license reflect them as the registered owner of the software.

One feature of the All-Out software is that it does not tolerate any modifications of the license agreement. The system checks the presence (and contents) of the license agreement on startup, and if any unauthorized modifications have been made, it alerts the user, then exits.

The only way to recover from this is to re-establish the original license agreement, or contact the author to receive the proper license agreement.

A LOT of time and effort has gone into making the All-Out software the absolute best in the industry, and as the author, I ask that you please respect those efforts and purchase a legal copy of the software rather than use software at the expense of others.

Thank your for your support,
John Bouma


Looking For Inconsistent Riders

NOTE: This is relevant only in the Hare Scramble mode.

There are several reasons that the laptimes of an individual might be inconsistent.

a. The rider was missed by the scoring team as he passed through the checkpoint. A typical indication of this will be laptimes that are consistently in the 20 minute range, followed by a 40 minute lap.

b. A rider might have had mechanical difficulties on one lap, then once back on the course, he might be back making lap times consistent with his earlier performance.

c. It's also possible that a rider may have cut a portion off the track in an attempt to gain time on some fellow riders.

The All-Out software helps detect each of the cases by allowing the promoter to look for "cheaters". We would like to stress that it's not only cheaters who'll show up when looking for riders with inconsistent times - but for simplicity, it was easier to use that term when describing the process.

The process for looking for inconsistent riders is embedded in the same section of the program where the user can view lap times.

The process that actually occurs, is that the software systematically calculates the average lap time for every rider, and then (for each rider) identifies those riders who have any lap which deviates from their average lap time by more than 10% under their average (potential cheater), or those riders who have a lap which is 70% or more greater than their average lap time (missed at a checkpoint).

Shown below is a typical screen showing those riders detected by the system as having inconsistent lap times. Please note that the system will indicate long laps, short lap, and will reflect "inconsistent" if both long and short lap times are detected.

As indicated by the screen, double-clicking any rider will bring up the laptimes for that person.


Mail Merge

There are times when instead of using the label layouts designed into the All-Out software, a user might want to create his own labels, and then use the Mail Merge capability of Microsoft Word to create those labels. A more simplistic approach is available using the Mailing Labels link.

What follows are the directions on how to accomplish the powerful Mail Merge capability embedded inside the Microsoft Office family. This example uses Microsoft Word 2003 - but the same concepts are applicable with other versions of Microsoft Office.

1. the first step is to create the customized export of the database fields. This is discussed in the Exporting the Database Contents link. Note the default file name for the exported data is "Custom Database Export.txt"

2. Now call up Microsoft Word, and inside of a new document, click on "Tools", then "Letters and Mailings" then "Mail Merge" - shown below.

This will bring you to the screen shown below. At this point, select the "labels" option, then click on the line "Next: starting document" in the lower part of the screen.

Clicking on "next: starting document" above will bring you to the screen below.

At this point, you should click on the "label options" link - at which point you're presented with the screen below - enabling you to select the type of labels you'll be using.

Once you've selected the type of labels you're using, you can click "OK" to continue, which will bring you to back to the basic document, with lines identifying the label format - as shown below.

From this point you should click "browse" to identify the data field you'll be using to populate the mail merge fields.

Once you've identified the file, you'll see the following screen show up, depicting all of the rows of data, with a check to the left of each row, indicating that each row is selected for inclusion in the stack of labels you'll be printing.

At this point you can click "OK" to continue to bring you back to the Word Document as shown below.

At this point you can either edit the recipient list, or click "Next: Arrange your labels" to continue to the screen below.

This is where the "rubber meets the road" in the process. You must first click the "Address block" link to identify which fields you want to include in your list of labels, and then you will click "Update all labels" to finish the process.

When clicking the "address block" link, you're presented with the following screen:

The key thing here is that you need to click the "Match Fields..." link. From here you're presented with the list of available fields as shown below:

It's important that you need to use some common sense here. When the data is exported from the system, it does not include the field names in the list of exported data, which means that you'll need to make the selections based on the data that's actually present. When you've got the fields selected, click "OK" to continue.

At this point you can click "OK" to return from the field descriptions screen, which brings you to back to the screen shot depicted two screens above.

You can now click the link at the bottom right of the screen which says "Next: Preview your labels".

The finished product is shown below:

From this point, you're past the "hard stuff", and it should be obvious where to go from here.

Again - this entire presentation was done with the assumption that you're using Microsoft Office 2003 - but the concepts should be roughly the same for other versions of Microsoft Office.


Mailing Labels

The All-Out software provides user with the ability to create mailing labels from the primary database. The feature is selected from the "Series Mgmt" dropdown menu. Users can also use the mail merge features inside of the Microsoft Office products - and you can click the following Mail Merge to view more information on this topic. It enables some users to take advantage of some pretty powerful features of this software coupled with the Microsoft Office family.

Once selected, the system will provide you with a list of available label formats, using the standard Avery numbering scheme. In all cases the system exports the following fields from the database:

Name, Address line 1, Address line 2, City, State, and Zip Code. In the case of the larger labels, it will also export the contestants country.

After selecting the type of labels you are using, the system exports all records in the database into the labels. From there, you can page through the labels, search for specific pages (based on content), and change the size of the displayed area to zoom in or out on the pages as they're presented. Please note that if fields are blank in the database, the labels will reflect these blank fields. For example, if there is no information in the second line reserved for part of an address, the labels will contain a blank line at that field. If this is inconvenient, users sometimes prefer to do a customized export of data in the database and create their own mailing labels. Please see the section on Exporting the Database Contents for a discussion of how to customize the data exported from the database.

Once you've previewed the labels, you're able to print them by clicking the printer Icon. After clicking the printer Icon, you have the option of selecting which pages of labels you prefer to print.

Shown below is a screen shot of the process where the user selects which label format he's using, with another screen shot further below, representing a preview of what the sheet of labels will look like.


Making a Betabrite Serial Cable

Making a Serial Cable for a Betabrite Display

There are basically two types of betabrite displays supported by the All-Out software .... one using a serial cable between the computer and the display, and one using a USB cable between the computer and the display. This section is devoted to building a replacement serial cable in the event you lose the one provided, or if you want a longer cable. Obviously you can always contact the developer for a replacement cable, but if you're in a rush, it's just as easy to make your own.

In order to create the cable there are a couple of things you're going to need ....

.

1. a section of cable - it can be a standard telephone cable, or any other cable provided it has at least 3 leads. There's a maximum length of 45 feet, but most users shouldn't need anything longer than about 20 feet at a maximum.

2. a set of wire strippers. If you're careful, any razor blade will work

3. a DB9 (female) connector (not shown above), and an RJ-11 connector. Note that an RJ-11 connector is the same as you'll see in a telephone jack. The RJ-11 connector has the ability to support a maximum of 4 wires - you'll only be using 3 of them.

4. a crimper

5. a soldering iron and a small amount of solder.

OK .... now that you have the basic elements you're going to need, we'll continue. The first thing we'll do is strip off a couple of inches from the end of the cabling.

Unwrap the leads until you have them arranged in a flat section as shown in the diagram below. Take note of the color scheme though, because you're going to need to ensure the right colors are matched to the corresponding pins on the DB-9 cable - but we'll cover that in a minute. Something to note is that the RJ-11 only has room for 4 wires, so you'll need to eliminate all but four of the leads in the diagram shown below. I find it useful to use green on pin 1 (ground), orange on pin 3 (transmit), and blue on pin 4 (receive). If you follow this schedule, you'll have no problems making the connections on the DB-9 below.

Now it's time to get fancy .... insert the leads into the end of the RJ-11 connector, then use your crimper to finish making the end which will plug into the sign.

The next thing to consider is the actual pin connections. Shown below is what the connections will look like electrically once you're done. Note that I've not considered it necessary to display this information up to this point since it only becomes an issue when you're ready to start with the "other" end.

We're now ready to tackle the other end of the cable - the one which will plug into the computer. You'll use the female DB-9 connector. The first step will be to jumper pins 7 and 8 as shown in the diagram below. If you're curious, these pins represent the CTS (clear to send), and the RTS (Request To Send) lines in normal serial communications. It's these pins which normally allow one device to tell the other that it's ready to either send or receive data. In our case, by jumpering the two pins, we're simulating the case where the computer is always ready to send, and the display is always ready to receive data from the computer. It's standard practice in the "industry" to jumper these pins if there's no need for precise control over the communications.

**** Note .... There are a few references which show that pins 1, 6, and 4 should all be jumpered together on the DB9 cable, but experience has shown that it's not necessary. When the software developer builds cables for other customers, these pins are never jumpered. This note is included solely because there appears to be mixed opinions on whether or not it's necessary to jumper these pins.

With pins 7 and 8 jumpered, we now want to go back to the color codes you (hopefully) recorded above. You'll now connect the orange wire to pin 3, the green wire to pin 5, and the blue wire to pin 2..

Once the pins have been soldered, mount the back-shell on the DB-9 connector and you should be looking at a cable that's similar to what you're seeing in the photo below. If you've taken a little bit of time to make it a professional connection, you should be able to plug it into the computer and the display and start hosting your events.


Making A Crossover Cable

Before we get started - Rather than make the cable yourself, you might find it easier to simply contact a local COMPUSA store, and either buy a cross-over cable, or have them make one for you. If you've got more time than money, what follows is a detailed explanation of how to make one.

Although making a cross-over cable isn't hard, it's even easier if you have an existing network cable that you can cut one end off - thereby forcing you to make only one end rather than both ends. Either way, the process is relatively trivial, and you should be able to have the system up and running in a matter of minutes either way.

What you need

Cable - Be sure the cable(s) you are using is properly rated for CAT 5. It should state clearly on the jacket of the cable, what it is rated at. For the purpose of this help session, we'll assume that you don't have access to an existing Ethernet cable, so you'll be building a complete cross-over cable from scratch - i.e. making both ends.

Connectors - Crossover cables are terminated with CAT 5 RJ-45 (RJ stands for "Registered Jack") modular plugs. RJ-45 plugs are similar to those you'll see on the end of your telephone cable except they have eight contacts on the end of the plug instead of four used by the telephone systems. Make sure the ends you select are rated for CAT 5 wiring. There are also different types of jacks which are used for different types of cabling (such as Solid Core wire). Make sure you buy the correct jacks for your cabling.

Crimper - You will need a modular crimping tool. Since these can get expensive, this is another reason for you to buy a cross-over cable, or get someone build the cable for you instead of buying a crimper.

Stripper - There are several specialized tools, which can be used to strip the jackets off cabling. If you do not have access to one of these tools, cautious use of a razor blade or knife should work just fine. Please keep in mind that if you go the razor blade / knife route, special care must be used so you dont damage the wires inside the insulation.

Cutters - You need a pair of cutters that will allow you to cut a group of cables in a straight line. It's important that all the wires are the same length. While it's handy to have a cutter, a simple sissors is normally up to the task.

Doing the deed

First thing you'll want to do is cut off the appropriate length of cable that you will need. Be sure that it is plenty long enough. The maximum allowed distance is 100 Meters, (or approximately 328 feet) - but if you're using the cable for the All-Out system, you'd expect the scoring stations to be within a reasonable distance from each other, so 100 feet should be WAY more than you'd expect to actually need. If this is the first time you've ever made an Ethernet cable, expect to do it more than once - each time having to cut off approximately 3 inches. Lets get started!

1) - Start by stripping off about 2 inches of the plastic jacket off the end of the cable. Be very careful - you dont want to nick or cut into the wires on the inside of the insulation. Nicking the wires could alter the characteristics of your cable, or even worse render that end of the cable useless. Check the wires, one more time for nicks or cuts. If there are any, cut the end off, and start over.

2) - Spread the wires apart, but be sure to hold onto the base of the jacket with your other hand. You do not want the wires to become untwisted down inside the jacket. Category 5 cable must only have 1/2 of an inch of 'untwisted' wire at the end; otherwise it will be 'out of spec' and might not pass the data at the speed your computer is capable of using. In practice, this normally isn't as critical as this discussion may lead you to believe, but hey, while we're making a quality connection, we might as well do it right and make it look professional. At this point, you obviously have A LOT more than 1/2 of an inch of un-twisted wire, but don't worry - well take care of that soon enough.

3) - Up to now, things have been pretty easy. Things will get a little bit tricky here, but don't worry. At this point you'll need to decide which end of the cable you're making. If you're making your cable from scratch, you have 2 end jacks, which must be installed on your cable. If you are using a pre-made cable, with one of the ends cut off, you only have one end to install - the crossed-over end. The diagram below shows how the different colors should connect. The good part is that you only need to splice the wires listed below. Half of the wires are not even used for a cross-over cable.

The diagrams shown below depict how you need to arrange the cables for each end. Decide at this point which end you are making and examine the picture below. If you are confused, the table shown further below identifies the pinouts you'll want to wind up with.

conn #1 | grn /wh | grn | or/wh | bl | bl/wh | or | brn/wh | brn
conn #2 | or/wh | or | grn/wh | bl | bl/wh | grn | brn/wh | brn

Yet another depiction of the way it should look.

So pin 1 goes to pin 3
pin 2 goes to pin 6
pin 3 goes to pin 1
and pin 6 goes to pin 2
All of the other pins are left open.

Begin to untwist the twisted exposed wires on your cable. Again - use caution so that you don't untwist them down inside the jacket. Once you have all the wires untwisted, begin to arrange them in the proper order based on the pictures above. This stage can be frustrating - especially when working with some of the middle wires.

Once you get all the wires arranged in the proper order, grasp them right at the point where they enter the jacket (making sure you keep them in the proper order), then cut them 1/2 inch above the jacket, with the cutter aligned straight across the wires. You want to make a clean cut here - make sure you don't let go of that jacket / wires!

4) - From this point forward things get a lot easier. Grab your jack, and begin to slide the wires into the jack - using the pinouts discussed above. Once you get to the point where the outside wire covering begins to enter the jack, things might get a little tough, but have patience - they'll fit in there just fine. Once the leads are in as far as they'll go, the wires should extend almost to the front of the jack, and about 3/8 of an inch of the jacket will be inside the jack - as shown by the picture below.

5) - Grab those crimpers - because not all crimpers are exactly the same, your crimper may not match exactly what you see below. Be sure to keep a good grip on that jack and the cable. Insert the jack into the crimper. It should only go in one way. As you squeeze the crimpers, you'll hear a clicking sound. Keep squeezing until you're unable to squeeze it any further. If you try to let go to early, nothing will happen - the crimper will not release. Keep squeezing until the crimpers stop clicking / stop moving all together. At this point, you should be able to let go of the jack, and release the pressure on the crimpers, and the crimpers should release, leaving you with a crimped jack. If the crimpers do not release, you've not squeezed them hard enough - squeeze again until they release once you stop squeezing.

Crimp it good.

6) - It's time to examine what we've done. If you look at the end of the jack, the copper connectors should not be pressed down into the wires. Toward the back of the jack (where the cable covering meets the jack), the wire covering should be crimped securely, holding the jacket / cable in the jack. If something has gone wrong, grab those cutters, cut the whole jack off, and start back at step 1 (an inconvenience - I know - but its better to have a cable that works, than to spend hours trouble shooting your PC trying to figure out why you can't see the other system). If everything looks good, all that's remaining is to make the other end of the cable (unless you are using a pre-fab cable and have cut one of the ends off). Assuming you used a brand new cable (i.e. no ends already made) - go back to step one, and make the other end now.

In closing

By the time you've reached this point, you should have a fully functional CAT 5 Crossover cable. It's a good idea to label it as such, especially if you have a lot of other cables lying around.

Install the cable and give it a test. If it doesn't work, double-check the ends. There's always the possibility that you've overlooked something. If so, cut off the bad end and make a new one. Remember the more jacks you install, and the more cables you make, the easier it gets. It's really not that hard to do, the first time is the most difficult.

a. Here are a few other things to keep in mind...

b. Maximum cable length for including connectors is 100 meters (or about 328 feet)

c. Do not allow the cable to be sharply bent, or kinked, at any time. This can cause permanent damage to the cables' interior

d. Do not overtighten cable ties

e. Do not use excessive force when pulling cable through floors, walls or ceilings

f. Do not use staples to secure category-5 cable, use the proper hangers, which can be found at most hardware stores

g. Where possible, keep the cable from anyplace riders can run over it or in any way get snagged with any riding equipment. Losing a network connection because some rider is carrying your cable down the track will definitely ruin your day.


Merging Data Files

The All-Out software has been developed with the intent of providing users with the most flexibility in how data is collected during an event - either manually entering the rider numbers, or using barcodes, or using transponders.

When manually entering data or when using barcodes, it's quite possible that there may be more riders on the course than a single data entry station can support - for example - if you have a lot of riders on a short course.

If the race was conducted using the network functionality, this is not a problem since all information is maintained in the "Master" database - but if the scoring stations are not connected via a network, the result is that each computer will contain a part of the race data, and this data must be merged into a common database in order to score the event.

The need to merge data files is solely an issue if you were collecting data using multiple stand-alone computers.

The process is that on each of the stand-alone computers, you must "EXPORT" the race data onto a flash-drive (for example). You would then take the flash drive containing all of the stand-alone files to the computer serving as the "master".

Please note that the data files on each computer are named "SYSTEM FILE-Contestants.MDB". It's left up to the user to copy them to a location accessible by the scoring software. The files can exist in different directories, or they can be in a single directory, renamed with a 'logical' name to represent something meaningful to the user (i.e. by the checkpoint name).

The issue of synchronized times.

A potential problem when merging files from two computers systems is that the system clocks are most likely not synchronized to the degree necessary for scoring a race. In a race, even 1/2 a second could be significant.

It should be obvious then, that the process of merging files should also enable the user to shift all times in each file by a specified amount - thereby making up for any differences in the respective system clocks.

This is addressed by letting the user specify how much to adjust all times in each file. For example, when you double-click on a file as part of the process, you then can specify the time all entries in that file should be shifted - either forward or backward.

Note: One way to determine how much to shift the times is (prior to race time) for the operators to both enter any rider number (preferably not a valid rider number) at the exact same second, then look at the time in the data entry section to see what time was captured. Use that information to shift the time so it's consistent with the master database.

NOTE - no time corrections are made to the master database. Only the data being imported is subjected to any time shift.

NOTE - it will not harm the system if you import the same data multiple times because prior to inserting a new datapoint into the main database, the system first checks for the presence of that datapoint and ignores the new point if it already exists.

Although the concepts are similar, for example purposes, you might want to click the following links for an explanation of different scenarios when you might want to merge files:

1. Scenario #1 when you have multiple database files, each generated by a workstation connected to an "attached" scanner. A typical situation is if you have two (or more) scoring stations in close proximity and rather than connect them together via a network, you elect to operate them independently, then later merge the data files into a master database.

2. Scenario #2 when you have multiple Enduro data files, each generated by a workstation at the "finish" line. The most likely scenario here is that you have 2 (or more) workstations at the finish line, with operators inputting rider data as they finish the race. In order to score the event, each of the data files would be merged into a single file for final scoring. In this case you would actually export checkpoint data in the enduro mode, then individually import each checkpoint into the master.


Miles Per Hour Vs. Kilometers Per Hour

The All-Out software is the only system (that we are aware of) which enables users to input data, and print reports in either a Metric or English units of measure.

By default the system reverts to units of miles and miles per hour, but as indicated in the graphic below, it's easy to shift to a different mode.

Once the system is shifted to the "other" mode, it will remain in that mode during all subsequent uses of the system until the user shifts the system back to the other units of measurement.


Motorcycle Manufacturer

The All-Out software provides promoters with the ability to include the manufacturer of the riders motorcycle in two different spots - in the results for a specific event (beneath the "Race Results" dropdown menu), and when calculating the series standings (beneath the "Series Mgmt" drop-down menu).

Please note ........ The riders manufacturer is ONLY entered from within the Series Management dropdown menu - inside the "manage the rider database option". You might think that the riders cycle mfg would be included in the registration process, but that's not done in the All-Out software for one reason....... this system was developed with the intent of minimizing the amount of information necessary at registration. As a result, the ONLY data collected at rider registration is the riders name, his class, and his rider number. All other information you might feel relevant about any rider is entered in the "main" database.

When you elect to include the riders manufacturer, the system looks through the main database, for that particular rider name, rider number and rider class. If that rider has been entered in the main database, it extracts the manufacturer indicated for that person.

Inside the main database (beneath the Series Mgmt option), you are presented with a "browse" button when you elect to edit any particular rider. You can click the browse button to access a dropdown list of all current manufacturers. *** NOTE *** This list of available manufacturers is contained in the file named "SYSTEM FILE-Manufacturers.txt", located in the application directory. You may edit this file with any basic text editor (i.e. Notepad). The only "rule" is that only 3 letters are ever included when the information is entered in the database.

Shown below are the two screens where you have the option of including the riders manufacturer.

The other location where you're able to include the riders cycle manufacturer is shown below. In this case the option had not been selected to include the manufacturer.


Narrative Style Race Reports

Incorporated with version 10.7.1 was a new type of race report which provides promoters with the ability to quickly create a race report of a quality that can be posted to a website - or forwarded to a magazine. Note - this feature is only available in the Hare Scramble mode - and not supported in any other mode.

The concept is simple.... The narrative style race report is accessed from beneath the "calculate results" dropdown menu.

Shown below is a typical race report for the overall standings.

Creating the report is simple - done by merely identifying the class (or list of classes) on the left, then clicking the "Create Reports" button.

There are a couple of requirements prior to being able to use this feature:

a. You must have first calculated the results for each class you wish to create a report for.

b. When calculating the results, you must have elected to included the laptimes in the output.

c. You must also have elected to save the data in a format which can be viewed using Microsoft Excel. Note - this option is in the "Additional Options" tab in the "calculate results" screen.

Note - when the race report is created, it is saved in two formats - a plain text version, and an HTML version. The ONLY difference is that in the HTML version, each paragraph is formatted with the HTML code - enabling promoters to post the report directly to the internet.


Network Problems

Network reliability is paramount - and there's a perception that it requires a network engineer to solve network problems - but in most cases, that's not true. In the case of the All-Out system, even the most basic computer operator - working with this help system - can fixed most connectivity issues. Problems with network connectivity within the All-Out system are usually a result of a network cable coming unplugged, or a power cord getting unplugged - but there's always the possibility a network outage could be the result of any number of other reasons which might require the assistance of the local "expert".

In general, networks (once established) are VERY reliable, and a lot of work has gone into making the network feature as reliable as possible. What follows is a discussion of how the software reacts when it detects problems in the network.

The server side is very simple. You enter the "server" mode by enabling network support from beneath the "file" dropdown menu, then selecting the button that says "Activate services as the Master Database". From that point, the system will stay in the "listen" mode until you re-enter the section on network support and remove network support. Short of disabling network support, once the server has been configured to "listen" for connections, it will continue to do so until you either exit from the program or disable network support.

The client side is the component most reliant on the presence of a valid network connection.

The software is designed such that if the client sees the connection broken, it IMMEDIATELY attempts to re-establish the connection, and if the attempt fails, it will re-attempt to establish the connection every time a participant is entered in the system. The objective is to counter the actions of someone at the master, who might inadvertently break the connection by (for example) closing the display on the laptop. In this case it's not a network problem, but an operator problem, and the system counters this by detecting the broken connection and attempting to re-establish the connection.

A more serious problem is where the network connection is actually severed as a result of a power loss, or a broken cable, or an unplugged network cable. Obviously the system wont be able to re-establish a connection that doesn't exist. In this case, the system continues to try remake the connection every time another rider goes past the scoring area.

In addition, there's one more thing worth noting. Every rider passing the scoring area not only gets entered in the local database, that "event" is also recorded in the archive file. In addition, anytime a rider number is modified at the scoring station, that change is also recorded in the archive file. There's one more thing that's added to the archive file........

Every time a connection is either made or closed between the master and the client, that action is recorded in the archive file on the client. So, if you ever lose your network connection, that fact is recorded in the archive file on the client, and the archive data can be recovered and pasted into the raw-data file on the master. Once the connection to the master is restored, that event is also recorded in the archive file.

The bottom line is that it's easy to look at the archive file to observe all riders who passed through the checkpoint but didn't have their data passed to the master database. It's a simple matter, at that point, to manually edit the master database to add those riders to the master.

Something to be aware of is that with the advent of XP Service pack 2, many users now configure their computers such that they're using the operating system as a firewall - preventing unauthorized access by remote computers. If (when using a client), you are unable to access / communicate with the system managing the master database, you should check the configuration of the master to ensure the firewall isn't enabled. You can learn more about Using a Firewall by visiting that section of the help system.

Other sections of this help section provide additional details on how to assign IP Addresses, making A Crossover Cable, the basics of Network Support , along with the basics Operating as a Client and Operating as the Master Database.

Please do not feel daunted by the network issues. This is a lot simpler than it might initially seem.


Online Results - in real time

A recent innovation of the Race Timer system is the ability to post all of the checkpoint action in real time on the web.

There are several advantages of this feature, but everyone should be aware that the real-time results are not the official results. The official results are only available after the race, after any registration problems are fixed, and any protests are handled.

This utility is useful - allowing anyone at home to monitor the race in real time - and it also enables anyone with a smart phone at the race to monitor the progress without having to cluster around the scoring area.

Posting the checkpoint data online is incredibly easy - identified by a user-friendly user interface.

The following information is required:

  • An internet connection at the track

  • The user must provide the name of the series

  • You must identify the name of the event - for example "Tidewater 100 (Main event)"

  • You must point the system to use the database in use at the checkpoint. In this case you can either run the software from the scoring computer, or run it from another computer across the network - using a shared drive.

  • You must identify the URL of the web where the data will be "pushed". The right information is included in the software by default - and you should never have to change this

  • Finally, you will identify a "key" - which is used for authorization for posting to that website.

Once the configuration settings have been saved, you are ready to start posting the data to the website. This is done by simply clicking the appropriate button on the screen shown below.

As riders go past the checkpoint, they're added to the master database. The Online system checks the database every 10 seconds to see if any riders have gone past that haven't yet been posted to the internet. The system will automatically forward all "new" riders to the internet within 10 seconds of passing through the checkpoint. As each rider is posted to the web, that riders record is updated to reflect that he has been posted online. The software will show a list of the recent rider numbers that have been successfully posted to the online website.

Sooner or later you're going to recognize you made a mistake. You may have made a change to the list of registered riders, or may have entered the name of the race incorrectly. If that happens, clicking the button on the lower left of the screen will reset the "updated" flag for every checkpoint entry. The next time the system checks for "new" riders - everyone in the database will show up as "new", and all riders will be reposted to the online website.

You can monitor the results in real time (unofficial) by going to www.RaceTimerOnline.com

Once on the site you'll have the ability to search for specific events - the promoter name, or event name. Once you've selected an event, you'll see a screen similar to the one below.

If you click on the "+" to the left of a rider, you'll get all of his lap times as shown in the screen shot below.


Operating as a Client

If you elect to use the network feature in the All-Out software, you'll need to identify one of the computers to serve as the master database. Once done, you have the option of being able to have any number of computers operate as clients - each feeding data to the master database. This functionality is accessed via the <File> drop-down menu. See the section on operating as the Master Database for more details about serving as the Master.

You can have any number - literally ANY number of client computers all configured to serve as clients, feeding data to the master. Each client does two things.....

1. It keeps a record on the local hard drive of all riders having passed that scoring area.

2. It also passes information to the master database for every rider that passes the checkpoint. Since riders are entered in the "data entry" section, it should be obvious that you must be in the data entry mode to forward data to the master from a client.

The process for configuring a computer to serve as a client is as follows:

a. Select "network support" from beneath the "file" drop-down menu.

b. check the block to enable network support.

c. Identify the IP address of the system you'll be using as the Master Database.

d. click the option button to connect to the master database. (Note - it's assumed the master database is already online, "listening" for connections.

e. You can then click the "test" button to observe your computer successfully communicating with the master database across the network.

The system has been designed such that any difficulties in connecting to the master database will result in the system displaying an error message to ensure you're aware that you're not connected to the server.

Once you've elected to serve as a client, you can then exit from the network section, and proceed directly to the section on data entry. As soon as you enter the data collection area, the system will attempt to contact the server, setting you up for sending all rider data not only to the local database on the local computer, but to the master database as well. From that point onward, every time you enter a rider at the checkpoint, that information will also get passed to the "master".

While operating as a client, (although not advisable during a race), you can actually completely exit from the program - at any time - without fear of losing data. When you re-enter the program, you'll need to revisit the section on "network support" to re-establish the fact that you're operating as a network client.

While operating as a client, as depicted in the screen shot below, anytime you enter the data entry mode, your computer will contact the master to open a connection in preparation for sending data to the master. As you enter that data - either manually or via a scanner, the server will always respond with an acknowledgement that it's received the data. If the connection is lost for any reason, the client will indicate this by closing the "server response" window, and replacing it with a notice informing you the connection has been interrupted.

Please see the section on Remote Displays for a discussion on how electing to use the system in a network environment affects your ability to use the remote display feature.

Please see the section on troubleshooting Network problems for tips on resolving difficulties in communicating across the network.

Client Mode (Data Entry)

Network Setup


Operating as the Master Database

In the All-Out software, if you wish to take advantage of the robust network functions, you'll need to configure one of the computers to serve as the Master Database. Network functionality is accessed via the <File> drop-down menu.

Please note that designating one of the computes as the master database in no way detracts from that computers ability to also serve as a scoring station. It can still be used to score people passing through one of the scoring booths.

Designating a system as the Master database is as simple as entering the network support section from the <File> drop-down menu, then clicking "enable network support", then electing to "activate services as the master". There's nothing to it.

Once done, you can exit the network support section, and proceed directly to any other section of the program. It's that simple. literally 3 clicks, and your system is operating as a master.

It's significant to note that once configured to serve as a master, although the "master" is "listening" for inputs from the clients at all times, the only time the data is entered into the database is when the "master" is in the data entry part of the software. If not in the data entry section, the system receives all input from the clients, and queues that data for entry when you eventually enter the data entry mode. If any client passes data to the server while not in the data entry mode, an alert will pop up on the opening screen of the master, notifying the operator that data has been received, and is waiting to get processed. Once the user re-enters the data entry mode, all queued data is incorporated into the database.

****** IMPORTANT ****** Data is not lost if a client forwards data to the master, when the master is not in the data entry mode...... it is simply queued up for later processing. The ONLY time data will be lost is if the operator exists from the program on the master without first going through the data entry mode.

Please note that all data entering the database on the "master" does so using the system clock on the master. Even if checkpoint data is sent to the master while not in the data entry mode on the master, the time of arrival is always used, so it is irrelevant which mode the system is in. The All-Out software will always detect, retrieve, and store all data, (including the time each rider passed the checkpoint) and it's important for users to understand the riders time will ALWAYS be the actual time at the checkpoint, and NOT the time the data gets processed into the database.

When a user connects to the master database for the first time, users will notice a window pop up in the upper left of the screen on the "master" computer. Inside that window will be a series of subordinate windows - each representing a unique connection from each of the clients. As data is received from the clients, the respective window reflects their incoming data.

IMPORTANT...... DO NOT close that window in the upper left of the screen. That is one of the key components of the system, and closing that window will close all existing network connections from all of the clients.

As data is forwarded from the clients, not only does the received data appear in the window in the upper left of the screen on the master, the master will ALWAYS respond back to the client originating the data - with a unique message to acknowledge the data it's received. This ensures users on the client their data is being received and processed by the master database.

Please see the section on Remote Displays for a discussion on how electing to use the system in a network environment affects your ability to use the remote display feature.

Please see network support for more information on how the All-Out software is used in the networked environment.


Permission Denied

It is possible that when copying the data - i.e. exporting the data from one system to a flash drive, that you might get an error saying "permission denied".

In every known case, this is seen where the systems is being used in a networked environment, and someone else, on another computer is still using the database. For example you might have the system networked, such that multiple computers are using the software in the registration mode while another user is trying to export the data.

The windows operating system recognizes that the database is in use and will not allow you to copy the data to a flash drive. This is actually a good thing because it's possible that if the files were copied while they were in use, you might not have a good file when it's imported into the next computer.

The fix is easy ..... Have all users exit from the software - to the main "opening screen". This releases the database so it can be copied or exported.


Posting Results to the Internet

The goal of every user is to maximize the exposure of the local events by posting the results to the internet. In many cases this falls to the responsibility of the local webmaster - but the All-Out software gives you the ability to post those results without the assistance of a web developer.

The All-Out software provides users with the ability to upload the results directly from the system, into the club / series website by posting the files to a remote server. This feature is a simple implementation of the File Transfer Protocol (FTP) process.

The process is simple - but it does require some advance configuration information prior to use.

The user is responsible for knowing the following information:

a. The name, or the IP address of the remote host. This information must be obtained from someone familiar with the local website. Users can enter either the name (i.e. www.sidewindersmotorsports.com) - or the IP address of the server. The system will support either case.

b. The remote directory to hold the data on the remote host. If this is unknown, leave it blank, since the system will automatically fill this in - assuming the "root" directory of the users space on the remote host.

c. The users login account. This information is provided by the ISP or someone familiar with the website.

d. The login password. Note that you have the option to save the password.

Once you've accessed this feature, it's deceptively simple. Uploading files is no more complex than the following process:

1. click "Connect to FTP Site". Once successfully connected, you'll see the "frown face" turn into a "smiley face" to signify you've established the connection.

2. click the files on the left that you'd like to upload. You can select files by holding the <Ctrl> key and click individual files, or you can highlight one file, hold the shift key, then click another file, to select all files in a specified range.

3. Once the files have been identified, simply click the red arrow pointing to the right. At that point all of the files will be forwarded to the directory on the remote host.

The system also gives users the ability to remove files from the remote host. The process is similar to uploading files. Simply identify those files you wish to delete, then click the "trash" icon.

When you're completed with the file handling, you can click the button to disconnect from the FTP server.

Once files are on the FTP server, it's left to the user how they'd prefer to create the web pages which link to those files you've uploaded.


Proper Orientation when Writing a Transponder

It's simple to write a transponder - but you'll find the process is much more reliable if you take even a fraction of a second to orient the transponder properly.

The thing to remember is that the signal from the antenna on the writing system radiates out horizontally - and keep in mind also, that the signal from the transponder radiates out from the ends (both ends) similar to what you'd expect from a flashlight.

The diagram below shows the end view, and the top view of the writer.

T

The point of all this is that you should hold the transponder parallel to the disk on the antenna, with the end of the transponder against, (or close) to the flat disk antenna. You can have the transponder at a slight angle, but always have the end of the transponder pointing to the side of the disk.

Please keep in mind that there is precious little signal coming (vertically) from the center of the antenna, so it wont do you any good to hold the transponder vertically, near the center of the antenna.

Again - hold the transponder horizontal, with the end of it either touching, or very close to the antenna disk.


Quick Save

This is a feature which has been removed in versions greater than 12.X.X. In previous versions, checkpoint data was written to a text file, but in later versions, all data is now written directly to the master database. As a result, there is no need for the "quick save" feature discussed below. This topic is being retained in the help system solely as a reference to users of the older versions, so they know the feature is no longer needed / supported.

The concept ......

As riders go through a checkpoint, their rider number, arrival time (and in the case of the Enduro module), the check point number is added to the list of recent riders.

This information is not written to the disk until 20 riders have arrived at the checkpoint, and then as subsequent riders arrive at the checkpoint, the data represented by the rider at the top of the list is written to the data file - and removed from the list.

This delay in writing the data to disk is intentional - allowing users to make changes to the data in the event of an error in data entry. This way, the operator can continue entering data during a busy period at the checkpoint, then once there's a little slack, the operator can go back to the error and get it corrected before the rider "disappears" from the top of the screen.

In an effort to provide additional safeguards in the data, the All-Out software provides users with the ability to save all data currently waiting - essentially "flushing" the queue, writing all data directly to the data file - without waiting for additional riders to pass by the checkpoint. Periodically doing a quick-save would eliminate any possibility of lost data - even in the event of a catastrophic failure of the checkpoint computer.

When the user does a "quick-save", all of the data is written to the disk - which at the same time clears the list of recent riders. The advantage of doing a quick-save is that all data has been saved. The disadvantage is that further modifications to riders previously still visible in the display is not possible. If corrections are necessary, the user will have to manually modify the data using capabilities elsewhere in the program for "Correcting Data".

A quick-save will always force any cached data to get written to the disk, thereby making all data permanent in the system files. You might also check out the section on "Key Files" for a more detailed discussion on the files associated with the All-Out software - and their contents.

Previous versions of the system also included a "quick-save" function in the registration process. This function has been phased out since all registration data is now saved everytime a rider is successfully registered (or updated) during the registration process.

The concept of a "quick save" is also relevant when manually entering data at an Enduro event. What follows is a sample screen depicting the quick save function here as well.


Registering Your Software

When you first install the software - even if you have purchased the system, the software is always installed in the "evaluation" mode.

Once the software is installed, you unlock all of the system capabilities by registering the software - which is done beneath the "help" dropdown menu.

After the selection, you're presented with the following screen:

At this point you would provide the author with the information provided by the software, then enter the information you receive back.

The system will let you know if the registration was successful.

It is possible to use the software without being fully registered - please see the section on Using un-registered software for more details.


Registration Hints

Database Assist - Registration can be significantly streamlined by using an "assist" from the database of previously registered riders.

- Using Riders Name - When using this mode, as you type a riders name, you will gravitate closer and closer to the name that most closely resembles that rider. Pressing <Ctrl><Enter> will select that rider, inserting his rider number, his full name, and the class he was last riding in.

- Using Riders Number - When using this mode, as you type a riders number, the Riders name and most recent class will be automatically populated as you enter a valid rider number. If you continue adding characters to a rider number after a match has been found, the system will either replace the data with the new match, or will remove the data from the Name and Class fields.

- No Assist - As the name implies, it's the responsibility of the user to enter all rider data - including his rider number, the riders name, and the class the rider will be competing in.

Consistency between Rider number and Rider class - Some promoters / series may elect to have all rider numbers be consistent with a class numbering scheme. For example all "A" class riders must have rider numbers between 100 and 199. Putting a check in this box will invoke a check to ensure that any rider you enter meets the local criteria. The criteria is established in the "Race Setup" dropdown menu.

Enable "Waves" in a particular class - At some events it might not be practical for all riders in a class to start at the same time. The All-Out software has a "wave" feature, which enables promoters to start a particular class in waves.

Write RFID - As the name implies, when the user clicks this button, the system takes the current contents of the Rider Number field, and writes that data to the RFID Transponder. Please note that the All-Out software ALWAYS confirms a valid "write" as part of the process. If you're informed of success, you can be assured you've successfully written that number to the transponder.

Read RFID - As the name implies, when the user clicks this button, the system reads the transponder. If the transponder is a "read / write" model, the user is informed of the contents of the transponder, and that it's compatible with the All-Out software. If the transponder is a "read only" version, the contents of the transponder are not displayed - only that the transponder is not compatible with the All-Out software .

Print Barcode - Clicking this button will directly print a barcode containing the contents of the Rider Number field, and (if not blank) will also include the riders class. The barcode size and orientation of the most recently used configured will be used. Please read the note below - ESPECIALLY if you have problems using this function.

Important - Important - If you have problems printing a barcode directly from the registration screen, the problem is most likely that you don't have the barcode printer selected as the default printer or that your "default document" is not configured to the page size and margin parameters expected by the barcode printer. The All-Out software makes a system call to Microsoft Word, which in turn invokes a file named "normal.dot", which contains all of the default settings. If you're expecting to write a 4" X 2 " barcode, and the "normal.dot" file is configured for an 8.5" X 11" page size, you'll constantly have errors when trying to print. It's recommended that you edit the "normal.dot" file with the parameters expected by the barcode printer. Note also that modifying the "normal.dot" files not affect any other feature of the All-Out system.

Making Changes - If you find you've made a mistake in the registration information for any rider, simply highlight that rider in the list of registered riders, then click "Make Corrections". Once you've made the appropriate changes, click "Update Rider" to make those changes permanent.

Quick Save - None of the information entered during the registration process is saved to the disk until you either finish registering all riders, or - until you click "Quick Save". Although the system is very reliable, sometimes it's desirable to periodically do a "quick save" purely to avoid losing any data in the event of a loss of power or anything else that could go wrong with the system.


Remote Displays

One thing that significantly reflects on the professionalism of an event is the presence of a remote display for providing riders with real-time information as they pass through the scoring area.

The All-Out software supports two different types of displays - one merely lets the rider know they've been scored, while the other provides a lot more information.

You can follow the link to the discussion on the Stop-light feature, or you can continue reading below, for a discussion on the full featured remote display. The stoplight system incorporates a buzzer in addition to the red/green lights.

You can activate / implement any feature in conjunction with any other feature. For example you could elect to use both the red-light system and the detailed system discussed below.

The All-Out software provides you with this ability, featuring the ability to do real-time scoring. When enabled, the remote display shows the riders number, his class, his current position, and the time this rider is behind the closest rider in his class. This functionality is configured through the race setup drop-down menu, and enabled by selecting the "remote display" option when entering the data entry mode.

Before being able to use the remote display, the user must first have configured the comms parameters expected by the system. These settings are saved each time the configuration is changed, so once you've configured it, you'll be able to directly go to data entry and if you've elected to use the remote display, it's brought online as you enter the data entry mode. If you have problems accessing the remote display, you can always go back to the Remote Display setup and either reconfigure it - or reset the settings back to the system defaults.

The All-Out software is configured to pass data to the M-1000 display developed by Vorne Industries (http://www.vorne.com), but if other systems are desired, simply contact the software developer (boumaj@alloutscoring.com) and we can modify the software to suit practically any remote display.

It's highly recommended that you ensure the dip switch settings on the remote display are configured to use the system defaults - (19,200 baud, 8 data bits, no parity, 1 stop bit, and no handshaking). Please refer to the documentation for the remote display for instructions on how to do permanently configure the Remote Display to be consistent with the defaults (also shown in the screen below.)

NOTE: Both the remote display and the RFID system make use of the computers comm ports, so if you're using a laptop for scoring the event, it's possible that you don't have 2 operable comm ports. In that case, you'll not be able to use both RFID and the remote display from a single laptop. The "fix" to this is to connect two computers together via network support. Please keep in mind that if you do this, it's important that the remote display be connected to the system serving as the master, and the RFID connected to the system serving as the client. The reason for this is that data is only forwarded to the remote system when serving as a client - not when acting as the master. As a result, the only way the system will receive the data is if it's receiving data (as the master) from the client (which is attached to the RFID device).

Shown below, are three representative displays generated by the All-Out software.

Since real time scoring isn't relevant in an Enduro event, this functionality is only available when the All-Out software is operating in the Hare Scramble mode.

As touched on above, the All-Out software was initially developed to support the M1000 LED display - made by Vorne, but the author is willing to work with promoters using licensed copies of the software, to adapt the software to any remote display they might have access to. Contrary to popular belief, it is not difficult to incorporate another display type, so if you have access to a display - contact the author (boumaj@berkutsystems.com) with the details of the system you're using.

It's important to take note of the impact of operating in a network environment when using the remote display. See the section on network support for more details on network operations.

When operating in a network environment, it's assumed you'll have one master, and any number of clients - with each client forwarding rider data back to the Master. In this case, it's also logical to assume that regardless of the policies you implement, you'll most likely have riders pass through the wrong scoring area.

The point of all this, is there's virtually no way to guarantee that riders will ALWAYS go through their designated scoring booth - and as a result, the data contained on any particular client will most likely not represent everyone in a particular class. On the other hand, the master database will always contain entries for all riders - regardless of which scoring area they pass through, and regardless which class they're registered in.

For that reason, anytime you elect to use network support, the system prevents computers configured as clients from being able to use the remote display. When using the computers configured for a master / client relationship, only the master has the ability to output the results to the remote display.

It makes no difference which scoring area a rider goes through - either way his standings will be posted to the remote display - assuming of course that the remote display is connected to the master.


Reports

The All-Out software is very flexible with regard to creating custom reports.

The system provides you with the ability to print (at race time), reports with the most common data elements - such as rider class, average speed, laptimes, AMA number, Series number, and a few other elements.

Following an event, there is often a need to print customized reports for other organizations such as the AMA, sponsors, or for magazines. In most cases, each of these require different data elements, in different order.

This is facilitated in the All-Out software through a detailed export process.

When race results are being calculated, the system automatically creates a tab delimited file containing a LOT of information - including:

rider name
Rider number
gender
birthday
address (2 lines)
city
state
country
zipcode
comments
AMA number
Series number
manufacturer
sponsors
all of the laptimes
a breakdown of the laptimes - how the rider was doing each lap
number of laps
finish time

There are other data elements, but at least you get the point - there's a lot of information in the exported file.

When creating the custom reports for these other sponsors, simply open the tab delimited file in a spreadsheet (i.e. Microsoft Word), instructing it to insert the data as a tab delimited file. Once the file is open inside Excel, simply remove the columns you dont need, rearrange the columns you do need, then forward the modified file to the recipient.

The system also gives users the ability to create the AMA reports following each event - and another report favored by the riders, a narrative report ready to forward to sponsors or magazines. The Narrative report is only available in the Hare Scramble mode.


RFID - Was Mine Read?

Two concerns expressed by most riders is what kind of sensitivity they can expect when using RFID for scoring an event, and how will they know the system has picked them up as they pass through the checkpoint. The All-Out software incorporates a mode whereby riders can confirm whether or not their transponder is detected. Click here for a discussion of this test mode. What follows below is a discussion of some factors / issues promoters might want to be aware of.

Range of a transponder

When using either the cylinder transponder or the mount on metal transponder, (click here for more information on transponders.) coupled with a good antenna, you can reasonably expect to see ranges between 4 and 6 feet - with the rider passing through the checkpoint at between 10 and 20 miles per hour. From the promoters perspective, it's best to put a sharp corner right at the scoring area which forces the riders to slow down to a readable speed.

The range of the transponder varies on several things such as the type of transponder, and the type of antenna being used. Contrary to popular belief, the amount of mud or debris covering the transponder has very little effect on what kind of range you can expect.

There is one other item which can affect the range of a transponder..... it's proximity to metal. As discussed in the section on RFID Basics, metal will modify the patter shape of a transponders signal, so it's best to either take precautions and mount the transponder on something other than metal - or use the "mount on metal" variety.

Proof that you've been "read"

So - how does the rider know that his RFID has been detected? The most common solution is to simply use a remote display to let the rider know that he's been "scanned". There's a hidden problem with doing so though......

The data from the RFID reader is actually fed into the All-Out software through a serial connection into an available comm port on the computer. The problem is that both the RFID reader and the remote display each require an available comm port. Most laptops don't have a second comm port - therefore you're limited to using the RFID reader on one laptop and connecting the remote display to the other laptop, and connecting the two laptops together via a network connection. Multiple comm ports are available through use of custom PCIMCIA cards installed in the host laptop.

Something the promoter needs to ensure is that the comm port parameters for both RFID system and the remote display are set up properly. The All-Out software allows you to set the comm port parameters to whatever works for your system, but for the sake of simplicity, it also provides you with the ability to set the comm ports for both the RFID system and the remote display back to their "default" settings.


RFID - Where to Mount the Transponder

RFID - Where to Mount It

Transponders used by the All-Out software are VERY reliable - but just as in anything else, there are things riders can do to maximimze the success at the scoring station.

Reliability in reading the RFID transponder is directly related to where the transponder is mounted. Experience has shown (and transponder manufacturers confirm) that the presence of metal is the largest single factor affecting the range of the transponder. If the transponder is mounted directly on metal - the range essentially goes to zero - while if you separate the transponder from metal with even a small padding, receiver range immediately jumps to roughly 5 feet.

Regardless where you mount the transponder, it's subject to abuse, and it's with that thought in mind that the All-Out software specifically selected the cylindrical transponder distributed by Texas Instruments. This is a very reliable transponder, with the best range possible in a passive transponder, never needing a replacement battery, able to work even when covered with mud, - clearly one of the most hardy, most reliable transponders available - and clearly having the best range.

It's important to point out that the cylindrical transponders are very directional - with the best read range in the line of the transponder - i.e. as if it were being used as a flashlight. As a result, the transponders must be mounted "cross-wise" in order to get the best range.

What follows are some recommendations:

a. Mounting it directly on the rider (specificially the chest protector) is clearly the best location. Tying it on with 4 tie-wraps makes a VERY secure mounting, and to date, we've never lost a single transponder mounted on a chest protector, fastened with 4 tie-wraps. Many riders additionally use a layer of duct tape - which only makes it even less succestible to loss. There's a section near the bottom of this link which addresses a method for attaching it to a rider who doesnt own a chest protector.

b. Mounting it on the front fender, adjacent to the number plate is the next best option. While it might appear the proximity of the metal of the front forks would affect the transponder, experience shows this can be a good place since the transponder isn't directly connected to metal. The advantage of this location is that the transponder is always oriented the same direction all the time.

c. Mounting it on the handlebar cross-bar CAN be a good location - but only if it's separated from the metal crossbar by the crossbar pad. Simply taping it to the padding gives GREAT range. CAUTION - if mounted to the handle bar pad, riders should be aware that it's possible for the padding to rotate, bringing the transponder in contact with the handlebar clamps. If that should happen, there is no guarantee the transponder will be detected.

d. Some riders prefer to simply toss the transponder in their camelback. This is an excellent option, with the only drawback being that it's possible for the orientation of the transponder to change inside the camelback. Remember that the transponder is very directional.

e. Another reasonable place is on the rear fender, at the seat / fender junction. The advantage of this location is there's a possibility of it being torn off in the event of an accident.

e. Another great place to mount the transponder is on the front number plate - or even behind it. The advantage of this location is that the transponder stays fixed - so the directional characteristics of the transponder aren't impacted.

Overall, the "best" location is on the chest protector, tied securely with 4 tie-wraps. This ensures the transponder isn't going to go anyplace if the rider gets thrown from the bike during the race.

OK...... what if a rider has no chest protector - and he / she still wants to have the transponder on their person? While it might seem unorthodox, the best method is to tape the transponder to the beltline in the front of the pants. The transponder can also be fixed to the kidney belt, or to the back of the beltline - but in all cases, the transponder must be horizontal on the rider.

Another practice that's been successful is to center the transponder in the middle of a piece of duct tape roughly 4 feet long, then fold the duct-tape so it essentially makes a "tail" on the transponder. Do this twice, thereby creating two tails, each roughly 2 feet long. Prior to the race, the rider simply drops the tails down the front of his pants, leaving the transponder at the waistline / beltline, and the tails will prevent the rider from losing the transponder during the event.


RFID Basics

The use of RFID (Radio Frequency Identification) is gaining increasing popularity for providing many professions with the ability to track people, packages, and equipment with minimal intervention by humans trying to keep track of where things / people are at. RFID offers the ability to track anything you can imagine - ranging from runners in a marathon, to customers at a gasoline station.

The All-Out software has been modified to take advantage of this technology, and in doing so, it provides promoters with a very reliable method for tracking riders as they pass a checkpoint. The by-product of this is that it's not only simple to manage, but it requires very little human intervention at the checkpoint.

With some exposure to RFID technology you're sure to agree that it is the best way to run your event. Now some particulars on how RFID works......

Components of the RFID system

There are four basic components required to implement RFID in your events. These consist of an antenna, a reader, the transponder itself, and the All-Out software. The RFID system is available in a variety of frequency ranges. The frequency range you select has a direct bearing on the reliability of the system. For example, low frequency systems are the most reliable, being able to detect and process transponders even when covered with mud or covered by plastic side panels. Higher frequency systems have longer ranges - up to 11 feet have been reported, but they're MUCH more susceptible to not being able to read the transponder if it is even partially covered. It's not possible to hide a transponder behind a side panel with a high frequency system. The All-Out system is designed using a low frequency system. Now..... for a discussion of the components required to host a race using RFID.

Antenna - There are several types of antennas available, and as with anything else, they each have their advantages and drawbacks. Surprisingly enough, the price for each of the possible antenna's doesn't change much, so it's the opinion of the software developer that you purchase the best antenna you can find. The price will range from approx 160 to 220 - with the less expensive antenna being a "stick" antenna, and the more expensive version being one that has an extended range of approximately 6 feet.

NOTE: Since the All-Out software assumes you'll be using programmable transponders (see below), it's recommended that you actually purchase two antennas - one to read the transponders at the checkpoint, and the other to write the rider numbers onto the transponders during rider registration. If you elect to go with two antennas, it's recommended that you use the stick antenna at registration - the reason is that with it's limited range, you're not likely to affect the contents of other transponders when you're writing the rider number on a transponder.

Readers - The readers come in a variety of "styles", and unlike other computer related options, you'll find that many of them will arrive looking like unfinished products. This is because in most applications, the reader is generally housed in some other enclosure, needing only a connection between itself and the antenna to be operational. For that reason, many models arrive looking almost as if they were a component of a science project. Readers also fulfill the second function of being a writer, so if you plan ahead, you'll be able to use a single reader for both the write and read functions. One of the drawbacks with some models is that they also require that you purchase a power supply. Prices vary with the model selected, and as is the case with the antenna, it's recommended that you select a reader that comes encased in it's own enclosure, with it's own power supply. Since it's also expected that you'll need a reader at the track and one at registration, you might consider purchasing two readers - and two antennas.

Transponders - RFID utilizes a system whereby a "tag" or "transponder" is subjected to a radio frequency emitted by an antenna. When in the presence of this radio field, the construction of the transponder causes it to emit a very small signal which is then detected by an antenna, which passes this return signal back to the reader, which in turn interprets the received signal, processes it, and passes it to the computer.

Types of transponders.

a. Read Only .....These are transponders with the data permanently embedded in them at the time of construction - known as "read-only". It is not possible to change the contents of the transponder. For all practical purposes, these transponders have an indefinite life, and can be used for years and years. The All-Out software is not configured to use this type of transponder.

b. Programmable transponders..... these provide the user with the ability to write data to the transponder - which is then emitted by the transponder when it's subjected to the radio field. This second type of transponder is known as a programmable transponder. As in the case with the read-only transponder, these have a very long life - indistinguishable from the read-only type. The All-Out software is designed to ONLY use programmable transponders.

The reason the software was designed around programmable transponders is that it was considered important that the rider number actually mean something when the results are displayed. A transponder contains 8 characters - and those characters include not only the letters a-z and numbers 1-0, but also all of the special characters such as @#$%^&*( and all other possible combinations. It made more sense to control the content of the transponder rather than have strange looking rider numbers show up in the standings.

c. Multi-page ..... This is a type of transponder which can contain large amounts of information. Since these are usually more expensive, and the only thing the software needs is the riders number, these are not used with the All-Out system.

d. Mount-on-metal..... When a basic transponder emits it's tiny signal, in general their signal is affected by the close proximity of large metal objects. The presence of metal has a tendency to distort the pattern emitted by the transponder - thereby affecting the range of the transponder. The All-Out software supports either the mount on metal variety or the "stand-alone" variety. The only difference is that promoters should consider that close proximity to metal affects how far the read will be able to detect the transponder. Something else to consider though, is that the mount on metal variety are designed to take advantage of the presence of metal, so its possible that you could see greater ranges with the mount on metal variety.

Active Transponders Vs. Passive Transponders

A generic transponder is completely passive. This means it's the mere presence of the radio field which causes it to emit the RF signal back to the reader. There are transponders though, which contain a small battery. The ONLY function of the battery is to amplify that small signal to something a little bit larger - thereby increasing the range the reader is able to detect the transponder. The All-Out system use passive transponders. Based on the range we're getting with the passive systems, there's no reason to inject a source of possible unreliability in the event the battery in a transponder might fail during a race. It's worth noting that the only time the battery is being used is when the transponder is in the RF field of a reader, so in general, a battery will last for years in an active transponder.

Durability

In general, transponders are not affected by mud or duct tape, and therefore can be placed virtually anywhere on the motorcycle. Since the antenna will be located on one side of the checkpoint (usually the left side) it's clearly advantageous to mount the transponder near the front of the motorcycle, on the side facing the antenna.

Transponder Size

Shown below is a depiction of a couple of transponders available. The three shown at the top left, top center, and top right are not used by the All-Out system. The two shown on the bottom left and the bottom right are the most preferred (actually the only ones which should be used). The cylindrical transponder shown at the bottom right is the one most recommended - primarily because of it's significant range advantage over the "mount on metal" version shown at the bottom left.


Rider Database

The rider database actually consists of one database with MANY tables inside that single database. Inside that single database you'll find a table which is intended to track all of the information about a contestant, and another contains only those individuals registered for a specific event.

In the simple database, the All-Out software keeps track of only three items - the contestants number, the contestants name, and the most recent class the rider has rode in.

When a user exits from the registration process, the All-Out software checks the master database, checking to see if a record with that name, that rider number, and that class exists. If a match is not found, this is an indication the person has never been entered in the master database, so the record is added.

A series manager can access the master database at any time, filling in any missing information. This allows a series promoter to enter information such as AMA number, Series number, address, sex, birthday, email address - as well as other pertinent information.

The main database does not restrict a rider from being listed multiple times. It's possible for the same person to be entered any number of times, so it's incumbent on the user to periodically check the database to look for duplicate entries.

Database maintenance is very simple...... simply highlight the record - indexed either by rider number or rider name. Once a rider has been "clicked", the fields are populated with all data associated with that record. You can modify the contents by clicking "modify", then accept any changes by clicking "accept".

You can also delete any record - or add new records.

Something worth knowing - (for advanced users ). The database used by the system during the registration process is a simple text file. It can be edited with notepad, and if the user feels the registration database is so out of date that it's relevance is marginal, he can simply delete the file named "system file-rider database.txt". The All-Out software will begin rebuilding the database during subsequent rider registrations. The mere act of calling up the rider registration function will begin rebuilding the rider database from the list of riders currently registered.

Since the same information is relevant for riders of both Hare Scramble and Enduro events, the same databases (main database and registration) databases are used for both types of events.


Rider Number Vs. Rider Class

A concept embraced by several Series is that all riders within a class are required to have a rider number which is consistent with the class they ride in. For example, all 200A riders may be required to use rider numbers between 100 and 200.

While the software does not require this approach to assigning rider numbers, it DOES support the concept. It does so in two stages......

1. The All-Out software provides a method for the user to identify the numbering scheme, by selecting the class, then identifying the rider numbers applicable to that class. See the screen shot below to better understand how this association is made.

2. During rider registration prior to race time, the operator has the option of using the predefined numbering scheme - if the numbering scheme has been previously entered. When the user registers a rider, the system checks to see if that rider number is consistent with the class policies, and if not, the operator is presented with a warning to alert the operator that this particular riders number is not consistent with what's expected with the riders class. Please see the section on rider registration to see how this is implemented.

NOTE: The concept of associating rider numbers with rider classes is only applicable to Hare Scramble events. Since rider numbers in Enduro events are representative of the riders starting row, it's inappropriate to attempt to associate rider class with their starting position.

At that point the operator can elect to accept the rider anyway, or to return and modify the riders class or rider number so it's consistent with the numbering scheme.

Shown below is a representative screen shot, showing how rider numbers are associated with the rider classes.


Rider Registration

Note - Rider registration can occur from two places in the software

a. beneath the Series Mgmt dropdown menu - in the "Manage the Rider database....." option

b. beneath the Race Setup dropdown menu - in the "Rider Registration" option.

The basics of rider registration are very simple:

Hare Scramble events:
a. enter the riders number
b. enter the riders name
c. enter the riders class
d. enter the wave the rider starts in (if applicable)

Note: Please see the section discussing starting classes in waves for more information where its desirable to split up a class on the starting line into more than one "wave". This is generally not applicable to Enduro events - only Hare Scramble events.

NOTE: When starting Hare Scramble events, it's normally assumed that all riders in a particular class start together. The All-Out software has incorporated the concept of "waves" - whereby individual classes can be started at different times.

Enduro events:
Registration is the same as for Hare Scramble events, with the exception that the riders number reflects which row he's starting on.

Although disabled in the standard version, the All-Out software also provides another feature for those organizations where the riders row is not associated with his starting row. For example, the software also supports entries where rider number 392 starts in position 11B. If your organization would prefer to have this feature enabled, please contact the author.

Please see the section on Database Maintenance for more information on how the database is maintained.

When registering riders, the user has three options for how to make use of the database of existing riders.......

a. The default setting is to not use the rider database. In that case, the user is expected to enter the riders number, the riders name, and highlight the riders class. In the case of an Enduro event, the user is expected to also enter the starting row.

b. The user can elect to have assistance via the riders name. In this case, as you type the riders name, the section of the database that most closely resembles the riders name becomes highlighted. When you've reached the rider you are referring to, pressing <ctrl> <enter> will populate the rest of the fields with the available data for that rider - including his full name, class, and rider number.

c. The user can elect to have assistance via the riders number. In this case, as you enter the riders number, the database is searched for the rider with an existing number closest to the number you're entering. As soon as there is an exact match, the system will add that riders name in the "riders name" field. Note that although the riders name is entered, the user still needs to identify the riders class is properly entered.

For those promoters not using barcodes, but rather using the riders current number plate for their rider number, it's highly likely that duplicate rider numbers will show up. The All-Out software checks for the presence of any duplicate rider numbers during the registration process and will alert the user if this happens.

It should be noted that it is normally not a problem if duplicate rider numbers exist - as long as the riders are not in the same event. For example you will get the alert shown above if someone rides in a motorcycle event using (for example) rider number 205, then later that day rides in a quad event using the same number.

In this case it's perfectly acceptable to have a duplicate rider in the registration database, but keep in mind that the rider database is updated with the latest rider name and class that's used that rider number. Please see the section on the Rider Database to see the impact on the database of this happening.

There is another side effect of having a rider participate in multiple events with the same rider number in both events. The system will detect this when calculating the overall results, and could erroneously indicate the wrong rider when posting the results. To ensure the right rider name / rider class is reflected, the software prompts the user to select which of the riders to represent for that particular event. See the section on Duplicate Rider Numbers for more detailed information on this issue.

Note in the screen shown near the bottom of this topic, that when operating in the Hare Scramble mode, the operator has the option of using previously defined policies where rider numbers are associated with specific classes. During rider registration (if the option is selected), if the operator attempts to register a rider with a rider number which is inconsistent with the class he is being registered in, the operator is presented with a warning screen (shown immediately below) alerting him that he's attempting to register a rider with a number which is inconsistent with the current policies.

If the operator elects to NOT modify the information for that rider, the entry is added to the list of registered riders - independent of what the policies are regarding rider number and their associated class. This will have no effect on any aspect of the scoring of that rider. The class associations are ONLY used as a guide during rider registration, and are not used during the scoring process.

The rider registration section provides the user with the ability to do a "quick-save". This enables the user to save the current registration data to disk - eliminating any lost data in the event the computer would fail in the registration process. See the section on quick saves for more information on this process.

The All-Out software also provides users with the ability to print barcodes directly from the registration screen (assuming your barcode printer has already been configured to serve as the default printer. CClick here for further details on generating barcodes.

The All-Out software also allows users to write rider numbers directly to an RFID transponder - again assuming the RFID setup has been completed. Click here for more details on using RFID with the All-Out system.

Shown below is a representative registration screen for a Hare Scramble event, and further below is a representative registration screen for an Enduro event. The principle difference between them is that the Enduro version also includes the row number the rider starts on.

Representative display of a Hare Scramble registration

Representative display of an Enduro rider registration


Rider Registration (Corrections)

There will be times when either a riders name is spelled wrong, the rider number is wrong, the riders class is incorrect or - in the case of an Enduro event, that the riders starting row is incorrectly entered.

In that case, simply highlight the entry for that rider, then click "make corrections". This will populate each of the data fields with the information relevant to the selected rider.

At that point, make any necessary changes, then click "Update Rider".

It's really that simple.


Riders With Extra Laps

At the end of every race, it's expected that riders will be directed off the course. While riders will normally exit the track, sometimes you'll find a rider who attempts to continue down the track again, hoping to make another lap - thereby getting an unfair advantage over the rest of the competitors by having his results reflect an extra lap.

While not a "regular" occurrence, it happens often enough that the All-Out software includes the ability for the promoter to enter the time the race ended, and then have the system report any riders who have two entries after that time.

You would normally expect EVERY rider to show up as having completed a lap after the race ended - since they need to complete the lap they're on. However, if you ever find a rider who has two (or more) laps after the designated finish time, the only way that rider could have two entries, is if he continued on after reaching the finish line, making another lap.

In the All-Out software. the promoter has the ability to designate the finish time, then have the system search for any rider who might have continued on, attempting to make another lap. This functionality is accessed beneath the "Race Results", "Look for possible cheaters" drop-down window.

If you notice, the screen shown below serves to not only look for potential cheaters, but is also the means whereby a promoter looks for the lap times of each of the riders. Note also, that the laptimes for any rider can be accessed by double-clicking on their name from any "results" window.


Scenario #1 For Merging Files

Description:
The system is being used in the Hare Scramble mode, where two (or more) attached scanners were being used at different scoring stations. It's important that you understand that data from an unattached scanner can not be merged with data from an attached scanner.

For purposes of clarity, an attached scanner is one that's directly connected to the scoring station, and an unattached scanner is one used as a stand-alone scoring device - one in which the race data is subsequently downloaded into the scoring system.

Process:

1. Decide which computer is the 'master', and which is the "other" data entry computer

2. On the "other" computer, go to "race setup", then "EXPORT" the race data from that computer onto a memory stick.

3. If you have more than one "other" computer, you can export the data for each of these computers.

Although not necessary, you might find it convenient to rename the files from these other computers to something more descriptive - such as identifying which computer it came from.

4. On the master computer, select the "Data Entry" drop down menu, then select "merge data files".

5. Successively select the files you want to merge. As each file selected, specify the amount of time the file must be shifted by. See the section on merging data files for more information on how to determine how much to shift the time in a file.

Note - The system will allow you to select any database file with the exception of the actual 'master' database.

6. Once all of the files have been identified, click on "Merge Files" to begin the process. While the files are being merged, the cursor is changed to an hour-glass, and you'll see activity in the pane on the right. The merging process is complete once the cursor has been restored to the default pointer.

Note - during the merge process, all of the data from one computer is first shifted in time (if applicable), then merged into the 'master' database. The system also scans the database for any prior occurrence of that rider number at that specific time, and skips the import if that data already exists. For that reason, it does not hurt anything to import the same file multiple times (provided that you've not changed how much the data is shifted in time).

7. At this point, you can proceed with calculating the results.


Scenario #2 For Merging Files

Description:
The system is being used in the Enduro Mode, with multiple data files - each manually entered by operators collecting data at the final checkpoint. It's significant to point out that when merging ENDURO files, there are no time adjustments necessary. The files are simply merged together by essentially appending each candidate file to the others, forming a new "merged file" in the process.

NOTE - This should NEVER be the case since any reasonably competent user would network the computers together, with all data entry personnel entering data using a common database.

I'll explain the process in the event it would become necessary to use this feature

Process:

1. On the "other" workstations, click on "data entry", then "distributed data entry", then "export data from the checkpoint".

2. Select a location to save the checkpoint data

3. take the exported checkpoint data to the master computer, then click on "data entry", then "distributed data entry", then "import data from the checkpoints".

4. Select the file you wish to import, then click the button to merge the data.

Note - when merging the data from these export files, the system first checks each data point, ensuring no data exists for that rider number, at that checkpoint. If previous data is detected for a specific checkpoint being imported, the prior data is removed, then over-written with the new data.

The impact of this is that there is no impact to the system if you import the same data multiple times.

5. When the merge process is complete, you can use the resultant file to calculate the standings.


Scenarios For Merging Files

Scenario #1:
The system is being used in the Hare Scramble mode, and two (or more) unattached scanners, or two (or more) attached scanners are being used.

Scenario #2:
The system is being used in the Enduro Mode, with 6 checkpoint files (all manually entered at the checkpoints) being merged into a single file.

Scenario #3:
The system is being used in the Enduro mode, merging 4 files from 4 scanners, (one scanner from each of 4 checkpoints), into a single file.

This will be explained in the discussions for Scenario 2 and Scenario 3, but the All-Out software currently does not support merging data files in the Enduro mode. This section is being retained in the help system only in anticipation of restoring that capability at some time in the future. In the meanwhile, if a promoter has more than one computer going at the rider registration, the only thing necessary is to use notepad to concatenate the files used during rider registration. This is not possible in the Hare Scramble mode because the times are actually shifted to account for differences in computer clocks. The reason notepad can be used in the Enduro mode is because no time adjustments are made in the Enduro scoring.


Sending Email

Using Email

A unique feature of the All-Out software is it's ability to send email to every record in the database with an email address. This feature is accessed from the "Series Mgmt" dropdown menu. There are a couple of things to consider when electing to use this feature:

a. Using the email feature requires that you first have configured the email function to identify the email address of the originator. All email must reflet a "reply-to" address. This is done beneath the <file>, <System Configuration>, <Configure Email Support> menu structure.

b. The feature also requires that you enter the parameter for the SMTP server you'll be using. This is the same server you normally use in your email client. It represents the mail server you'll use when injecting the mail into the internet.

c. Depending on the size of your database, using this feature could result a significant amount of email being injected into the internet. Please note that some Internet Service Providers (ISP's) keep track of the amount of email originating from their customers, and when a large amount of email is detected, it could trigger a flag at the ISP - alerting them that you might be injecting SPAM into the internet. If that's the case, there's a possibility you might receive a warning that you're violating the policies of your ISP. If that's the case, it may be resolved by simply contacting the ISP - or it might require that you use a different SMTP server.

When sending an email, users may elect to reply back to the originator (you) and request that you no longer include them when sending email to everyone in the database. This can be accomplished either of two ways:

a. you can go into the database and simply remove their email address. This isn't recommended since it's possible you might want to (later) include them again - and in this case, the address is no longer known.

b. The other way is to modify the record for that person, removing the check mark in the box which indicates that individual is to be included in any mass emailings. Only those individuals with a check in the box are included. Please see the section on Database Maintenance for a more detailed discussion of the database supporting the All-Out software.

In the All-Out software, you have the ability to pause the process at any time. If you pause the process you'll be able to resume the process at any time.

If you halt the process, then exit from the function, the system detects any unfinished process when you re-enter the function. At that point you can resume sending the email - or you can cancess the entire process and defin a new email to get sent to all members.

Note that the only records you'll be presented when you enter the function are those records with email addresses.

A very convenient feature of the email function is that users are able to attach a single file to the outbound email. When forwarding an attachment, users should be aware that the email systems of many people prevents them from accessing attachments. As a result, it's probably best to avoid using attachments. Sending attachments also increases the time necessary to complete the process.

Before using the email system you will need to configure the system to identify some basics about using email. The configuration is accessed beneath the "File" dropdown menu - and is shown below

Note that some email systems require that you authenticate on the server you're passing your email through (the SMTP server). The All-Out software supports SMTP authentication. Not all Internet Service Providers (ISP's) will allow you to bounce a LOT of mail through their servers. If you find yourself in that category, contact the developer and we can create an account on the Berkut Systems servers which will support you being able to send email to all of your riders.

Once the system has been configured, you're now ready to create your email. The

Once you've created your note, the system will sequentially send an email to each person - indvidually, thereby avoiding the common problem where everyone's privacy is invaded by a public mailing. You have the ability to interrupt the mailing at any point, and resume it at some later time. All parameters of the email are saved in the database, along with a listing of those who've not yet been sent that email.


Series Management

There are essentially two aspects of racing - managing the series, and managing the actual competition. Both of these can consume great amounts of time, and the All-Out software has been specifically designed to ease the burden in both areas.

Although there are many aspects of managing a series, the All-Out software provides promoters / series managers with essentialy three valuable tools to ease the burden of running a series -

a. Tracking the riders, their rider numbers, their series or AMA number, their email address, birthday, their address, the class they ride in - and a host of other things. This is discussed further by clicking the following link - Database Maintenance

b. Many times it would be an advantage for a series or a promter to send an email to everyone in their database. Normally this is cumbersome since it requires a system of tracking the series membership, and requires a lot of work on the part of the person sending the email. The All-Out software provides the ability to send email to everyone with a valid address in the main database. You can learn more about the way the All-Out software handles email to all members by clicking the following link - Sending Email

c. A MAJOR job in managing a series is in maintaining the series standings. This is where the All-Out software really shines ..... it requires no more than a couple of intuitive clicks of a mouse - and the entire series standings are available for posting at an event or posting on the internet. It no longer requires a points coordinator to sit for hours sorting out the latest race results and adding them to some master spreadsheet. With the All-Out software it's done in a matter of seconds. You can learn more about this feature by clicking the following link - Class Standings


Setting The Race Starting Time

Before proceeding, please note that it is NOT important that you set the race start time before, or during an event. Neither is it important that the computers clock time be synchronized with the watch of the person starting the event.

This race start time is only relevant when determining the lap times for individual riders when calculating the final results. Please note that this function is only relevant to Hare Scramble events.

The method used for scoring Enduro events renders it irrelevant what time the computer's clock is set to. All of the data used in scoring Enduro events is contained on the cards carried by the riders, and independent of what the computers time says. It is not necessary for the person doing the scoring to even know what the Key Time is for the event. It's simply not used anywhere in the scoring system.

In the Hare Scramble mode, lap times are calculated by the difference in times when a particular rider arrives at the checkpoint. Unless the starting time for the event is known, it is impossible to calculate the lap time for the first lap. The starting time is entered from the screen where you calculate results.

The system expects to see data in the format of HH:MM:SS AM and if you make a mistake, the system will not allow you to continue without this information.

Please note that you must include the time the event started if you want the system to include either the lap times, or the riders average speed in the output.


Software Piracy

I have spent a LOT of time on this project, continually striving to make it the best system available. There have been literally thousands of hours spent at the keyboard in the wee hours of the mornings, implementing new features requested by the users, followed by even more hours testing those changes.

I sincerely appreciates those individuals and organizations who've elected to purchase the software, enabling me to continue supporting the off-road community, receiving periodic rewards for the countless hours invested in bringing a great project to the racing community.

In the past I have tried to avoid the inconvenience to my customers - with essentially no lockdowns on the software. Unfortunately I've learned there are some unscrupulous individuals out there who have passed around my software to other clubs, with the result that I've now got several groups using the software who have not paid for it - a violation of copyright laws.

As a result, the software is now readily available to anyone, but can only be used in the evaluation mode until it has been 'registered'.

Registration is simple .... beneath the "help" dropdown menu is an option to "Enter key for software license". When that option is called, the user is presented with a unique key for that specific computer. The intent is that you will send me that information, and I will respond with a similar key which will unlock all features of the system.

Please note that the registration information is specific to a single computer, so if you are installing the software on multiple computers, you will also need to register each of those computers with the developer.

I have also 'hard coded' the name of the person / organization owning the license directly into the software. The intent was to increase the risk to anyone electing to use the software without paying for it. You can view the owner of the license beneath the "Help" dropdown menu. As you see in the screen shot below, the system was licensed to the Virginia Championship Hare Scramble Series (VCHSS). Every authorized user of the software will have their name in this spot in the software.

Clicking the link will provide users with more information regarding the license, along with an invitation to contact the developer if the system is being used not in accordance with the license agreement.


Starting Classes in Waves

As the number of riders participating in an event increases, it becomes more and more difficult to have an entire class on the starting line - at the same time. While this is not an issue at Enduro events, Hare Scramble events often have more riders in some of the classes than can realistically be started at one time. The Race Time System accommodates this by allowing promoters to start individual classes in "waves".

When classes are started in waves, the All-Out software corrects each riders time by taking into account not only which class he started in, but which wave - within his class. It does this by tracking not only when the rider started (as a function of his class), but also which wave he was in. For example consider four classes in a race, (250A, 250B, 250C, and 250D). In our example, one of the classes is too large to start at one time - so the promoter elects to start that class in waves. The basic concept in the example below is that classes start 1 minute apart, and the waves start 10 seconds apart. In the example below, the starting order might be of the following nature:

CLASS Starting Delay (seconds)
250A 0 second delay
250B (row 1) 60 second delay (from the 250A riders)
250B (row 2) (waves are 10 seconds apart)
250B (row 3)
250C 120 second delay (from the 250A)
250D 180 second delay (from the 250A)

In this case, the starting order would reflect 60 seconds between CLASSES - then internally to a class, the WAVES would be 10 seconds apart.

It is important to understand that the section of the software where the starting order for the classes is entered, ONLY refers to the time from class to class, and NOT how the waves are started internal to each class. So, a "standard" concept would be to start the classes 1 minute apart, but inside each class, start each wave at 10 second intervals. The time referenced between classes is the time delay when the lead wave in any class takes off - referenced as a delay from when that particular class departed the starting line behind the very first class to leave.

When the results are calculated, the time corrections take into account not only which class the rider was in, but (if different waves were used), which wave the rider started in.

Note - The All-Out software assumes all riders will be in wave number 1 when registering riders from the "database management" option beneath the "Series Mgmt" dropdown menu. This restriction was based solely on not having a convenient method to include the "wave" concept without cluttering the screen.


Stop-light

Riders need to know when they've been scored - and it's even more important when using transponders for detecting riders. The All-Out software implements two methods - a remote display, and a red-light / green-light. You can follow the link here to learn more about the Remote Display.

IMPORTANT - IMPORTANT - IMPORTANT .....Throughout the All-Out software, I've intentionally used connections which absolutely preclude any possibility of connecting the components together incorrectly. Even a novice can complete the system setup in a matter of minutes by simply looking for the only places where the connections will fit together. This concept is not true with the stoplight system since it's possible to connect the power connections for the stoplight up incorrectly - and the results will be disastrous. It's absolutely CRITICAL that polarity must be observed when making this connection. If polarity is reversed, you are GUARANTEED to burn up the relays. The system uses solid state relays, and I've learned from personal experience that if you reverse these leads, the stoplight will be rendered useless, damaging the relays in the "box", and you'll possibly also damage the power supply you're connecting to.

Unlike other peripherals associated with the All-Out software (remote display, checkpoint RFID system, and registration checkpoint system), there are no configuration settings associated with the stoplight. It does make use of printer port number 1 (LTP1) though, so if your system doesn't have a printer port, you may be forced to use an adapter to use this feature. The system has not been tested with aftermarket adapters such as a USB-to-parallel adapter, but I see no reason why it wouldn't work.

The stoplight system has two connections -

a. it requires an input from the printer port on the computer to determine whether to activate the red light or the green light. This connection is discussed in more detail below.

b. it requires 12 volts to drive the sign and the relays in the attached box. It cant be understated that it's important to observe the polarity requirements for the connection. You're guaranteed to damage the relays - and possibly your power supply if you get this wrong.

The stoplight feature is available in either of two modes - the data input mode, and the checkpoint demo mode (hare scramble only). When activated, the system activates a red light which is activated anytime a rider has not been detected. Once a rider has been detected, the red light goes out, and a green light is activated for 1/3 of a second. The length of time the green light is displayed was considered an optimum length of time, long enough to ensure the riders are aware they've been detected, yet short enough that a subsequent rider passing through the checkpoint will arrive with a red light showing.

The redlight also incorporates a high pitched buzzer, normally installed in the face of the yellow light. This buzzer can become annoying in the checkpoint area, so the system includes use of an on/off switch which can be used to disable the buzzer. When enabled, the buzzer is activated in parallel with the green light. The buzzer goes off anytime the green light is on.

As mentioned above, users enable the red-light feature by putting a check in the box in either the data entry mode or the checkpoint demo mode. Once enabled, each of these modes have an indication on the computer screen when the light is green or red. Example screens are shown below. Note the status indication in each image.

Demo Mode

Data Entry (Non-demo mode)

Shown below are screen showing where the users activate the stoplight feature.

Data Entry (non-demo mode)

Demo Mode

Details ...... When the stop-light feature activated, the software controls pins 2 and 3 of the printer port, using pin 2 for the green light, pin 3 for the red light, and pin 25 as a common ground. Upon entering either the checkpoint demo mode or the data entry mode, the software drives pin 3 high, activating a relay which turns on the red light.

When a rider is detected by the system, the software drops the voltage on pin 3 (which de-energizes the red light), and raises the voltage on pin 2 - which energizes the relay which turns on the green light.

An internal timer (inside the software) holds the voltage high on pin 2, keeping the green light bright for 300 milliseconds, after which the software drops the voltage on pin 2, and restores the voltage on pin 3 - with the effect that the green light is turned off and the red light turned back on.

Users are able to develop any other signaling devices as they see fit, using the details provided here - but remember that the printer port has a limited ability to provide any current load, so adding other signaling devices should be done with care to avoid burning out the motherboard on the computer.

You can click on Electrical Connections for another view / discussion of the electronic connectivity used by components of the All-Out system.

Users have the ability to configure the duration the stoplight stays green from beneath the <file> dropdown menu. Please see the section on Horn / Buzzer duration for a description of how this is accomplished.


System Accuracy

In the past, the All-Out software supported two degrees of system accuracy - but this is primarily a feature of the Hare Scramble mode - and not implemented (since it's not necessary) in the Enduro mode.

In Enduro racing, riders receive points based on the minutes (and in some checkpoints - the seconds) that they arrive at a checkpoint. There is no provision to break the seconds down into tenths or hundredths of seconds.

On the other hand, in Hare Scramble racing, it can be argued (especially in a network environment) that a promoter might need more accuracy than "to the second". In the heat of a race, a second can seem like a very long time, and it can be as much as several bike lengths.

The thought process of some promoters is that if two riders are axle to axle as they come out of the woods towards that final checkpoint, then it's "close enough" to call it a tie if their final result falls within the same second. This can be even more "true" if there is more than one scoring station and the riders both enter the scoring station at the same time and one person on a scanner is faster at scoring than the other - resulting in one person winning the race as a result of the ability of the scanners rather than the ability of the rider.

Other promoters see accuracy in scoring as just one more facet of a good race, and desire a system with the accuracy of other professional events. Anytime you have a fast paced sport, scoring only "to the second" doesn't adequately portray the actual finishing positions of the contestants and feel it's appropriate to have the system differentiate closer than just "to the second".

In previous versions, the All-Out software supported both concepts - either "to the second", or to the "hundredth of a second". The operator (in the past) had the opportunity to select which policy he wants to implement. Please note that regardless which option was selected when calculating the results, the system always saved rider data to the hundredth of a second, but it's up to the user if they want to implement this finer "granularity" or not.

Since every promoter has been calculating the results using the option of "hundredths of a second", the option to score to the second has been abandoned. In reality the capability to score "to the second" is still present, but the feature is hidden, essentially removing that capability.

See the section on calculating race results for additional details on the selections available when calculating race results.


System Performance

Enduro Mode: During the development of the All-Out software, the author developed a system which would generate a sample group of riders. This simulated rider database consisted of 700 riders, in 18 classes, competing in a race consisting of 10 checkpoints - of which 4 of those checkpoints were also "emergency checkpoints". The database generator randomly had these simulated riders complete various numbers of checkpoints, with a 90% probability of completing all 10. At each checkpoint the "database generator" randomly assigned checkpoint times centered around the "perfect" time for that riders row number - plus or minus 18 minutes. This ensured that every feature of the rules implemented by the All-Out software would be exercised - including the "rule" that arriving at a checkpoint more than 15 minutes early would result in disqualification from that point on.

Using a 400Mhz computer to score this field of 700 riders passing through 10 checkpoints, the system was able to complete all calculations in 15 seconds. Better (or worse) performance can be expected when using a faster (or slower) computer.

Hare Scramble Mode: As in the case of the Enduro mode, a "database generator" was used for the Hare Scramble mode as well. The database used for testing the Hare Scramble mode consisted of 700 riders, in 18 different classes, completing a random number of laps, with a maximum of 40 laps. The simulated race implemented a 25 minute lap time with individual lap times randomly centered around the 25 minute lap time, but offset either way by plus or minus 14 minutes. This was done to insert as much "randomness" as possible in the race data. The software was able to complete all calculations for this field of Hare Scramble riders in 12 seconds. Again, you could expect results either faster or slower, depending on the speed of the computer you are using.

Experience has shown that the system function that could result in the longest calculations is when calculating the laptimes for all riders. Even when asking the system to calculate the lap times for the test database - running on a 90 Mhz laptop using Windows 95, with only 12 Meg of memory - the All-Out software is still able to perform at an acceptable speed, easily completing all calculations in 2 minutes or less.

The major detractor to system performance was found when running the All-Out software on a 75 Mhz laptop, running Windows 95, also loaded with a virus protection software. In that case it wasn't just the All-Out software that was slowed, it was unbearably slow even calling up simple applications like Notepad.

There is only one element of the software where speed might become critical. and that's when manually scoring a Hare Scramble event with the computer located trackside. The reason this is being mentioned is that the system recalculates the riders position every time a rider comes through the checkpoint, and if the software were to be installed on something as ancient as a 33 Mhz or 64 Mhz system, and at the same time running a virus protection software, coupled with a large field of racers, it's conceivable (although never observed) that the calculations might not be complete by the time the next rider arrived at the checkpoint.

This same problem can be encountered when having an inexperienced person using a scanner to record riders. If the user triggers a scanner VERY rapidly, (coupled with using a slow computer) it's possible that the system might attempt to compute the results multiple times for this single rider. The fix for this is to set a delay in the triggering mechanism for the scanner - thereby eliminating the ability to rapid-fire trigger the scanner. It's not expected that you'll ever see this unless running the software on one of the first generation computers (i.e. 64Mhz system - or slower).

The bottom line is that in all but the very rarest of cases, the All-Out software will run at adequate speed on anything you can load the software on.


Team Results

The system gives you the ability to incorporate Team Racing - with the team composition described in the section titled Team Racing.

Once the race has been run, the team results are calculated from a selection beneath the "Race Results" dropdown menu. The process is exactly the same for either the Hare Scramble or the Enduro modes.

It's important to point out that in order to calculate the team results, you MUST have done the following

1. you must have already calculated the OVERALL results for the event

2. you must have elected the option to save the data to the disk

3. you must have elected the option to view the results using Microsoft Excel. Note - this is required even if you don't have Excel installed on your computer.

Shown below is the screen shot showing where the team results are calculated.

The process is that you can select which teams to include in the scoring. You would first select the teams you wish to include - done by holding down the "CTRL" key, then individually clicking those teams. You can include a range of teams by clicking one team, then holding down the shift key then clicking another team. Using this method, all teams between the two you have selected will be included.

There's something worth mentioning regarding the team scoring - specifically, how the software will support the various concepts of team racing.... the scoring is done differently between the Hare Scramble mode and the Enduro mode

Hare Scramble mode

It's up to the promoter on how he wants to run a team event. There are several policies he can implement - and the software will support all of them. Some of those policies include ......

Policy 1 - there can be only one team rider on the course at any one time.

Policy 2 - all team members are on the course at the same time, all turning laps

Policy 3 - all members of a team must be in the same class - i.e. you might have a "Green - A" team, and a "Green - B" team

Policy 4 - A team must consist of riders from the "A" class, the "B" class, and the "C" class.

The point here is that there are as many ways to define a "Team", and as many ways to run the team event as there are promoters running those team events.

The All-Out software supports all of these concepts - primarily because the method of calculating the team results is very simple. You simply select the teams you're interested in, and then let the system do the rest. In reality, what happens is that the system keeps track of the total number of laps for each team member, and the total amount of time each team member has put in on the course. The results are then arranged in order of the teams with the most number of laps in the least amount of time.

So - if your policy is that you'll have a group of "A" teams, and a group of "B" teams, and a group of "C" teams, my recommendation is that you simply the process of selecting which teams to include by preceding each team name with the Class. For example you might identify teams as

A-Green A-Blue A-Yellow
B-Green B-Blue B-Yellow
C-Green C-Blue C-Yellow

One of the powerful / convenient features of the way the system has implemented the team concepts is that in addition to tracking the team standings, you still retain the ability to track the performance of the individual team members since it's the aggregate performance of the individual members that comprise the team results. There is no need to use a single rider number for all team members. Each member can retain his "regular" riding number.

Enduro mode

All of the concepts described above are the same for team events in the Enduro mode - with one exception. Rather than count laps and the time on a course, in the enduro mode, the team results is calculated by adding the sum of the both the standard and emergency points, then the results are sorted by the total number of standard points, using the emergency points as the tie-breaker.


Testing RFID Transponders

Testing the transponders

When implementing transponders for scoring events, it's reasonable to expect that contestants want assurance their transponder will be detected at race time. The All-Out software provides a mechanism to test the transponders - from within the "Data Entry" drop-down menu. In this mode, contestants can pass through the checkpoint prior to the event, and get a positive indication they're being detected at the checkpoint.

It's recommended that prior to an event, the race promoter put the All-Out software into the "test mode" and open up the checkpoint for trial runs. This allows riders to confirm proper operation of their transponders prior to start time. This provides contestants with a confidence their transponders will detected as they pass through the checkpoint during the race.

This feature not only confirms contestants transponders are mounted properly, it also confirms proper operation of every component of the All-Out system - including network connectivity and proper operation of the remote display (when used).

It's important to understand that when using this feature, no data detected at the checkpoint will ever be used in any part of the system. This feature is primarily intended to provide a means for riders to confirm the system is detecting their transponders - and will never be used in any part of scoring an event.

Users are presented with the following options when entering the section for testing the transponders - and it's somewhat important to understand the significance of those options.:

Please note that if you are using multiple lanes at the checkpoint, you must have activated networking. Please see the section on Network Support for details regarding network support. If you are using multiple lanes, then the All-Out system expects that you would have connected the remote display to the master - and not to the client. The system checks whether or not you have activated Network support, and the system system disables the ability to support a remote display if the computer is configured as a client.

In practice, most promoters using the system are using a remote display, but some solely use the horn / buzzer. When using the system, the operators can indicate if they're using a remote display, or buzzer (or both).

When in the test / demo mode, the system will always display the rider number, and can also display the riders class - but there are some things to consider if you elect to display the riders class .......

The system checks which type of display you are using, and will only give you the option to include the riders class if you are configured to use one of the larger (Vorne) displays. When in the test mode, the system displays the rider number and the number of times the transponder has been detected - and there's simply not enough room in the smaller display to include the riders class. Note that in the screen shot above, the class options are disabled - indicating that the system is configured to use one of the smaller BetaBrite displays.

There is a single database in the All-Out software, consisting of MANY individual tables. One of those tables contains the list of registered riders, while another table contains the "master", representing all of the data for all riders. The data available to the software can vary depending on how the promoter is using the system. For example the test station may not have access to the current registration database, and it might also contain an old master database. In that case, it can be confusing to the riders if you elect to include the class in the display since the correct information may not be available.

If you are confident that all riders are registered - and that the test station holds a copy of the current registration database, then you might want to have the demo station display the riders class. Please note that this might still be confusing to a rider who has registered for more than one class.

Many promoters assign each contestant with a unique rider number - valid for the entire season. In that situation, once a rider has participated in an event, the master database will reflect his class - regardless if he's registered yet for this event. In this case, it would be best to retrieve the class from the master database.

If the promoter routinely updates the registration database, or if the test system is using the registration database, then it's "safe" to retrieve the class information from the registration database.

The bottom line is that if you elect to include the class in the display at the test station, you should be aware that the class information is only as good as the data you're accessing. If you're using the registration database, then no class information will be available for a rider who has not yet registered. If you're using the main database, it's possible that the class might reflect the wrong information if some other rider using that number is listed in the database under another class.

Once you've elected the options, the system will attempt to communicate with the transponder system. You will be alerted if the system has a problem communicating with the system.

After testing connectivity with the transponder system, you'll be presented with the display below:

Unlike the race mode, the test / demo mode will detect the same rider multiple times - counting the number of times the transponder was detected by the system, displaying the count on the remote display. A contestant passing rapidly through the checkpoint may only be detected 2 or 3 times, while a slow rider will be detected MANY times.

This "multiple-read" feature was intended to provide the contestant with some indication of how well his transponder is being read - and also provide some indication of the range of the system.

The speed of the CPU in the computer has little impact on the period between detections since it's the antenna which detects the riders. As each detection occurs, this information is passed to the computer, where it's buffered in the All-Out software until the computer has "time" to processes that information. In operation, the system will detecting transponder at roughly a 10 millisecond interval.

Note - the class will only appear on the remote display if you are using the larger (2 line) Vorne display. The single line (BetaBrite) display doesn't have enough room in the display area to include the classname.


Troubleshooting Network Problems

Although networking your systems together is a very straightforward item - easily accomplished by even the most inexperienced computer user, it's possible you might run into problems getting the systems to communicate.

Listed here (in no particular order) are the most common problems you might see. In general if you assign the IP's as discussed in the link below, you should experience a stable network, easily capable of handling anything required by the Race Timer system.

a. You'll be unable to establish a network connection if you don't have a network interface card (NIC) in your computer. This can only be resolved by installing a NIC, and the associated drivers, then configuring the network properties - see an IP address for details on how this is done.

b. You may have entered an invalid IP when trying to connect to the master database. Please remember that all IP's consist of four numbers, each between 1 and 255, separated by periods. If you mistakenly separate the numbers with spaces, commas, or any other character, the system will never be able to communicate with any other computer. see the section on IP Addresses for details on how this is done.

c. You may not have assigned an IP address for your computer (or the "master"). The system has been designed to detect the IP of the local computer, but if an IP has not been assigned - and you attempt to use the network functionality - the system will generate an error message. As above, follow the link for establishing the IP address for your computer.

d. If you're using the client, and are unable to connect to the master, remember that the master must have first been placed in the "listening" mode by enabling network support and identifying it as the Master. You'll not be able to connect to the master if the master is not "operating".

e. Please be cautious of screen savers. Some systems automatically shut down not only the screen, but the hard drive, and the entire system, if the system hasn't been used for a prolonged period of time. If available on your system, it's advisable to disable any sleep or hibernate function if you'll not be using the system enough to "keep it alive".

f. Although the client can be shut down at any time, without loss of data, the computer designated as the master database must always be started up first, and shut down last. If not, you run the risk of losing data that clients are attempting to send to the master.

g. It's always possible that you might have a faulty network cable between the hub and the computer. While not expected, anything is possible.

h. If you don't see "link lights" on the hub, you'll never be able to communicate between computers - regardless if everything else is operating 100%. The lack of a link light can be caused by any of the following:

<1> no power to the hub
<2> no network device driver loaded in the computer
<3> defective cable between the computer and hub
<4> defective network interface card (NIC)
<5> loose connection at either the hub or the computer

i. Most hubs incorporate an "uplink" capability. If you're unable to communicate between the master and the client, check the hub to ensure you're not using an uplink port. This is easiest to avoid by simply avoiding a port on the hub that can serve as both an uplink or downlink port. Most hubs can be configured to use the first (or last) port as the uplink port, so assuming you have a 6 port hub, try using ports 2 through 5 for the connections between the computers.

j. Windows has a pretty decent network troubleshooting assistant built in. You might want to click "help" from the windows start menu, and use the network troubleshooting wizard.

k. If you don't have connectivity between the client and the "master", you might want to check the configuration of the hub and network interface card to make sure their network speeds are compatible. For example, although most modern systems are compatible, you might see the hub only able to support 10Mbit data rates, while the network card might be trying to communicate at 100Mbit.

l. If you're not seeing network connectivity, it's possible the driver you're using for the NIC is not compatible for the current operating system.

Something else to consider when troubleshooting problems with network connectivity is that your master database might have the firewall enabled - assuming it's running XP service pack 2 or later. Additional information is available if you are Using a Firewall in the help section. Please take the time to understand how the firewall affects connectivity. It's simple to configure and can be done while still keeping your system safe from external intrusion.


Using a Firewall

Prior to the release of Microsoft XP service pack 2, individual computers were relatively susceptible to unauthorized access by remote computers. XP service pack 2 introduced the concept of a personal firewall, preventing access to the local system.

The impact to the All-Out software is that if you are intending to use a computer as the master database, you're going to need to enable access to your computer - or else the clients will be unable to feed checkpoint data to the master database.

The way to determine if you're affected is to do the following. Note that this section assumes you have valid network connectivity, and have properly assigned the IP addresses necessary for the connectivity.

a. enter the network support section on the master and enable network support.

b. on the master, click the option to act as the master database.

c. on the client, enable network support, ensure the IP address of the master is indicated, then click on the option to serve as the client. This will cause the software to attempt to open a connection on the computer with the master database.

The client will be unable to connect to the system with the mater database if the firewall is enabled on the master system. If that's the case, here are the steps to follow in order to manage the firewall:

1. open the control panel, locate and open the section on network connectivity. The result will be a screen looking similar to that shown below.

2. Highlight the network connection providing your connectivity (usually identified as "Local Area Connection", right-click the entry, then click "properties". Once there, click the "advanced" tab in the upper right, to reach a screen similar to that shown below:

3. click on the "settings" button, to reach a screen similar to that shown below:

At that point, you have two options. The first is to simply click the option button which disables the firewall. This is not recommended.

The other option is click the "exceptions" tab, then in the resulting screen, click the "add port" button to enable access by the All-Out software. Note that the software uses TCP port 1024 for all connectivity between the client and the master computer. By adding the port (shown below), you will only open the firewall in a limited manner, enabling support for the All-Out software, yet keeping the firewall 'tight', preventing access by other, unauthorized computers.

Once added, this entry will show up as a list of authorized exceptions to the system firewall. You can remove this entry at any time by entering the firewall setup and removing the entry. Opening the firewall to TCP port 1024 does not significantly expose your system to attack from external sources. This is a safe entry, one you should be able to live with without fear of corruption by malicious hackers.

Note also, that if you are using the software behind another firewall ashore, you may have to contact the system administrator and have that person enable access to port 1024. This would only be necessary if you're using the software in something other than out on the track.


Using AMA Cards

The All-Out software provides promoters with the ability to connect a card reader to a USB port, and read the AMA cards.

This functionality is integrated in two places ..... the main database, and in the registration process. Each are discussed separately below

The database section

The AMA capability is invoked by clicking the "read AMA card" button at the bottom of the screen. This pops up the frame containing the data in the AMA card. At that point you have the option to find that person in the database, or to add him to the database.

If you elect to find him, the system looks for his AMA number, and displays the contents of that record in the area beneath the AMA frame.

Note that in both the Registration section and in the Database section, you can drag the AMA frame anywhere on the screen so you have a better view of the information beneath the frame.

If you elect to add the rider to the database, the system essentially invokes the "Add New" capability, then populates the database fields with the respective data from the AMA card.

Note that when adding a new rider, not all of the information is contained on the AMA card. For example the AMA card doesn't include the manufacturer, his class, his rider number, and several other data fields. Once the AMA data is transposed to the database fields, you are given the opportunity to make any other changes before you add that rider to the database.

The Registration Section

The All-Out system also provides users with the ability to use the AMA cards for rider registration. It's important to understand that other than the person's name, there's no information on the AMA card that's associated with registering for an event.

The card contains the riders information shown below, but it doesn't contain the riders class, nor his rider number.

In the All-Out software, when you read an AMA card, the system displays the AMA data in the frame. Once the data has been retrieved, the system scans the database, looking for the riders AMA number.

If the AMA number is found, the system retrieves the relevant race information (name, rider number, and class), and populates the registration data with that information.

A rider is not automatically registered - the user has the ability to make any changes, so if the rider is in a different class, it's easy to indicate the "new" class.


Using un-registered software

The intent of the software is that it be as useful, and as trouble-free as possible. The developer understands that it's an inconvenience to have to go through the registration process to unlock all of the features of the software.

The developer also knows there are times when it is convenient to load the software on computers on the day of an event - rather than during the days leading to the event. The problem with loading the software on the day of the event is that you're forced to rely on being able to get the software keys from the developer.

A perfect example of this is in the enduro mode, where a promoter might like to install the software on multiple computers in order to enter checkpoint data. It is convenient to simply load the software on race day, and start entering data at the checkpoint.

The method implemented by the Race Timer system is able to support both the copyright concerns of the developer, and the flexibility required by the user.

If you're running the software on a computer that's not yet been registered, never fear ... you're still able to use every feature of a fully registered sytsem - provided that the following is met:

  1. a licensed, registered computer is online

  2. the computers are using the same database

  3. the registered computer is in any of the following modes

  • Rider Registration

  • Using the main database

  • Data entry mode

  • 'calculate results' mode

  • calculating series results

This works in every mode - hare scrambles, enduro etc ......

The bottom line is that the software can be installed on any computer, and the system will be fully functional provided those conditions exist. The intent was to provide maximum flexibility for the users, not requiring that you contact the developer on an emergency basis in case you have a problem with one computer.

You might want to review the limitations present when using the evaluation mode. Additional details are available at (Evaluation Version)

You might also wish to review the process for registering the software - found at (Registering Your Software).


View Enduro Checkpoint Times

You are able to view the checkpoint times for any rider in either of two locations......

a. You can view their checkpoint times by simply double-clicking any rider after you calculate the results. The screen below shows a typical display with the riders checkpoint data.

The other option is to view the checkpoint times from the window where you'd otherwise edit those checkpoint times. The editing window is shown below.


Viewing Individual Lap Times

This topic is relevant only to Hare Scramble events.

The All-Out software has incorporated several ways to look at a riders lap times. The most basic is to follow the links from "race results", to "Check Individual Lap Times".

At this point the user has the ability to determine the lap times for a specific rider, or extract the lap times for all riders - sending that data either to the printer, the screen, or to a file.

Another way to determine the lap times is to calculate the standings for either a particular class - or even the overall standings, (shown below)

and then double-click on the rider you'd like to see the lap times for. Double-clicking will yield results similar to what's shown below.

In the display you'll see the lap number, the time the rider reached the checkpoint at that lap, and to the right, you'll see the time it took to make that lap.

NOTE: The first lap time might appear inconsistent if the starting area isn't fairly close to the checkpoint. For example if the starting point is a distance from the checkpoint, the lap time for that first lap might appear inconsistent when compared to subsequent laps.

The capability of double-clicking the information on a rider will provide you with the laptimes for that rider throughout the program..... even when looking at the list of inconsistent riders.


Vista and Windows 7

The scoring software will work with both Vista and Windows 7, but full functionality requires that you follow a couple of simple steps which are detailed below. There are two issues - I'll address them separately.

----------------------------------------

In earlier operating sytsems, software developers had full access to the hard drive. With the advent of Vista, Microsoft expects that ALL data associated with a user will be maintained within that users "documents and settings" section of the hard drive. Today, if software attempts to write data to anywhere other than the users directory, the operating system creates a pseudo path in the users area, essentially "tricking" the software to write to the users area instead of where the program was expecting to place the data.

In other words, consider the case where this software is attempting to save the overall results to

c:\program files\timer\overall.txt

Vista (and Windows 7) actually writes this data to (assuming the users name is "smithJ"):

'C:\Users\SmithJ\AppData\Local\VirtualStore\Program Files\MyProgram

The impact is that when I'm using Excel to open a file - i.e. to display the results, Microsoft Excel is trying to find the file in a different location, and the result is that Excel isn't able to find (or open) the file. This is fixed by running the software in the XP compatibility mode. I'll explain below, how to do this.

----------------------------------------

There's another issue ..... earlier operating systems allowed developers to write to the registry, but the later operating systems limit developers to one section of the registry.

My preference is that some information (Sottware license and some configuration data) should be available to all users, so I save some of this information to the "HkeyLocalMachine" part of the registry. The newer systems now restrict users from writing to anything other than the "HKeyLoalUser" section of the registry. The impact is that unless the software is run with administrator permissions, I'm unable to write to the registry, so the values are not saved.

----------------------------------------

The steps necessary to provide smooth operation are simple. This help system will assume you've installed the software in the default locations. If you've relocated the software to some other directory, you'll need to make the same changes to each of the executables.

1. right-click on "Start", then left-click on "explore"

2. navigate to the C:\timer\Checkpoint folder

3. locate the file named "Timer.exe", then right-click, and select 'properties'

4. Set the software to run in the XP compatibility mode, and also put a check in the box to run it with administrator permissions.

5. click "OK" or "Apply" as necessary, to complete the process.

6. Now, do the same thing in the other two folders:
c:\timer\registration\timer.exe
c:\timer\results\timer.exe

Once this has been done, you are ready to use the software - independent of the operating system.


Work Points

The All-Out software allows users to include "work points" when calculating the series standings. Unfortunately there are an unlimited number of ways different organizations could implement work points, so it's not feasible for this software package to support every possible variation.

For example, one group might assign work points as follows:

  1. A max of 200 work points can be accumulated

  2. Work points will be awarded based on the average of the top 4 events

  3. work points cannot be awarded for more than 3 events

  4. work points can be used to replace a throw-away

The possible variations are endless.

However - since it is a relatively common practice to use 'work points', the All-Out software provides a rudimentary system for tracking workpoints.

In the All-Out software, a field is available in the database which allows the points coordinator to award work points for any individual. When the series points are accumulated, those work points are added to both the "total" points and the "best" points.

It is left up to the individual points coordinator to track any special rules for how points are accumulated. The software merely provides users with the ability to add those work points to the individuals who supported the events.

Work points are managed from beneath the "Series Management" dropdown menu item - but only in the hare scramble mode.

Once you've selected the option to manage the work points, you're presented with the following screen:

In this screen you're presented with a list of all of the events on the left, then a list of all of the names in the database on the right. You can select any event, then any name, then add any number of work points for that individual (at that event).

By clicking on an event on the left, the system will show you the list of people who've been awarded work points at that event.

By clicking on any name on the right, the system will show you a list of all of the events where that individual has received work points.

When calculating the series standings, the work points are not added unless the option to add them has been selected. See the section on Class Standings for additional details on how the series results are calculated.